package org.jeecg.modules.ctop.controller;

import cn.com.ctop.common.module.annotation.AutoLog;
import cn.com.ctop.common.module.entity.KuaiShouOcpxActionTypeConfig;
import cn.com.ctop.common.module.service.IKuaiShouOcpxActionTypeConfigService;
import cn.com.ctop.common.module.utils.QueryGenerator;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.util.oConvertUtils;
import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * 转化目标字典表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-02-22
 */
@Slf4j
@Api(tags = "转化目标字典表")
@RestController
@RequestMapping("/ocpx/kuaiShouOcpxActionTypeConfig")
public class KuaiShouOcpxActionTypeConfigController {
    @Autowired
    private IKuaiShouOcpxActionTypeConfigService kuaiShouOcpxActionTypeConfigService;

    /**
     * 分页列表查询
     *
     * @param kuaiShouOcpxActionTypeConfig
     * @param pageNo
     * @param pageSize
     * @param req
     * @return
     */
    @AutoLog(value = "转化目标字典表-分页列表查询")
    @ApiOperation(value = "转化目标字典表-分页列表查询", notes = "转化目标字典表-分页列表查询")
    @GetMapping(value = "/list")
    public Result<List<KuaiShouOcpxActionTypeConfig>> queryPageList(KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfig,
                                                                    @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                                                                    @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize,
                                                                    HttpServletRequest req) {
        Result<List<KuaiShouOcpxActionTypeConfig>> result = new Result<>();
        QueryWrapper<KuaiShouOcpxActionTypeConfig> queryWrapper = QueryGenerator.initQueryWrapper(kuaiShouOcpxActionTypeConfig, req.getParameterMap());
        List<KuaiShouOcpxActionTypeConfig> pageList = kuaiShouOcpxActionTypeConfigService.list(queryWrapper);
        result.setSuccess(true);
        result.setResult(pageList);
        return result;
    }

    /**
     * 添加
     *
     * @param kuaiShouOcpxActionTypeConfig
     * @return
     */
    @AutoLog(value = "转化目标字典表-添加")
    @ApiOperation(value = "转化目标字典表-添加", notes = "转化目标字典表-添加")
    @PostMapping(value = "/add")
    public Result<KuaiShouOcpxActionTypeConfig> add(@RequestBody KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfig) {
        Result<KuaiShouOcpxActionTypeConfig> result = new Result<>();
        try {
            kuaiShouOcpxActionTypeConfigService.save(kuaiShouOcpxActionTypeConfig);
            result.success("添加成功！");
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            result.error500("操作失败");
        }
        return result;
    }

    /**
     * 编辑
     *
     * @param kuaiShouOcpxActionTypeConfig
     * @return
     */
    @AutoLog(value = "转化目标字典表-编辑")
    @ApiOperation(value = "转化目标字典表-编辑", notes = "转化目标字典表-编辑")
    @PutMapping(value = "/edit")
    public Result<KuaiShouOcpxActionTypeConfig> edit(@RequestBody KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfig) {
        Result<KuaiShouOcpxActionTypeConfig> result = new Result<KuaiShouOcpxActionTypeConfig>();
        KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfigEntity = kuaiShouOcpxActionTypeConfigService.getById(kuaiShouOcpxActionTypeConfig.getId());
        if (kuaiShouOcpxActionTypeConfigEntity == null) {
            result.error500("未找到对应实体");
        } else {
            boolean ok = kuaiShouOcpxActionTypeConfigService.updateById(kuaiShouOcpxActionTypeConfig);
            if (ok) {
                result.success("修改成功!");
            }
        }

        return result;
    }

    /**
     * 通过id删除
     *
     * @param id
     * @return
     */
    @AutoLog(value = "转化目标字典表-通过id删除")
    @ApiOperation(value = "转化目标字典表-通过id删除", notes = "转化目标字典表-通过id删除")
    @DeleteMapping(value = "/delete")
    public Result<?> delete(@RequestParam(name = "id", required = true) String id) {
        try {
            kuaiShouOcpxActionTypeConfigService.removeById(id);
        } catch (Exception e) {
            log.error("删除失败", e.getMessage());
            return Result.error("删除失败!");
        }
        return Result.ok("删除成功!");
    }

    /**
     * 批量删除
     *
     * @param ids
     * @return
     */
    @AutoLog(value = "转化目标字典表-批量删除")
    @ApiOperation(value = "转化目标字典表-批量删除", notes = "转化目标字典表-批量删除")
    @DeleteMapping(value = "/deleteBatch")
    public Result<KuaiShouOcpxActionTypeConfig> deleteBatch(@RequestParam(name = "ids", required = true) String ids) {
        Result<KuaiShouOcpxActionTypeConfig> result = new Result<>();
        if (ids == null || "".equals(ids.trim())) {
            result.error500("参数不识别！");
        } else {
            this.kuaiShouOcpxActionTypeConfigService.removeByIds(Arrays.asList(ids.split(",")));
            result.success("删除成功!");
        }
        return result;
    }

    /**
     * 通过id查询
     *
     * @param id
     * @return
     */
    @AutoLog(value = "转化目标字典表-通过id查询")
    @ApiOperation(value = "转化目标字典表-通过id查询", notes = "转化目标字典表-通过id查询")
    @GetMapping(value = "/queryById")
    public Result<KuaiShouOcpxActionTypeConfig> queryById(@RequestParam(name = "id", required = true) String id) {
        Result<KuaiShouOcpxActionTypeConfig> result = new Result<>();
        KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfig = kuaiShouOcpxActionTypeConfigService.getById(id);
        if (kuaiShouOcpxActionTypeConfig == null) {
            result.error500("未找到对应实体");
        } else {
            result.setResult(kuaiShouOcpxActionTypeConfig);
            result.setSuccess(true);
        }
        return result;
    }

    /**
     * 导出excel
     *
     * @param request
     * @param response
     */
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, HttpServletResponse response) {
        // Step.1 组装查询条件
        QueryWrapper<KuaiShouOcpxActionTypeConfig> queryWrapper = null;
        try {
            String paramsStr = request.getParameter("paramsStr");
            if (oConvertUtils.isNotEmpty(paramsStr)) {
                String deString = URLDecoder.decode(paramsStr, "UTF-8");
                KuaiShouOcpxActionTypeConfig kuaiShouOcpxActionTypeConfig = JSON.parseObject(deString, KuaiShouOcpxActionTypeConfig.class);
                queryWrapper = QueryGenerator.initQueryWrapper(kuaiShouOcpxActionTypeConfig, request.getParameterMap());
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }

        //Step.2 AutoPoi 导出Excel
        ModelAndView mv = new ModelAndView(new JeecgEntityExcelView());
        List<KuaiShouOcpxActionTypeConfig> pageList = kuaiShouOcpxActionTypeConfigService.list(queryWrapper);
        //导出文件名称
        mv.addObject(NormalExcelConstants.FILE_NAME, "转化目标字典表列表");
        mv.addObject(NormalExcelConstants.CLASS, KuaiShouOcpxActionTypeConfig.class);
        mv.addObject(NormalExcelConstants.PARAMS, new ExportParams("转化目标字典表列表数据", "导出人:Jeecg", "导出信息"));
        mv.addObject(NormalExcelConstants.DATA_LIST, pageList);
        return mv;
    }

    /**
     * 通过excel导入数据
     *
     * @param request
     * @param response
     * @return
     */
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        MultipartHttpServletRequest multipartRequest = (MultipartHttpServletRequest) request;
        Map<String, MultipartFile> fileMap = multipartRequest.getFileMap();
        for (Map.Entry<String, MultipartFile> entity : fileMap.entrySet()) {
            MultipartFile file = entity.getValue();
            ImportParams params = new ImportParams();
            params.setTitleRows(2);
            params.setHeadRows(1);
            params.setNeedSave(true);
            try {
                List<KuaiShouOcpxActionTypeConfig> listKuaiShouOcpxActionTypeConfigs = ExcelImportUtil.importExcel(file.getInputStream(), KuaiShouOcpxActionTypeConfig.class, params);
                kuaiShouOcpxActionTypeConfigService.saveBatch(listKuaiShouOcpxActionTypeConfigs);
                return Result.ok("文件导入成功！数据行数:" + listKuaiShouOcpxActionTypeConfigs.size());
            } catch (Exception e) {
                log.error(e.getMessage(), e);
                return Result.error("文件导入失败:" + e.getMessage());
            } finally {
                try {
                    file.getInputStream().close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        return Result.ok("文件导入失败！");
    }

}
