package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手视频数据清洗信息
 * @author jeecg-boot
 * @date   2020-07-23
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_effect_video_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_effect_video_info对象", description="快手视频数据清洗信息")
public class KuaishouEffectVideoInfo {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**signature*/
	@Excel(name = "signature", width = 15)
    @ApiModelProperty(value = "signature")
	private String signature;
	/**url*/
	@Excel(name = "url", width = 15)
    @ApiModelProperty(value = "url")
	private String url;
	/**coverUrl*/
	@Excel(name = "coverUrl", width = 15)
    @ApiModelProperty(value = "coverUrl")
	private String coverUrl;
	/**materialType*/
	@Excel(name = "materialType", width = 15)
    @ApiModelProperty(value = "materialType")
	private Integer materialType;
	/**channelType*/
	@Excel(name = "channelType", width = 15)
    @ApiModelProperty(value = "channelType")
	private Integer channelType;
	/**initialCostDate*/
	@Excel(name = "initialCostDate", width = 15)
    @ApiModelProperty(value = "initialCostDate")
	private String initialCostDate;
	/**finalCostDate*/
	@Excel(name = "finalCostDate", width = 15)
    @ApiModelProperty(value = "finalCostDate")
	private String finalCostDate;
	/**twoWeekCost*/
	@Excel(name = "twoWeekCost", width = 15)
    @ApiModelProperty(value = "twoWeekCost")
	private java.math.BigDecimal twoWeekCost;
	/**totalCost*/
	@Excel(name = "totalCost", width = 15)
    @ApiModelProperty(value = "totalCost")
	private java.math.BigDecimal totalCost;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
