package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目成员
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-19
 */
@Data
@TableName("ctop_project_member")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_project_member对象", description = "项目成员")
public class ProjectMember implements Serializable {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 项目id
     */
    @Excel(name = "项目id", width = 15)
    @ApiModelProperty(value = "项目id")
    private Long projectId;


    @Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
    private String projectName;


    /**
     * 成员id
     */
    @Excel(name = "成员id", width = 15)
    @ApiModelProperty(value = "成员id")
    private String userId;

    @Excel(name = "成员名称", width = 15)
    @ApiModelProperty(value = "成员名称")
    private String userName;

    private String roleCode;

    @TableField(exist = false)
    private Long maxBid;


    @TableField(exist = false)
    private String responsibleName;


    @TableField(exist = false)
    private String designResponsibleName;

    @TableField(exist = false)
    private String advertiserName;

    @TableField(exist = false)
    private String advertiserId;


    @TableField(exist = false)
    private String mediaId;

    @TableField(exist = false)
    private String saleId;

    @TableField(exist = false)
    private String saleName;

    @TableField(exist = false)
    private Long productId;

    @TableField(exist = false)
    private String productName;


    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
