package org.jeecg.modules.ctop.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 账户转项目记录
 * @author jeecg-boot
 * @date   2020-07-22
 * @version V1.0
 */
@Data
@TableName("ctop_project_transfer_record")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_project_transfer_record对象", description="账户转项目记录")
public class ProjectTransferRecord {
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	@Dict(dicCode = "account_id",dictTable="ctop_user_allocation",dicText="auth_name")
	private Long accountId;
	@Dict(dicCode = "id",dictTable="ctop_project",dicText="project_name")
	private Long soucreProject;
	@Dict(dicCode = "id",dictTable="ctop_project",dicText="project_name")
	private Long targetProject;
	/**申请人*/
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String userId;
	@Dict(dicCode = "item_value", dictTable = "sys_dict_item", dicText = "item_text",extendsKey = "dict_id",extendsValue = "18922b5d04bfcb1b5ded1a17dfdd9510")
	private Integer status;
	/**审核人*/
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String reviewerId;
	private Date createTime;
	private Date updateTime;
}
