package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 脚本库标签信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-02-27
 */
@Data
@TableName("ctop_script_tag_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_script_tag_info对象", description = "脚本库标签信息")
public class ScriptTagInfo {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 标签名称
     */
    @Excel(name = "标签名称", width = 15)
    @ApiModelProperty(value = "标签名称")
    private String name;
    /**
     * 父id
     */
    @Excel(name = "父id", width = 15)
    @ApiModelProperty(value = "父id")
    private Integer parentId;
    /**
     * enabled
     */
    @Excel(name = "enabled", width = 15)
    @ApiModelProperty(value = "enabled")
    private Integer enabled;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
