package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 报表文件存储
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-01-15
 */
@Data
@TableName("ureport_file")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ureport_file对象", description = "报表文件存储")
public class UReportFile {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 报表名称
     */
    @Excel(name = "报表名称", width = 15)
    @ApiModelProperty(value = "报表名称")
    private String name;
    /**
     * 报表内容
     */
    @Excel(name = "报表内容", width = 15)
    @ApiModelProperty(value = "报表内容")
    private String content;

    /**
     *  报表类型 时报、日报
     */
    private Integer reportType;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public UReportFile() {
    }
}
