package org.jeecg.modules.ctop.job;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.toutiao.modules.report.service.IBytedanceReportService;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.util.DateUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Slf4j
public class ToutiaoMaterialsLoadJob implements Job {
    @Autowired
    private ICtopOauthTokenService tokenService;
    @Autowired
    private IBytedanceReportService bytedanceReportService;
    static ExecutorService executorService = Executors.newFixedThreadPool(8);

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        //增加接口的开始和结束日期
        String startDate = DateUtils.formatDate(DateUtils.addDay(new Date(), -1));
        //获取头条token数据
        List<CtopOauthToken> tokens = tokenService.selectToutiaoToken();
        tokens.forEach(token -> executorService.submit(()-> bytedanceReportService.bytedanceMaterialReport(token,startDate,startDate)));
        log.info("头条素材数据同步完成，"+ "开始时间：" + startDate + "，结束时间：" + startDate);
    }
}
