package org.jeecg.modules.ctop.mapper;

import cn.com.ctop.common.module.entity.Advertiser;
import cn.com.ctop.common.module.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.excelutil.entity.KuaishouXxlEntity;
import org.jeecg.modules.excelutil.entity.YdPlanAggregateEntity;
import org.jeecg.modules.excelutil.entity.YdWeekAggregateEntity;

import java.util.List;
import java.util.Map;

/**
 * @Description: 广告主信息表
 * @Author: jeecg-boot
 * @Date: 2019-06-11
 * @Version: V1.0
 */
public interface AdvertiserMapper extends BaseMapper<Advertiser> {

    List<KuaishouXxlEntity> getXXlStatisticInfo(@Param(value = "projectId") Long projectId, @Param(value = "systemType") String systemType, @Param(value = "accountId") Long accountId, @Param(value = "groupBy") String groupBy);

    YdWeekAggregateEntity getYdWeekStatisticInfo(@Param(value = "projectId") Long projecgId, @Param(value = "start") String lastWeekStart, @Param(value = "end") String lastWeekEnd);

    List<YdPlanAggregateEntity> getYdWeekPlanStatisticInfoAll(@Param(value = "start") String startDate, @Param(value = "end") String endDate, @Param(value = "accountId") Long accountId);

    List<UserAllocation> getAllocationsBySaleId(@Param(value = "saleId") String saleId);

    List<UserAllocation> getAllocationsByAdvertiserId(@Param(value = "adId") String adId);

    List<JSONObject> getAdvertiserByMap(@Param("ids") Map<String, String> advertiserIdMap);
}
