package org.jeecg.modules.excelutil.entity;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouVideoEtlInfo;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceVideoEtlInfo;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

public class KuaishouVideoEtlInfoEntity extends BaseRowModel {
    /**
     * 视频唯一标识
     */
    @ExcelProperty(value = "视频唯一标识", index = 1)
    private String videoCode;
    /**
     * 初次产生消耗时间
     */
    @ExcelProperty(value = "视频上线时间", index = 2)
    private String stateDate;
    /**
     * url
     */
    @ExcelProperty(value = "视频链接", index = 3)
    private String url;
    /**
     * coverUrl
     */
    @ExcelProperty(value = "封面链接", index = 4)
    private String coverUrl;
    /**
     * companyName
     */
    @ExcelProperty(value = "所属公司", index = 5)
    private String companyName;
    /**
     * planName
     */
    @ExcelProperty(value = "编导名称", index = 5)
    private String planName;
    /**
     * clipName
     */
    @ExcelProperty(value = "剪辑名称", index = 7)
    private String clipName;
    /**
     * shotName
     */
    @ExcelProperty(value = "拍摄名称", index = 8)
    private String shotName;
    /**
     * singleWeekCost
     */
    @ExcelProperty(value = "上线一周消耗", index = 9)
    private BigDecimal singleWeekCost;
    /**
     * twoWeekCost
     */
    @ExcelProperty(value = "上线两周消耗", index = 10)
    private BigDecimal twoWeekCost;
    /**
     * fourWeekCost
     */
    @ExcelProperty(value = "上线四周消耗", index = 11)
    private BigDecimal fourWeekCost;
    /**
     * 总消耗
     */
    @ExcelProperty(value = "总消耗", index = 12)
    private BigDecimal totalCost;
    /**
     * clickNum
     */
    @ExcelProperty(value = "封面曝光数", index = 13)
    private Long photoShow;
    @ExcelProperty(value = "封面点击数", index = 14)
    private Long photoClick;
    @ExcelProperty(value = "素材曝光数", index = 15)
    private Long aclick;
    /**
     * convertNum
     */
    @ExcelProperty(value = "行为数", index = 16)
    private Long bclick;
    /**
     * effectDate
     */
    @ExcelProperty(value = "达成有效日期", index = 17)
    private String effectDate;
    /**
     * faddishDate
     */
    @ExcelProperty(value = "达成爆款日期", index = 18)
    private String faddishDate;
    /**
     * effectDayNum
     */
    @ExcelProperty(value = "达成有效天数", index = 19)
    private Integer effectDayNum;
    /**
     * faddishDayNum
     */
    @ExcelProperty(value = "达成爆款天数", index = 20)
    private Integer faddishDayNum;

    public KuaishouVideoEtlInfoEntity(KuaishouVideoEtlInfo etlInfo) {
        this.videoCode = etlInfo.getVideoCode();
        this.stateDate = etlInfo.getStateDate();
        this.url = etlInfo.getUrl();
        this.coverUrl = etlInfo.getCoverUrl();
        this.companyName = etlInfo.getCompanyName();
        this.planName = etlInfo.getPlanName();
        this.clipName = etlInfo.getClipName();
        this.shotName = etlInfo.getShotName();
        this.singleWeekCost = etlInfo.getSingleWeekCost();
        this.twoWeekCost = etlInfo.getTwoWeekCost();
        this.fourWeekCost = etlInfo.getFourWeekCost();
        this.totalCost = etlInfo.getTotalCost();
        this.photoClick = etlInfo.getPhotoClick();
        this.photoShow = etlInfo.getPhotoShow();
        this.aclick = etlInfo.getAclick();
        this.bclick = etlInfo.getBclick();
        this.effectDate = etlInfo.getEffectDate();
        this.faddishDate = etlInfo.getFaddishDate();
        this.effectDayNum = etlInfo.getEffectDayNum();
        this.faddishDayNum = etlInfo.getFaddishDayNum();
    }

    public KuaishouVideoEtlInfoEntity() {

    }

    public String getVideoCode() {
        return videoCode;
    }

    public void setVideoCode(String videoCode) {
        this.videoCode = videoCode;
    }

    public String getStateDate() {
        return stateDate;
    }

    public void setStateDate(String stateDate) {
        this.stateDate = stateDate;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getClipName() {
        return clipName;
    }

    public void setClipName(String clipName) {
        this.clipName = clipName;
    }

    public String getShotName() {
        return shotName;
    }

    public void setShotName(String shotName) {
        this.shotName = shotName;
    }

    public BigDecimal getSingleWeekCost() {
        return singleWeekCost;
    }

    public void setSingleWeekCost(BigDecimal singleWeekCost) {
        this.singleWeekCost = singleWeekCost;
    }

    public BigDecimal getTwoWeekCost() {
        return twoWeekCost;
    }

    public void setTwoWeekCost(BigDecimal twoWeekCost) {
        this.twoWeekCost = twoWeekCost;
    }

    public BigDecimal getFourWeekCost() {
        return fourWeekCost;
    }

    public void setFourWeekCost(BigDecimal fourWeekCost) {
        this.fourWeekCost = fourWeekCost;
    }

    public BigDecimal getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(BigDecimal totalCost) {
        this.totalCost = totalCost;
    }

    public Long getPhotoShow() {
        return photoShow;
    }

    public void setPhotoShow(Long photoShow) {
        this.photoShow = photoShow;
    }

    public Long getPhotoClick() {
        return photoClick;
    }

    public void setPhotoClick(Long photoClick) {
        this.photoClick = photoClick;
    }

    public Long getAclick() {
        return aclick;
    }

    public void setAclick(Long aclick) {
        this.aclick = aclick;
    }

    public Long getBclick() {
        return bclick;
    }

    public void setBclick(Long bclick) {
        this.bclick = bclick;
    }

    public String getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(String effectDate) {
        this.effectDate = effectDate;
    }

    public String getFaddishDate() {
        return faddishDate;
    }

    public void setFaddishDate(String faddishDate) {
        this.faddishDate = faddishDate;
    }

    public Integer getEffectDayNum() {
        return effectDayNum;
    }

    public void setEffectDayNum(Integer effectDayNum) {
        this.effectDayNum = effectDayNum;
    }

    public Integer getFaddishDayNum() {
        return faddishDayNum;
    }

    public void setFaddishDayNum(Integer faddishDayNum) {
        this.faddishDayNum = faddishDayNum;
    }
}
