package org.jeecg.modules.opencv.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 模板视频信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-17
 */
@Data
@TableName("ctop_model_video_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_model_video_info对象", description = "模板视频信息")
public class ModelVideoInfo {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 视频链接
     */
    private String modelVideoUrl;
    private String title;
    /**
     * 封面链接
     */
    private String coverImageUrl;
    /**
     * 模板类型
     */
    private Integer modelType;
    /**
     * 尺寸类型 1:竖版 2：横版
     */
    private Integer sizeType;
    /**
     * 状态
     */
    @Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * MD5
     */
    private String signature;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    @TableField(exist = false)
    private Integer orderType;
}
