package org.jeecg.modules.opencv.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 模板视频配置信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-17
 */
@Data
@TableName("ctop_model_video_info_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_model_video_info_config对象", description = "模板视频配置信息")
public class ModelVideoInfoConfig {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * name
     */
    @Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private String name;
    /**
     * 文件路径
     */
    @Excel(name = "文件路径", width = 15)
    @ApiModelProperty(value = "文件路径")
    private String fileUrl;
    /**
     * modelId
     */
    @Excel(name = "modelId", width = 15)
    @ApiModelProperty(value = "modelId")
    private Integer modelId;
    /**
     * 1:简单后接模板2：复杂投影模板
     */
    @Excel(name = "1:简单后接模板2：复杂投影模板", width = 15)
    @ApiModelProperty(value = "1:简单后接模板2：复杂投影模板")
    private Integer type;
    /**
     * 矩形替换开始帧数
     */
    @Excel(name = "矩形替换开始帧数", width = 15)
    @ApiModelProperty(value = "矩形替换开始帧数")
    private Integer rectangleStartFrame;
    /**
     * 矩形替换结束帧数
     */
    @Excel(name = "矩形替换结束帧数", width = 15)
    @ApiModelProperty(value = "矩形替换结束帧数")
    private Integer rectangleEndFrame;
    /**
     * 全屏替换开始帧数
     */
    @Excel(name = "全屏替换开始帧数", width = 15)
    @ApiModelProperty(value = "全屏替换开始帧数")
    private Integer fullScreenStartFrame;
    /**
     * 全屏替换结束帧数
     */
    @Excel(name = "全屏替换结束帧数", width = 15)
    @ApiModelProperty(value = "全屏替换结束帧数")
    private Integer fullScreenEndFrame;
    /**
     * rectangleStartX
     */
    @Excel(name = "rectangleStartX", width = 15)
    @ApiModelProperty(value = "rectangleStartX")
    private Integer rectangleStartX;
    /**
     * rectangleEndX
     */
    @Excel(name = "rectangleEndX", width = 15)
    @ApiModelProperty(value = "rectangleEndX")
    private Integer rectangleEndX;
    /**
     * rectangleStartY
     */
    @Excel(name = "rectangleStartY", width = 15)
    @ApiModelProperty(value = "rectangleStartY")
    private Integer rectangleStartY;
    /**
     * rectangleEndY
     */
    @Excel(name = "rectangleEndY", width = 15)
    @ApiModelProperty(value = "rectangleEndY")
    private Integer rectangleEndY;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
