package org.jeecg.modules.opencv.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 模板视频分类信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-17
 */
@Data
@TableName("ctop_model_video_industry_tag")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_model_video_industry_tag对象", description = "模板视频分类信息")
public class ModelVideoInfoTag {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * tagName
     */
    @Excel(name = "tagName", width = 15)
    @ApiModelProperty(value = "tagName")
    private String tagName;
    /**
     * tagCode
     */
    @Excel(name = "tagCode", width = 15)
    @ApiModelProperty(value = "tagCode")
    private String tagCode;
    /**
     * parentId
     */
    @Excel(name = "parentId", width = 15)
    @ApiModelProperty(value = "parentId")
    private Integer parentId;
    /**
     * level
     */
    @Excel(name = "level", width = 15)
    @ApiModelProperty(value = "level")
    private Integer level;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
