package org.jeecg.modules.opencv.utils;

public class Avutils {
    /**
     * 平面YUV 4：2：0,12bpp，（1 Cr&每2×2个样本的Cb样本）
     **/
    public static int AV_PIX_FMT_YUV420P = 0;
    /**
     * 打包YUV 4：2：2，16bpp，Y0 Cb Y1 Cr
     */
    public static int AV_PIX_FMT_YUYV422 = 1;
    /**
     * 打包RGB 8：8：8，24bpp，RGBRGB ...
     */
    public static int AV_PIX_FMT_RGB24 = 2;
    /**
     * 打包RGB 8：8：8，24bpp，BGRBGR ...
     */
    public static int AV_PIX_FMT_BGR24 = 3;
    /**
     * 平面YUV 4：2：2，16bpp，（每2×1个样本1 Cr& Cb样本）
     */
    public static int AV_PIX_FMT_YUV422P = 4;
    /**
     * 平面YUV 4：4：4,24bpp，（每1×1个样本1个Cr& Cb样本）
     */
    public static int AV_PIX_FMT_YUV444P = 5;
    /**
     * 平面YUV 4：1 ：0，9bpp，（每4x4Y样品1 Cr& Cb样品）
     */
    public static int AV_PIX_FMT_YUV410P = 6;
    /**
     * 平面YUV 4：1：1,12bpp，（1 Cr& Cb每4x1 Y样本的样本）
     **/
    public static int AV_PIX_FMT_YUV411P = 7;
    /**
     * Y，8bpp
     */
    public static int AV_PIX_FMT_GRAY8 = 8;
    /**
     * Y，1bpp，0为白色，1是黑色的，每个字节的像素都是从msb到lsb的顺序
     */
    public static int AV_PIX_FMT_MONOWHITE = 9;
    /**
     * Y，1bpp，0为黑色，1为白色，每个字节中的像素从msb排序到lsb
     */
    public static int AV_PIX_FMT_MONOBLACK = 10;
    /**
     * 8使用PIX_FMT_RGB32调色板
     */
    public static int AV_PIX_FMT_PAL8 = 11;
    /**
     * 平面YUV 4：2：0,12bpp，满刻度（JPEG），弃用PIX_FMT_YUV420P并设置color_range
     */
    public static int AV_PIX_FMT_YUVJ420P = 12;
    /**
     * 平面YUV 4：2：2，16bpp，满量程（JPEG），弃用PIX_FMT_YUV422P并设置color_range
     */
    public static int AV_PIX_FMT_YUVJ422P = 13;
    /**
     * 平面YUV 4：4：4，24bpp，满量程（JPEG），不利于PIX_FMT_YUV444P并设置color_range
     */
    public static int AV_PIX_FMT_YUVJ444P = 14;
    /**
     * 通过公共数据包的XVideo运动加速通过
     */
    public static int AV_PIX_FMT_XVMC_MPEG2_MC = 15;
    public static int AV_PIX_FMT_XVMC_MPEG2_IDCT = 16;
    /**
     * 打包YUV 4：2：2，16bpp，Cb Y0 Cr Y1
     */
    public static int AV_PIX_FMT_UYVY422 = 17;
    /**
     * 打包YUV 4：1：1，12bpp，Cb Y0 Y1 Cr Y2 Y3
     */
    public static int AV_PIX_FMT_UYYVYY411 = 18;
    /**
     * 打包RGB 3：3：2，8bpp，（msb）2B 3G 3R（lsb）
     */
    public static int AV_PIX_FMT_BGR8 = 19;
    /**
     * 打包RGB 1：2：1比特流，4bpp，（msb）1B 2G 1R（lsb），一个字节包含两个像素，字节中的第一个像素是4 msb位
     */
    public static int AV_PIX_FMT_BGR4 = 20;
    /**
     * 打包RGB 1：2：1，8bpp，（msb）1B 2G 1R（lsb）
     */
    public static int AV_PIX_FMT_BGR4_BYTE = 21;
    /**
     * 打包RGB 3：3：2，8bpp，（msb）2R 3G 3B（lsb）
     */
    public static int AV_PIX_FMT_RGB8 = 22;
    /**
     * 打包RGB 1：2：1比特流，4bpp，（ msb）1R 2G 1B（lsb），
     * 一个字节包含两个像素，字节中的第一个像素是由4 msb位组成的一个
     */
    public static int AV_PIX_FMT_RGB4 = 23;
    /**
     * 打包RGB 1 ：2：1，8bpp，（msb）1R 2G 1B（lsb）
     */
    public static int AV_PIX_FMT_RGB4_BYTE = 24;
    /**
     * 平面YUV 4：2：0,12bpp，1和1个交织的平面（第一个字节U和随后的字节V）
     */
    public static int AV_PIX_FMT_NV12 = 25;
    /**
     * 如上所述，但U和V字节被交换
     */
    public static int AV_PIX_FMT_NV21 = 26;

    /**
     * 打包ARGB 8：8：8：8，32bpp，ARGBARGB ...
     */
    public static int AV_PIX_FMT_ARGB = 27;
    /**
     * 包装RGBA 8：8：8：8,3bpp，RGBARGBA ...
     */
    public static int AV_PIX_FMT_RGBA = 28;
    /**
     * 打包ABGR 8：8：8：8,332pp，ABGRABGR .. 。
     */
    public static int AV_PIX_FMT_ABGR = 29;
    /**
     * 包装BGRA 8：8：8：8，32bpp，BGRABGRA ...
     */
    public static int AV_PIX_FMT_BGRA = 30;

    /**
     * Y，16bpp，big-endian
     */
    public static int AV_PIX_FMT_GRAY16BE = 31;
    /**
     * Y，16bpp，little-endian
     */
    public static int AV_PIX_FMT_GRAY16LE = 32;
    /**
     * 平面YUV 4：4：0（1 Cr&每个1x2 Y样本的Cb样本）
     */
    public static int AV_PIX_FMT_YUV440P = 33;
    /**
     * 平面YUV 4：4：0满量程（JPEG），弃用PIX_FMT_YUV440P并设置color_range
     */
    public static int AV_PIX_FMT_YUVJ440P = 34;
    /**
     * 平面YUV 4：2：0,20bpp，（每2X& A样本1 Cr& Cb样本）
     */
    public static int AV_PIX_FMT_YUVA420P = 35;
    /**
     * 使用VDPAU的H.264硬件解码，数据[0]包含一个vdpau_render_state结构，
     * 其中包含片段的比特流以及从头部提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_H264 = 36;
    /**
     * 使用VDPAU的MPEG-1硬件解码，数据[0]包含一个vdpau_render_state结构，
     * 其中包含片段的比特流以及从标题中提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_MPEG1 = 37;
    /**
     * 使用VDPAU的MPEG-2硬件解码，数据[0]包含一个vdpau_render_state结构，
     * 其中包含片段的比特流以及从头部提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_MPEG2 = 38;
    /**
     * 使用VDPAU的WMV3硬件解码，数据[0]包含一个包含片段的比特流的vdpau_render_state结构以及从头提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_WMV3 = 39;
    /**
     * 使用VDPAU的VC-1 HW解码，数据[0]包含一个vdpau_render_state结构，
     * 其中包含片段的比特流以及从标题中提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_VC1 = 40;
    /**
     * 打包RGB 16:16:16,48bpp，16R，16G，16B，每个R / G / B组件的2字节值存储为big-endian
     */
    public static int AV_PIX_FMT_RGB48BE = 41;
    /**
     * 打包RGB 16:16:16,48bpp，16R，16G，16B，每个R / G / B组件的2字节值存储为小尾数
     */
    public static int AV_PIX_FMT_RGB48LE = 42;

    /**
     * 打包RGB 5：6：5，16bpp，（msb）5R 6G 5B（lsb），big-endian
     */
    public static int AV_PIX_FMT_RGB565BE = 43;
    /**
     * 包装RGB 5：6：5，16bpp，（msb）5R 6G 5B（lsb），little-endian
     */
    public static int AV_PIX_FMT_RGB565LE = 44;
    /**
     * 打包RGB 5：5：5，16bpp，（msb）1A 5R 5G 5B（lsb），大端，最高有效位为0
     */
    public static int AV_PIX_FMT_RGB555BE = 45;
    /**
     * 包装RGB 5：5：5，16bpp，（msb）1A 5R 5G 5B（lsb），小端，最高有效位为0
     */
    public static int AV_PIX_FMT_RGB555LE = 46;

    /**
     * 包装BGR 5：6：5，16bpp，（msb）5B 6G 5R（lsb），big-endian
     */
    public static int AV_PIX_FMT_BGR565BE = 47;
    /**
     * 打包BGR 5：6：5，16bpp ，（msb）5B 6G 5R（lsb），little-endian
     */
    public static int AV_PIX_FMT_BGR565LE = 48;
    /**
     * 打包BGR 5：5：5，16bpp，（msb）1A 5B 5G 5R（lsb ），big-endian，最高有效位到1
     */
    public static int AV_PIX_FMT_BGR555BE = 49;
    /**
     * 打包BGR 5：5：5，16bpp，（msb）1A 5B 5G 5R（lsb） -endian，最高有效位到1
     */
    public static int AV_PIX_FMT_BGR555LE = 50;

    /**
     * 通过VA API在运动补偿入口处的HW加速，Picture.
     * data [3]包含一个vaapi_render_state struct包含宏块以及从头文件提取的各种字段
     */
    public static int AV_PIX_FMT_VAAPI_MOCO = 51;
    /**
     * 通过IDC入口点的VA API加速硬件，Picture.data [3]包含一个vaapi_render_state结构，其中包含从头部提取的字段
     */
    public static int AV_PIX_FMT_VAAPI_IDCT = 52;
    /**
     * 通过VA API进行HW解码，Picture.data [3]包含一个vaapi_render_state结构，其中包含片段的比特流以及从标题中提取的各种字段
     */
    public static int AV_PIX_FMT_VAAPI_VLD = 53;

    /**
     * 平面YUV 4：2：0,24bpp，（1 Cr&每个2x2 Y样本的Cb样本），little-endian
     */
    public static int AV_PIX_FMT_YUV420P16LE = 54;
    /**
     * 平面YUV 4：2：0,248pp，（每2×2个样本1 Cr& Cb样本） ，big-endian
     */
    public static int AV_PIX_FMT_YUV420P16BE = 55;
    /**
     * 平面YUV 4：2：2，32bpp，（每2×1个样本1 Cr& Cb样本），little-endian
     */
    public static int AV_PIX_FMT_YUV422P16LE = 56;
    /**
     * 平面YUV 4：2：2，32bpp，（每2×1个样本1 Cr& Cb样本），big-endian
     */
    public static int AV_PIX_FMT_YUV422P16BE = 57;
    /**
     * 平面YUV 4：4：4,48bpp，（每1×1个样本1 Cr& Cb样本），小尾数
     */
    public static int AV_PIX_FMT_YUV444P16LE = 58;
    /**
     * 平面YUV 4：4：4,48bpp，（每1×1个样品1 Cr& Cb样品），big-endian
     */
    public static int AV_PIX_FMT_YUV444P16BE = 59;
    /**
     * 使用VDPAU的MPEG4硬件解码，数据[0]包含一个vdpau_render_state结构，其中包含片段的比特流以及从头部提取的各种字段
     */
    public static int AV_PIX_FMT_VDPAU_MPEG4 = 60;
    /**
     * 硬解码thr哦DXVA2，Picture.data [3]包含一个LPDIRECT3DSURFACE9指针
     */
    public static int AV_PIX_FMT_DXVA2_VLD = 61;

    /**
     * 打包RGB 4：4：4，16bpp，（msb）4A 4R 4G 4B（lsb），小端，最高有效位为0
     */
    public static int AV_PIX_FMT_RGB444LE = 62;
    /**
     * 打包RGB 4：4：4，16bpp，（msb）4A 4R 4G 4B（lsb ），big-endian，最高有效位为0
     */
    public static int AV_PIX_FMT_RGB444BE = 63;
    /**
     * 打包BGR 4：4：4，16bpp，（msb）4A 4B 4G 4R（lsb） -endian，最高有效位为1
     */
    public static int AV_PIX_FMT_BGR444LE = 64;
    /**
     * 打包BGR 4：4：4，16bpp，（msb）4A 4B 4G 4R（lsb），big-endian，最高有效位为1
     */
    public static int AV_PIX_FMT_BGR444BE = 65;
    /**
     * 8位灰色，8位alpha
     */
    public static int AV_PIX_FMT_YA8 = 66;
}
