package org.jeecg.modules.orderplatform.entity;

import java.util.Date;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;


/**
 * 订单表
 */
@Data
@TableName("ctop_platform_order")
public class PlatformOrder {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;

	/**订单唯一标识*/
	private String orderCode;

	/**订单标题*/
	private String orderTitle;

	/**设计组长*/
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String design;

	@TableField(exist = false)
	private String designName;

    /**设计接单时间*/
	private Date designPassTime;

	/**订单状态*/
	private Integer orderStatus;

	/**投放系统*/
	private String orderAdvice;

	/**关联项目*/
	@Dict(dictTable ="ctop_project",dicText = "project_name",dicCode = "id")
	private Long project;

	@TableField(exist = false)
	private String projectName;

	/**投放系统*/
	private String sysName;

	/**包名*/
	private String sysPackage;

	/**素材数量*/
	private Integer materialAmount;

	/**素材完成数量*/
	private Integer materialFinishAmount;

	/**物料最新上传时间*/
	private Date materialFinishTime;

	/**日均产量*/
	private Integer materialAmountDay;

	/**materialType*/
	private Integer materialType;

	/**真人数量*/
	private Integer realAmount;

	/**剪辑数量*/
	private Integer cutAmount;

	/**开始时间*/
	private String startDate;

	/**结束时间*/
	private String endDate;

	/**附件地址*/
	private String attachmentUrl;

	/**attachmentName*/
	private String attachmentName;

	/**订单备注*/
	private String orderRemark;

	/**订单创建人*/
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String createBy;

	@TableField(exist = false)
	private String createByName;

	/**订单完成时间*/
	private Date orderFinishTime;

	/**创建时间*/
	private Date createTime;

	/**修改时间*/
	private Date updateTime;
}
