package org.jeecg.modules.performance.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 优化师配置信息表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-13
 */
@Data
@TableName("ctop_optimizer_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_optimizer_config对象", description = "优化师配置信息表")
public class OptimizerConfig {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 媒体类型
     */
    @Excel(name = "媒体类型1_头条2_快手", width = 15)
    @ApiModelProperty(value = "媒体类型1_头条2_快手")
    private Integer appType;
    /**
     * 媒体任务
     */
    @Excel(name = "媒体任务", width = 15)
    @ApiModelProperty(value = "媒体任务")
    private BigDecimal mediaTask;
    /**
     * personalTask
     */
    @Excel(name = "personalTask", width = 15)
    @ApiModelProperty(value = "personalTask")
    private BigDecimal personalTask;
    /**
     * 媒体任务完成下的提成比例 （千分之n）
     */
    @Excel(name = "媒体任务完成下的提成比例 （千分之n）", width = 15)
    @ApiModelProperty(value = "媒体任务完成下的提成比例 （千分之n）")
    private BigDecimal mediaTaskFinishRate;
    /**
     * 媒体任务未完成下的提成比例 （千分之n）
     */
    @Excel(name = "媒体任务未完成下的提成比例 （千分之n）", width = 15)
    @ApiModelProperty(value = "媒体任务未完成下的提成比例 （千分之n）")
    private BigDecimal mediaTaskNoFinishRate;
    /**
     * 是否有效
     */
    @Excel(name = "是否有效", width = 15)
    @ApiModelProperty(value = "是否有效")
    private Integer enabled;

    @Excel(name = "个人总任务", width = 15)
    @ApiModelProperty(value = "个人总任务")
    private BigDecimal totalPersonalTask;

    @Excel(name = "机构代码", width = 15)
    @ApiModelProperty(value = "机构代码")
    private String orgCode;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
