package org.jeecg.modules.third.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 对外配置关联广告主
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-08-14
 */
@Data
@TableName("ctop_thirt_config_advertiser")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_thirt_config_advertiser对象", description = "对外配置关联广告主")
public class ThirdConfigAdvertiser {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * appId
     */
    @Excel(name = "appId", width = 15)
    @ApiModelProperty(value = "appId")
    private Integer appId;
    /**
     * advertsierName
     */
    @Excel(name = "advertsierName", width = 15)
    @ApiModelProperty(value = "advertiserName")
    private String advertiserName;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * update
     */
    @ApiModelProperty(value = "update")
    private Date updateTime;
}
