package org.jeecg.modules.third.server.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.third.entity.ThirdConfigAdvertiser;
import org.jeecg.modules.third.mapper.ThirdConfigAdvertiserMapper;
import org.jeecg.modules.third.server.IThirdConfigAdvertiserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 对外配置关联广告主
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-08-14
 */
@Service
public class ThirdConfigAdvertiserServiceImpl extends ServiceImpl<ThirdConfigAdvertiserMapper, ThirdConfigAdvertiser> implements IThirdConfigAdvertiserService {
    @Autowired
    private ThirdConfigAdvertiserMapper thirdConfigAdvertiserMapper;


    @Override
    public List<String> getAdvertiserListByAppId(Long appId) {
        return thirdConfigAdvertiserMapper.getAdvertiserListByAppId(appId);
    }

    @Override
    public List<JSONObject> getAdvertiserCost(Long appId, String advertiserName, String startDate, String endDate) {
        return thirdConfigAdvertiserMapper.getAdvertiserCost(appId, advertiserName, startDate, endDate);
    }
}
