package org.jeecg.modules.wps.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * wps文件
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
@Data
@TableName("wps_file")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="wps_file对象", description="wps文件")
public class WpsFile {

	/**id*/
	@TableId(type = IdType.UUID)
	@ApiModelProperty(value = "id")
	private String id;
	/**name*/
	@Excel(name = "name", width = 15)
	@ApiModelProperty(value = "name")
	private String name;
	/**version*/
	@Excel(name = "version", width = 15)
	@ApiModelProperty(value = "version")
	private Integer version;
	/**size*/
	@Excel(name = "size", width = 15)
	@ApiModelProperty(value = "size")
	private Integer size;
	/**creator*/
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String creator;
	/**createTime*/
	@Excel(name = "createTime", width = 15)
	@ApiModelProperty(value = "createTime")
	private Long createTime;
	/**modifier*/
	@Excel(name = "modifier", width = 15)
	@ApiModelProperty(value = "modifier")
	private String modifier;
	/**modifyTime*/
	@Excel(name = "modifyTime", width = 15)
	@ApiModelProperty(value = "modifyTime")
	private Long modifyTime;
	/**downloadUrl*/
	@Excel(name = "downloadUrl", width = 15)
	@ApiModelProperty(value = "downloadUrl")
	private String downloadUrl;
	/**deleted*/
	private String deleted;
	/**canDelete*/
	private String canDelete;
	@Dict(dicCode = "id",dictTable="ctop_project",dicText="project_name")
	private Long projectId;

	private String code;

	private Integer isScript;

	public WpsFile(){super();}

	public WpsFile(String name, int version, int size, String creator,
				   String modifier, long create_time, long modify_time, String download_url) {
		this.name = name;
		this.version = version;
		this.size = size;
		this.creator = creator;
		this.modifier = modifier;
		this.createTime = create_time;
		this.modifyTime = modify_time;
		this.downloadUrl = download_url;
		this.deleted = "N";
		this.canDelete = "Y";
	}
}
