package org.jeecg.modules.wps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * wps文件版本号
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
@Data
@TableName("wps_file_version")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="wps_file_version对象", description="wps文件版本号")
public class WpsFileVersion {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**fileId*/
	@Excel(name = "fileId", width = 15)
    @ApiModelProperty(value = "fileId")
	private String fileId;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
	private String name;
	/**version*/
	@Excel(name = "version", width = 15)
    @ApiModelProperty(value = "version")
	private Integer version;
	/**downloadUrl*/
	@Excel(name = "downloadUrl", width = 15)
    @ApiModelProperty(value = "downloadUrl")
	private Object downloadUrl;
	/**size*/
	@Excel(name = "size", width = 15)
    @ApiModelProperty(value = "size")
	private int size;
	/**creator*/
	@Excel(name = "creator", width = 15)
    @ApiModelProperty(value = "creator")
	private String creator;
	/**createTime*/
	@Excel(name = "createTime", width = 15)
    @ApiModelProperty(value = "createTime")
	private Integer createTime;
	/**modifier*/
	@Excel(name = "modifier", width = 15)
    @ApiModelProperty(value = "modifier")
	private String modifier;
	/**modifyTime*/
	@Excel(name = "modifyTime", width = 15)
    @ApiModelProperty(value = "modifyTime")
	private Integer modifyTime;
}
