package org.jeecg.modules.wps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * wps文件水印
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
@Data
@TableName("wps_file_watermark")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="wps_file_watermark对象", description="wps文件水印")
public class WpsFileWatermark {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**fileId*/
	@Excel(name = "fileId", width = 15)
    @ApiModelProperty(value = "fileId")
	private String fileId;
	/**type*/
	@Excel(name = "type", width = 15)
    @ApiModelProperty(value = "type")
	private Integer type;
	/**value*/
	@Excel(name = "value", width = 15)
    @ApiModelProperty(value = "value")
	private String value;
	/**fillstyle*/
	@Excel(name = "fillstyle", width = 15)
    @ApiModelProperty(value = "fillstyle")
	private String fillstyle;
	/**font*/
	@Excel(name = "font", width = 15)
    @ApiModelProperty(value = "font")
	private String font;
	/**rotate*/
	@Excel(name = "rotate", width = 15)
    @ApiModelProperty(value = "rotate")
	private java.math.BigDecimal rotate;
	/**horizontal*/
	@Excel(name = "horizontal", width = 15)
    @ApiModelProperty(value = "horizontal")
	private Integer horizontal;
	/**vertical*/
	@Excel(name = "vertical", width = 15)
    @ApiModelProperty(value = "vertical")
	private Integer vertical;

	public WpsFileWatermark(){super();}

	public WpsFileWatermark(String fileId) {
		this.fileId = fileId;
		this.type = 0;
		this.value = "";
		this.fillstyle = "rgba( 192, 192, 192, 0.6 )";
		this.font = "bold 20px Serif";
		this.rotate = new BigDecimal("0");
		this.horizontal = 50;
		this.vertical = 50;
	}
}
