package org.jeecg.modules.wps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * wps用户
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
@Data
@TableName("wps_user")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="wps_user对象", description="wps用户")
public class WpsUser {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
	private String name;
	/**avatarUrl*/
	@Excel(name = "avatarUrl", width = 15)
    @ApiModelProperty(value = "avatarUrl")
	private Object avatarUrl;

	public WpsUser() {
	}

	public WpsUser(String id, String name, Object avatarUrl) {
		this.id = id;
		this.name = name;
		this.avatarUrl = avatarUrl;
	}
}
