package org.jeecg.modules.wps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * wps用户权限
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
@Data
@TableName("wps_user_acl")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="wps_user_acl对象", description="wps用户权限")
public class WpsUserAcl {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**userId*/
	@Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
	private String userId;
	/**fileId*/
	@Excel(name = "fileId", width = 15)
    @ApiModelProperty(value = "fileId")
	private String fileId;
	/**permission*/
	@Excel(name = "permission", width = 15)
    @ApiModelProperty(value = "permission")
	private String permission;
	/**reName*/
	@Excel(name = "reName", width = 15)
    @ApiModelProperty(value = "reName")
	private Integer reName;
	/**history*/
	@Excel(name = "history", width = 15)
    @ApiModelProperty(value = "history")
	private Integer history;

	private Integer cp;

	private Integer expt;

	private Integer prt;

	public WpsUserAcl() {
	}

	public WpsUserAcl(String userId, String fileId) {
		this.userId = userId;
		this.fileId = fileId;
		this.permission = "write";
		this.reName = 1;
		this.history = 1;
		this.cp = 1;
		this.expt = 1;
		this.prt = 1;
	}
}
