package cn.com.ctop.alarm.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 预警事件发送表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-10-29
 */
@Data
@TableName("ctop_alarm_event_send")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_alarm_event_send对象", description = "预警事件发送表")
public class AlarmEventSend {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long alarmSendId;
    private Long accountId;

    private String userId;
    /**
     * 规则id
     */
    @Excel(name = "规则id", width = 15)
    @ApiModelProperty(value = "规则id")
    private Long groupId;
    /**
     * 预警指标
     */
    @Excel(name = "预警指标", width = 15)
    @ApiModelProperty(value = "预警指标")
    private String groupName;
    /**
     * 预警发送内容
     */
    @Excel(name = "预警发送内容", width = 15)
    @ApiModelProperty(value = "预警发送内容")
    private String alarmDetail;
    /**
     * 预警发送状态 0未发送，1已发送
     */
    @Excel(name = "预警发送状态 0未发送，1已发送", width = 15)
    @ApiModelProperty(value = "预警发送状态 0未发送，1已发送")
    private String alarmStatus;

    private String ruleDimension;

    private String mediaType;
    /**
     * createTime
     */
    @Excel(name = "createTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
