package cn.com.ctop.alarm.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 基础规则
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-15
 */
@Data
@TableName("ctop_rule_base")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_rule_base对象", description = "基础规则")
public class RuleBase {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    private Long groupId;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称", width = 15)
    @ApiModelProperty(value = "规则名称")
    private String ruleName;
    /**
     * 指标code
     */
    @Excel(name = "指标code", width = 15)
    @ApiModelProperty(value = "指标code")
    private String indicatorCode;
    /**
     * 判断条件 大于 等于 小于等
     */
    @Excel(name = "判断条件 大于 等于 小于等", width = 15)
    @ApiModelProperty(value = "判断条件 大于 等于 小于等")
    private String ruleCondition;
    /**
     * 阈值 比较值
     */
    @Excel(name = "阈值 比较值", width = 15)
    @ApiModelProperty(value = "阈值 比较值")
    private String threshold;
    /**
     * 规则维度 账户、计划、组、创意等维度
     */
    @Excel(name = "规则维度 账户、计划、组、创意等维度", width = 15)
    @ApiModelProperty(value = "规则维度 账户、计划、组、创意等维度")
    private String ruleDimension;

    private Integer variableType;// 变量类型
    private Integer judgeFormat;// 判断类型
    private Integer isUnlimited;//  是否支持不限  true 是 false 否

    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
