package cn.com.ctop.alarm.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 规则运算符配置表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-16
 */
@Data
@TableName("ctop_rule_condition")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_rule_condition对象", description = "规则运算符配置表")
public class RuleCondition {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 运算名称
     */
    @Excel(name = "运算名称", width = 15)
    @ApiModelProperty(value = "运算名称")
    private String conditionName;
    /**
     * 运算符
     */
    @Excel(name = "运算符", width = 15)
    @ApiModelProperty(value = "运算符")
    private String ruleCondition;
    /**
     * 数据类型
     */
    @Excel(name = "数据类型", width = 15)
    @ApiModelProperty(value = "数据类型")
    private String dataType;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
