package cn.com.ctop.alarm.modules.service;

import cn.com.ctop.alarm.modules.entity.RuleTemplate;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 规则模板
 * @Author: jeecg-boot
 * @Date: 2020-11-15
 * @Version: V1.0
 */
public interface IRuleTemplateService extends IService<RuleTemplate> {

    /**
     * 创建规则模板
     *
     * @param requestJson
     * @return
     */
    JSONObject createTemplate(JSONObject requestJson);

    /**
     * 查询配置模板详情
     *
     * @param id
     * @return
     * @throws Exception
     */
    JSONObject queryDetailById(String id) throws Exception;

    /**
     * 查询账户下 配置模板详情
     *
     * @param accountId
     * @param templateId
     * @return
     * @throws Exception
     */
    JSONObject queryDetailByAccountIdAndTemplateId(Long accountId, Long templateId) throws Exception;

    /**
     * 预览模板
     *
     * @param id
     * @return
     */
    JSONObject previewTemplate(String id) throws Exception;
}
