package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 头条-数据清洗
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-02-25
 */
@Data
@TableName("ctop_bytedance_clean_material_report")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_clean_material_report对象", description = "头条-数据清洗")
public class ByteDanceCleanMaterialReport {

    /**
     * md5 为id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "md5 为id")
    private String id;
    /**
     * 花费(元)
     */
    @Excel(name = "花费(元)", width = 15)
    @ApiModelProperty(value = "花费(元)")
    private java.math.BigDecimal cost;
    /**
     * 展示量
     */
    @Excel(name = "展示量", width = 15)
    @ApiModelProperty(value = "展示量")
    private Integer showNum;
    /**
     * 点击量
     */
    @Excel(name = "点击量", width = 15)
    @ApiModelProperty(value = "点击量")
    private Integer click;
    /**
     * 转化量
     */
    @Excel(name = "转化量", width = 15)
    @ApiModelProperty(value = "转化量")
    private Integer convertNum;
    /**
     * 激活
     */
    @Excel(name = "激活", width = 15)
    @ApiModelProperty(value = "激活")
    private Integer active;
    /**
     * 下载-注册
     */
    @Excel(name = "下载-注册", width = 15)
    @ApiModelProperty(value = "下载-注册")
    private Integer register;
    /**
     * 表单提交
     */
    @Excel(name = "表单提交", width = 15)
    @ApiModelProperty(value = "表单提交")
    private Integer form;
    /**
     * 视频-总播放
     */
    @Excel(name = "视频-总播放", width = 15)
    @ApiModelProperty(value = "视频-总播放")
    private Integer totalPlay;
    /**
     * 视频-有效播放
     */
    @Excel(name = "视频-有效播放", width = 15)
    @ApiModelProperty(value = "视频-有效播放")
    private Integer validPlay;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
