package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 飞书用户信息
 * @author jeecg-boot
 * @date   2020-06-23
 * @version V1.0
 */
@Data
@TableName("ctop_corp_feishu_user")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_corp_feishu_user对象", description="飞书用户信息")
public class CorpFeishuUser {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**email*/
	@Excel(name = "email", width = 15)
    @ApiModelProperty(value = "email")
	private String email;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
	private String name;

	private String openId;
	/**avatarUrl*/
	@Excel(name = "avatarUrl", width = 15)
    @ApiModelProperty(value = "avatarUrl")
	private String avatarUrl;
	/**avatarThumb*/
	@Excel(name = "avatarThumb", width = 15)
    @ApiModelProperty(value = "avatarThumb")
	private String avatarThumb;
	/**avatarMiddle*/
	@Excel(name = "avatarMiddle", width = 15)
    @ApiModelProperty(value = "avatarMiddle")
	private String avatarMiddle;
	/**avatarBig*/
	@Excel(name = "avatarBig", width = 15)
    @ApiModelProperty(value = "avatarBig")
	private String avatarBig;
	/**userId*/
	@Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
	private String userId;
	/**mobile*/
	@Excel(name = "mobile", width = 15)
    @ApiModelProperty(value = "mobile")
	private String mobile;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
