package cn.com.ctop.common.module.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 企业微信用户表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-08
 */
@Data
@TableName("ctop_corp_wexin_user")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_corp_wexin_user对象", description = "企业微信用户表")
public class CtopCorpWexinUser {

    /**
     * userId
     */
    @TableId(type = IdType.INPUT)
    @Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
    private String userId;
    /**
     * wexinId
     */
    @Excel(name = "wexinId", width = 15)
    @ApiModelProperty(value = "wexinId")
    private String wexinId;
    /**
     * wexinName
     */
    @Excel(name = "wexinName", width = 15)
    @ApiModelProperty(value = "wexinName")
    private String wexinName;
    /**
     * wexinMobile
     */
    @Excel(name = "wexinMobile", width = 15)
    @ApiModelProperty(value = "wexinMobile")
    private String wexinMobile;
    /**
     * wexinEmail
     */
    @Excel(name = "wexinEmail", width = 15)
    @ApiModelProperty(value = "wexinEmail")
    private String wexinEmail;
    /**
     * wexinGender
     */
    @Excel(name = "wexinGender", width = 15)
    @ApiModelProperty(value = "wexinGender")
    private String wexinGender;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
