package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 截帧 任务表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-06-01
 */
@Data
@TableName("ctop_material_cut_frame_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_material_cut_frame_task对象", description = "截帧 任务表")
public class MaterialCutFrameTask {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 视频md5
     */
    @Excel(name = "视频md5", width = 15)
    @ApiModelProperty(value = "视频md5")
    private String videoSignature;
    /**
     * jobId
     */
    @Excel(name = "jobId", width = 15)
    @ApiModelProperty(value = "jobId")
    private String jobId;
    /**
     * 任务状态 0 未执行 1 已完成
     */
    @Excel(name = "任务状态 0 未执行 1 已完成", width = 15)
    @ApiModelProperty(value = "任务状态 0 未执行 1 已完成")
    private Integer jobStatus;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    private Integer cloud_type;
}
