package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 素材归属标
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-23
 */
@Data
@TableName("ctop_material_parameter")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_material_parameter对象", description = "素材归属")
public class MaterialParameter {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 素材库id
     */
    @Excel(name = "素材库id", width = 15)
    @ApiModelProperty(value = "素材库id")
    private String materialId;
    /**
     * 视频秒数
     */
    @Excel(name = "视频秒数", width = 15)
    @ApiModelProperty(value = "视频秒数")
    private Long second;
    /**
     * 格式
     */
    @Excel(name = "格式", width = 15)
    @ApiModelProperty(value = "格式")
    private String format;
    /**
     * 宽
     */
    @Excel(name = "宽", width = 15)
    @ApiModelProperty(value = "宽")
    private String width;
    /**
     * 高
     */
    @Excel(name = "高", width = 15)
    @ApiModelProperty(value = "高")
    private String height;
    /**
     * 小
     */
    @Excel(name = "小", width = 15)
    @ApiModelProperty(value = "小")
    private String size;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
