package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 授权配置信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-26
 */
@Data
@TableName("ctop_oauth_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_oauth_config对象", description = "授权配置信息")
public class OauthConfig {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    private Integer mediaId;
    /**
     * 代理商名称
     */
    @Excel(name = "代理商名称", width = 15)
    @ApiModelProperty(value = "代理商名称")
    private String agentName;
    /**
     * appid
     */
    @Excel(name = "appid", width = 15)
    @ApiModelProperty(value = "appid")
    private Integer appId;
    /**
     * secret
     */
    @Excel(name = "secret", width = 15)
    @ApiModelProperty(value = "secret")
    private String secret;
    /**
     * 回调地址
     */
    @Excel(name = "回调地址", width = 15)
    @ApiModelProperty(value = "回调地址")
    private String redirectUri;


    private Integer status;

    private Integer oauthType;

    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer agentRank;

    String callbackUrl;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
