package cn.com.ctop.common.module.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 产品表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-08
 */
@Data
@TableName("ctop_product")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_product对象", description = "产品表")
public class Product {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 产品名
     */
    @Excel(name = "产品名", width = 15)
    @ApiModelProperty(value = "产品名")
    private String productName;
    /**
     * advertiserId
     */
    @Excel(name = "advertiserId", width = 15)
    @ApiModelProperty(value = "advertiserId")
    @Dict(dicCode = "id", dictTable = "ctop_advertiser", dicText = "name")
    private String advertiserId;
    /**
     * 创建人
     */
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    @Dict(dicCode = "id", dictTable = "sys_user", dicText = "realname")
    private String userId;

    @Dict(dicCode = "id", dictTable = "sys_category", dicText = "name")
    private String industryId;
    /**
     * 1正常0删除
     */
    @Excel(name = "1正常0删除", width = 15)
    @ApiModelProperty(value = "1正常0删除")
    private Integer productStatus;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
