package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 规则定向清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_target")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_target对象", description="规则定向清洗数据")
public class RuleDataTarget {

	@TableId
	private Long id;
	private Long accountId;
	private String accountName;
	private Long planId;
	private String planName;

	/**retargetingTagsExclude*/
	private String retargetingTagsExclude;
	private String retargetingTagsInclude;

	/**hideIfExists*/
	@Excel(name = "hideIfExists", width = 15)
    @ApiModelProperty(value = "hideIfExists")
	private Integer hideIfExists;
	/**inventoryType*/
	@Excel(name = "inventoryType", width = 15)
    @ApiModelProperty(value = "inventoryType")
	private String inventoryType;
	/**district*/
	@Excel(name = "district", width = 15)
    @ApiModelProperty(value = "district")
	private String district;
	/**gender*/
	@Excel(name = "gender", width = 15)
    @ApiModelProperty(value = "gender")
	private String gender;
	/**age*/
	@Excel(name = "age", width = 15)
    @ApiModelProperty(value = "age")
	private String age;
	/**excludeFlowPackage*/
	@Excel(name = "excludeFlowPackage", width = 15)
    @ApiModelProperty(value = "excludeFlowPackage")
	private String excludeFlowPackage;
	/**platform*/
	@Excel(name = "platform", width = 15)
    @ApiModelProperty(value = "platform")
	private String platform;
	/**hideIfConverted*/
	@Excel(name = "hideIfConverted", width = 15)
    @ApiModelProperty(value = "hideIfConverted")
	private String hideIfConverted;
	private String deepBidType;
	private String scheduleTime;
	private Integer status;
	private Date createTime;
	private Date updateTime;

	public RuleDataTarget() {
	}
}
