package cn.com.ctop.common.module.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 标签信息
 * @author jeecg-boot
 * @date   2020-08-26
 * @version V1.0
 */
@Data
@TableName("ctop_tag_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_tag_info对象", description="标签信息")
public class TagInfo {
	@TableId(type = IdType.AUTO)
	private Long id;
	@Dict(dicCode = "id",dictTable="ctop_tag_info",dicText="tag_name")
	private Long parentId;
	private Long tagCategoryId;
	private String tagCategoryName;
	@Dict(dicCode = "id",dictTable="ctop_tag_info",dicText="tag_name")
	private Long firstTagId;
	@Dict(dicCode = "id",dictTable="ctop_tag_info",dicText="tag_name")
	private Long secendTagId;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String userId;
	private String tagName;
	private Integer tagOrder;
	private String description;
	private String model;
	private String tagCode;
	private Integer level;
	private Integer status;
	private Integer delFlag;
	@TableField(value="is_leaf")
	private boolean leaf;
	private Date createTime;
	private Date updateTime;

	@TableField(exist = false)
	List<TagInfo> children;


}
