package cn.com.ctop.common.module.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 视频合成任务
 * @author jeecg-boot
 * @date   2019-12-16
 * @version V1.0
 */
@Data
@TableName("ctop_video_merge_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_video_merge_task对象", description="视频合成任务")
public class VideoMergeTask {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**jobId*/
	@Excel(name = "jobId", width = 15)
    @ApiModelProperty(value = "jobId")
	private String jobId;
	@Excel(name = "userId", width = 15)
	@ApiModelProperty(value = "userId")
	private String userId;
	/**videoId*/
	@Excel(name = "videoId", width = 15)
    @ApiModelProperty(value = "videoId")
	private String videoId;
	@Excel(name = "videoUrl", width = 15)
	@ApiModelProperty(value = "videoUrl")
	private String videoUrl;
	/**status*/
	@Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
	private String status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
