package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 预警操作记录
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-11
 */
@Data
@TableName("ctop_warning_operation_log")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_warning_operation_log对象", description = "预警操作记录")
public class WarningOperationLog {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long unitId;
    /**
     * 发送人
     */
    @Excel(name = "发送人", width = 15)
    @ApiModelProperty(value = "发送人")
    private String userId;
    /**
     * 标题
     */
    @Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String subject;
    /**
     * 预警类型 1 出价方式  2 出价过高
     */
    @Excel(name = "预警类型 1 出价方式  2 出价过高 ", width = 15)
    @ApiModelProperty(value = "预警类型 1 出价方式  2 出价过高 ")
    private Integer warningType;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
