package cn.com.ctop.crawler.modules.music.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 音乐类型信息
 * @author jeecg-boot
 * @date   2020-10-28
 * @version V1.0
 */
@Data
@TableName("ctop_music_type")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_music_type对象", description="音乐类型信息")
public class BytedanceMusicType {

	@TableId(type = IdType.AUTO)
	private Long id;
	private String type;
	private String typeValue;
	private String extType;
	private String extTypeValue;
	private Long musicId;
	private String musicName;
	private String author;
	private Date createTime;

	@TableField(exist = false)
	private BytedanceMusicInfo musicInfo;
}
