package cn.com.ctop.manage.modules.edu.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 在线培训
 * @author jeecg-boot
 * @date   2020-03-19
 * @version V1.0
 */
@Data
@TableName("ctop_edu_lesson")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_edu_lesson对象", description="在线培训")
public class EduLesson {
    
	/**id*/
	@TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "id")
	private java.lang.Integer id;
	/**mediaId*/
	@Excel(name = "media", width = 15)
    @ApiModelProperty(value = "media")
	private java.lang.String media;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
	private java.lang.String name;

	private String title;
	private String topic;
	/**intro*/
	@Excel(name = "intro", width = 15)
    @ApiModelProperty(value = "intro")
	private java.lang.String intro;
	/**lessonId*/
	@Excel(name = "lessonId", width = 15)
    @ApiModelProperty(value = "lessonId")
	private java.lang.String lessonId;
	/**fileId*/
	@Excel(name = "fileId", width = 15)
    @ApiModelProperty(value = "fileId")
	private java.lang.String fileId;
	/**fileUrl*/
	@Excel(name = "fileUrl", width = 15)
    @ApiModelProperty(value = "fileUrl")
	private java.lang.String fileUrl;
	/**ossFileUrl*/
	@Excel(name = "ossFileUrl", width = 15)
    @ApiModelProperty(value = "ossFileUrl")
	private java.lang.String ossFileUrl;
	/**coverUrl*/
	@Excel(name = "coverUrl", width = 15)
    @ApiModelProperty(value = "coverUrl")
	private java.lang.String coverUrl;
	/**ossCoverUrl*/
	@Excel(name = "ossCoverUrl", width = 15)
    @ApiModelProperty(value = "ossCoverUrl")
	private java.lang.String ossCoverUrl;
	/**fileType*/
	@Excel(name = "fileType", width = 15)
    @ApiModelProperty(value = "fileType")
	private java.lang.String fileType;
	/**publicTime*/
	@Excel(name = "publicTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "publicTime")
	private java.util.Date publicTime;
	/**creator*/
	@Excel(name = "creator", width = 15)
    @ApiModelProperty(value = "creator")
	private java.lang.String creator;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private java.util.Date createTime;
}
