package cn.com.ctop.job.bytedance.handler;


import cn.com.ctop.oa.modules.service.IWechatNoListService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.enums.NoEn;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 异常考勤审批数据入库
 *
 * @param
 * @author ZHAOXA
 * @return
 * @throws
 */
@Component
public class WechatApproveAttendanceJob {
    @Autowired
    private IWechatNoListService wechatNoListService;

    /**
     * 异常考勤审批数据入库
     * 频率：每月2日凌晨2点同步审批数据 cron:0 0 2 2 * ?
     * 审批状态表
     * starttime 统计开始时间，上个月1号零时零分的时间 例：2020-08-01 00:00:00;
     * endtime 统计结束时间，本月1号零时零分的时间 例：2020-09-01 00:00:00;
     *
     * @author ZHAOXA
     */
    @XxlJob("wechatApproveAttendanceJob")
    public void execute() throws Exception {
        XxlJobHelper.log("--------异常考勤审批数据入库 start ");
        String initMonth = DateUtils.initDateByMonth();
        //更新审批状态表
        wechatNoListService.getNoDateByNo(DateUtils.getMonthBefore(DateUtils.NEW_FORMAT, initMonth, -1), initMonth, NoEn.NO0.valueStr());
        XxlJobHelper.log("--------异常考勤审批数据入库 end ");
    }
}
