package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IEtlKuaishouReportAccountDailyService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 账户维度-盯盘每日数据
 *
 * @author syh
 */
@Component
public class KuaishouDailyAccountReportLoadEtlJob {

    @Autowired
    private IEtlKuaishouReportAccountDailyService iEtlKuaishouReportAccountDailyService;

    @XxlJob("kuaishouDailyAccountReportLoadEtl")
    public void execute() throws Exception {
        try {
            iEtlKuaishouReportAccountDailyService.queryEveryDayDataForAccount();
            XxlJobHelper.log("queryEveryDayDataForAccount success");
        } catch (Exception e) {
            XxlJobHelper.log(e.getMessage());
        }
    }
}
