package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.batch.service.IKuaiShouVideoGetService;
import cn.com.ctop.kuaishou.modules.material.service.IEtlKuaishouVideoInfoService;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouVideoEtlInfoService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class KuaishouEtlVideoJob {
    @Autowired
    private IKuaishouVideoEtlInfoService kuaishouVideoEtlInfoService;
    @Autowired
    private IKuaiShouVideoGetService videoGetService;
    @Autowired
    private IEtlKuaishouVideoInfoService videoEtlInfoService;


    @XxlJob("kuaishouEtlVideoJob")
    public void execute() throws Exception {
        Date startDate = DateUtils.addDay(new Date(), -2);
        for (int i = 0; i <= 2; i++) {
            Date getDate = DateUtils.addDay(startDate, i);
            kuaishouVideoEtlInfoService.etlKuaishouVideoInfo(getDate);
        }
    }

    @XxlJob("kuaishouEtlProjectVideoJob")
    public void kuaishouEtlProjectVideoJob() throws Exception {
        Date startDate = DateUtils.addDay(new Date(), -2);
        for (int i = 0; i <= 2; i++) {
            Date getDate = DateUtils.addDay(startDate, i);
            kuaishouVideoEtlInfoService.etlKuaishouVideoInfoGroupByProjectId(getDate);
        }
    }

    @XxlJob("kuaishouEtlVideoBaseInfoJob")
    public void kuaishouEtlVideoBaseInfoJob() throws Exception {
        String statDate = DateUtils.getStartTime(DateUtils.addDay(new Date(), -1));
        videoGetService.etlVideoBaseInfoByStaDate(statDate);
    }

    @XxlJob("etlFinalKuaishouVideoInfo")
    public void etlKuaishouVideoInfo(){
        Date startDate = DateUtils.addDay(new Date(), -2);
        for(int i=0;i<=2;i++){
            videoEtlInfoService.etlKuaishouVideoInfo(DateUtils.formatDate(DateUtils.addDay(startDate,i)));
        }
    }

}
