package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 账户自动投放定向模板
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-07
 */
@Data
@TableName("ctop_ai_kuaishou_auto_creative_account_info")
public class AiKuaishouAccountTargetTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 营销目标{1应用安装}，{2电商下单}，{3推广品牌}，{4营销线上}，{5应用活跃}
     */
    private String marketingGoal;
    /**
     * 请勾选投放应用已上架的应用商店
     */
    private String appStore;
    /**
     * 是否优先从应用商店下载 true false
     */
    private String useAppMarket;
    /**
     * 应用id集
     */
    private String appIds;
    /**
     * 地域
     */
    private String region;
    /**
     * 年龄段:{[]:不限}{18：18-23岁}{24：24-30岁}{31：31-40岁}{41：41-49岁}{50：50岁+
     */
    private String agesRange;
    /**
     * 性别 1：女性, 2：男性， 0：不限
     */
    private Integer gender;
    /**
     * 操作系统 1： Android， 2： iOS， 0：不限
     */
    private Integer platformOs;
    /**
     * 自定义人群 0不限,1：定向,:2：排除,:3同时定向排除
     */
    private String customCrowd;
    /**
     * 定向人群包
     */
    private String population;
    /**
     * 排除人群包
     */
    private String excludePopulation;
    /**
     * 出价类型(优化目标) 2点击数（CPC），10转化数（OCPM）
     */
    private Integer bidType;
    /**
     * 封面点击出价
     */
    private Integer bid;
    /**
     * 转化目标,2：行为数，180：激活数，53：表单数，190: 付费，191：首日ROI 。。。
     */
    private Integer ocpxActionType;
    /**
     * 转化目标出价
     */
    private Integer cpaBid;
    /**
     * 广告位 1：优选广告位；
     */
    private String sceneId;
    /**
     * 下载详情页ID,建站id
     */
    private String siteId;
    /**
     * 第三方开始播放监测链接
     */
    private String impressionUrl;
    /**
     * 第三方点击检测链接
     */
    private String clickTrackUrl;
    /**
     * 第三方点击按钮监测链接
     */
    private String actionbarClickUrl;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 单个视频搭配图片个数
     */
    private Integer imageNumber;
    /**
     * 创建时间
     */
    private Date createTime;
    private Integer  filterConvertedLevel;
    private String actionBarText;
    private String creativeDescription;
    /**
     * updateTime
     */
    private Date updateTime;
    private String titlePrefix;
    private String titleMiddle;
}
