package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 快手账户策略设置信息表
 * @author jeecg-boot
 * @date   2021-01-25
 * @version V1.0
 */
@Data
@TableName("ctop_ai_kuaishou_advertiser_strategy")
@EqualsAndHashCode(callSuper = false)
public class AiKuaishouAdvertiserStrategy {

	/**客户策略ID*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户ID*/
	private Long accountId;
	private String userId;
	private Integer channelType;
	/**策略状态 1-使用 0-停用*/
	private Integer status;
	/**客户要求的计划名称规范*/
	private String campaignName;
	/**计划类型 2-提升应用安装 3-获取电商下单 4-推广品牌活动 5-收集销售线索 7-提高应用活跃*/
	private Integer campaignType;
	/**客户要求的广告组名称规范*/
	private String groupName;
	/**定向模板id*/
	private Integer templateId;
	/**优化目标出价类型*/
	private Integer bidType;
	/**优先从系统应用商店下载*/
	private Integer useAppMarket;
	/**应用商店列表*/
	private String appStore;
	/**出价*/
	private Integer bid;
	/**深度出价*/
	private Long cpaBid;
	private Long deepConversionBid;
	/**优先低成本出价*/
	private Integer smartBid;
	/**优化目标*/
	private Integer ocpxActionType;
	/**深度转化目标*/
	private Integer deepConversionType;
	/**付费ROI系数*/
	private Float roiRatio;
	/**资源位置*/
	private String sceneId;
	/** 创意制作方式 4-自定义 5-程序化创意 7-程序化创意2.0*/
	private Integer unitType;
	/**投放开始时间*/
	private String beginTime;
	/**投放结束时间*/
	private String endTime;
	/**投放时间段*/
	private String scheduleTime;
	/**转化目标ID*/
	private Integer convertId;
	/**url类型*/
	private Integer urlType;
	/**url类型*/
	private Integer webUriType;
	/**投放链接*/
	private String url;
	/**调起链接*/
	private String schemaUri;
	/**应用ID*/
	private Integer appId;
	/**创意展现方式 1-轮播  2-优选*/
	private Integer showMode;
	/**投放方式 1-加速投放  2-平滑投放 3-优先低成本*/
	private Integer speed;
	/**预约广告*/
	private Integer siteType;
	/**游戏礼包码*/
	private String giftData;
	/**是否使用落地页前置功能*/
	private Integer videoLandingPage;
	/**智能定向*/
	private Integer autoTarget;
	/**是否开启自动生成视频*/
	private Integer autoCreatePhoto;
	/**地域*/
	private String region;
	/**商圈定向*/
	private String districtIds;
	/**用户类型*/
	private Integer userType;
	/**最大年龄*/
	private Integer ageMin;
	/**最小年龄*/
	private Integer ageMax;
	/**固定年龄段*/
	private String agesRange;
	/**性别*/
	private Integer gender;
	/**操作系统*/
	private Integer platformOs;
	/**Android版本*/
	private Integer androidOsv;
	/**iOS版本*/
	private Integer iosOsv;
	/**网络环境*/
	private Integer network;
	/**设备品牌*/
	private String deviceBrand;
	/**设备价格*/
	private String devicePrice;
	/**商业兴趣类型*/
	private Integer businessInterestType;
	/**商业兴趣*/
	private String businessInterest;
	/**网红粉丝*/
	private String fansStar;
	/**兴趣视频用户*/
	private String interestVideo;
	/**APP行为-按分类*/
	private String appInterest;
	/**APP行为-按APP名称*/
	private String appIds;
	/**过滤已转化人群纬度*/
	private Integer filterConvertedLevel;
	/**人群包定向*/
	private String population;
	/**人群包排除*/
	private String excludePopulation;
	/**付费人群包id*/
	private String paidAudience;
	/**开启智能扩量*/
	private Integer isOpen;
	/**不可突破年龄*/
	private Integer noAgeBreak;
	/**不可突破性别*/
	private Integer noGenderBreak;
	/**不可突破地域*/
	private Integer noAreaBreak;
	/**行为兴趣定向*/
	private String behaviorInterest;
	/**创意名称*/
	private String creativeName;
	/**行动号召按钮文案*/
	private String actionBarText;
	/**广告语*/
	private String description;
	/**便利贴创意短广告语*/
	private String shortSlogan;
	/**封面广告语标题*/
	private String stickerTitle;
	/**贴纸样式类型*/
	private String overlayType;
	/**广告标签*/
	private String exposeTag;
	/**广告标签2期*/
	private String newExposeTag;
	/**安卓下载中间页ID*/
	private Integer siteId;
	/**第三方点击检测链接*/
	private String clickTrackUrl;
	/**第三方开始播放监测链接*/
	private String impressionUrl;
	private Integer generalTrack;
	/**第三方有效播放监测链接*/
	private String adPhotoPlayedT3sUrl;
	/**第三方点击按钮监测链接*/
	private String actionbarClickUrl;
	/**创意分类*/
	private Integer creativeCategory;
	/**创意标签*/
	private String creativeTag;
	/**物料关联的封面个数*/
	private Integer imageCnt;
	/**创建时间*/
	private Date createTime;
	/**生效时间*/
	private Date effectiveTime;
	/**失效时间*/
	private Date expiryTime;
	/**
	 * 是否开启智能封面
	 */
	private Integer smartCover;
	/**
	 * 是否开启素材挖掘
	 */
	private Integer assetMining;
	/**
	 * 是否单应用
	 */
	private Integer singleAppid;
	/**
	 * 投放中的appId数组
	 */
	private String appIdArray;
	private Integer openProgramCreate;
	@TableField(exist = false)
	private String authName;
}
