package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 策略模板表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_template")
public class AiKuaishouStrategyTemplate {

	/**策略模板id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	private Long accountId;
	/**策略模板名称*/
	private String templateName;
	/**策略类型 1:素材+出价 2:素材+定向  3:时间+出价 */
	private Integer templateType;
	/**测试方向*/
	private String testDirection;
	/**素材选择方式*/
	private String materialSelectMethod;

	/**
	 * 组内素材组合模式
	 * single 单视频+不同封面
	 * mixed  多视频+各自封面
	 */
	private String materialFixType;
	/**状态1可用 0不可用*/
	private Integer status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
