package cn.com.ctop.kuaishou.modules.ai.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手账户创意创建超限记录信息
 * @author jeecg-boot
 * @date   2021-01-30
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_account_creative_overrun_info")
@EqualsAndHashCode(callSuper = false)
public class KuaishouAccountCreativeOverrunInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**accountId*/
	private Long accountId;
	/**stateDate*/
	private String stateDate;
	/**
	 * 超限时间
	 */
	private String overrunTime;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;

	public KuaishouAccountCreativeOverrunInfo(Long advertiserId, String date,String dateTime) {
		this.accountId = advertiserId;
		this.stateDate = date;
		this.overrunTime = dateTime;
		this.createTime = new Date();
		this.updateTime =new Date();
	}
}
