package cn.com.ctop.kuaishou.modules.ai.service.impl;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaiShouVideoLastTime;
import cn.com.ctop.kuaishou.modules.ai.mapper.KuaiShouVideoLastTimeMapper;
import cn.com.ctop.kuaishou.modules.ai.service.IKuaiShouVideoLastTimeService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ai获取素材上次截止日期
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-11
 */
@Service
public class KuaiShouVideoLastTimeServiceImpl extends ServiceImpl<KuaiShouVideoLastTimeMapper, KuaiShouVideoLastTime> implements IKuaiShouVideoLastTimeService {
    @Autowired
    private KuaiShouVideoLastTimeMapper videoLastTimeMapper;

    @Override
    public List<String> getImageListByMd5(String signature) {
        return videoLastTimeMapper.getImageListByMd5(signature);
    }

    @Override
    public List<JSONObject> getImageListByMd5List(List<String> videoCodeList) {
        return videoLastTimeMapper.getImageListByMd5List(videoCodeList);
    }
}
