package cn.com.ctop.kuaishou.modules.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手推广产品
 * @author jeecg-boot
 * @date   2019-12-31
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_app_product")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_app_product对象", description="快手推广产品")
public class KuaishouAppProduct {

    /**ID*/
	@TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
	private Integer id;
	/**产品名称*/
	@Excel(name = "产品名称", width = 15)
    @ApiModelProperty(value = "产品名称")
	private String name;
	/**推广时间*/
    @ApiModelProperty(value = "推广时间")
	private Date createTime;
	/**更新时间*/
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
}
