package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 计划模板
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-19
 */
@Data
@TableName("ctop_kuaishou_batch_campaign_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_batch_campaign_template对象", description = "计划模板")
public class KuaiShouBatchCampaignTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;

    private  Integer groupRule;
    /**
     * 计划名称
     */
    @Excel(name = "计划名称", width = 15)
    @ApiModelProperty(value = "计划名称")
    private String campaignName;
    /**
     * 营销目标:2:提升应用安装;5：收集销售线索
     */
    @Excel(name = "营销目标:2:提升应用安装;5：收集销售线索", width = 15)
    @ApiModelProperty(value = "营销目标:2:提升应用安装;5：收集销售线索")
    private Integer campaignType;
    /**
     * 计划状态 0关闭，1开启
     */
    @Excel(name = "计划状态 0关闭，1开启", width = 15)
    @ApiModelProperty(value = "计划状态 0关闭，1开启")
    private Integer campaignStatus;
    /**
     * 组状态 1：投放中；2：暂停
     */
    @Excel(name = "组状态 1：投放中；2：暂停", width = 15)
    @ApiModelProperty(value = "组状态 1：投放中；2：暂停")
    private Integer unitStatus;
    /**
     * 每日预算
     */
    @Excel(name = "每日预算", width = 15)
    @ApiModelProperty(value = "每日预算")
    private Long dayBudget;
    /**
     * dayBudgetSchedule
     */
    @Excel(name = "dayBudgetSchedule", width = 15)
    @ApiModelProperty(value = "dayBudgetSchedule")
    private String dayBudgetSchedule;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * 推广平台 ios,android
     */
    @Excel(name = "推广平台 ios,android", width = 15)
    @ApiModelProperty(value = "推广平台 ios,android")
    private String systemType;
    /**
     * 是否定时启动
     */
    @Excel(name = "是否定时启动", width = 15)
    @ApiModelProperty(value = "是否定时启动")
    private String isTime;
    /**
     * 启动时间
     */
    @Excel(name = "启动时间", width = 15)
    @ApiModelProperty(value = "启动时间")
    private String timeStart;
}
