package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 创意模板
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-19
 */
@Data
@TableName("ctop_kuaishou_batch_creative_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_batch_creative_template对象", description = "创意模板")
public class KuaiShouBatchCreativeTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0
     */
    @Excel(name = "创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0", width = 15)
    @ApiModelProperty(value = "创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0")
    private Integer unitType;
    /**
     * 行动号召按钮文案
     */
    @Excel(name = "行动号召按钮文案", width = 15)
    @ApiModelProperty(value = "行动号召按钮文案")
    private String actionBarText;
    /**
     * 自动发送礼包码 发送时机	android（支持的类型）:如果选择「优先从系统应用商店下载」（use_app_market 为 1）：2：检测到用户行为（actionBar 点击）没有选择优先应用商店下载：30： 开始下载后；31：下载完成后；32：安装完成后ios（ios支持的类型）：2：检测到用户行为（actionBar 点击）
     */
    @Excel(name = "自动发送礼包码 发送时机	android（支持的类型）:如果选择「优先从系统应用商店下载」（use_app_market 为 1）：2：检测到用户行为（actionBar 点击）没有选择优先应用商店下载：30： 开始下载后；31：下载完成后；32：安装完成后ios（ios支持的类型）：2：检测到用户行为（actionBar 点击）", width = 15)
    @ApiModelProperty(value = "自动发送礼包码 发送时机	android（支持的类型）:如果选择「优先从系统应用商店下载」（use_app_market 为 1）：2：检测到用户行为（actionBar 点击）没有选择优先应用商店下载：30： 开始下载后；31：下载完成后；32：安装完成后ios（ios支持的类型）：2：检测到用户行为（actionBar 点击）")
    private Integer targetActionType;
    /**
     * 游戏礼包码
     */
    @Excel(name = "游戏礼包码", width = 15)
    @ApiModelProperty(value = "游戏礼包码")
    private String code;
    /**
     * 推荐理由
     */
    @Excel(name = "推荐理由", width = 15)
    @ApiModelProperty(value = "推荐理由")
    private String newExposeTag;
    /**
     * 应用下载详情页
     */
    @Excel(name = "应用下载详情页", width = 15)
    @ApiModelProperty(value = "应用下载详情页")
    private Long siteId;
    /**
     * 封面广告语标题
     */
    @Excel(name = "封面广告语标题", width = 15)
    @ApiModelProperty(value = "封面广告语标题")
    private String stickerTitle;
    /**
     * 贴纸样式类型
     */
    @Excel(name = "贴纸样式类型", width = 15)
    @ApiModelProperty(value = "贴纸样式类型")
    private String overlayType;
    /**
     * 创意分类
     */
    @Excel(name = "创意分类", width = 15)
    @ApiModelProperty(value = "创意分类")
    private Integer creativeCategory;
    /**
     * 创意标签
     */
    @Excel(name = "创意标签", width = 15)
    @ApiModelProperty(value = "创意标签")
    private String creativeTag;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
