package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 创意模板
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-19
 */
@Data
@TableName("ctop_kuaishou_batch_group_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_batch_group_template对象", description = "创意模板")
public class KuaiShouBatchGroupTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 资源位置：1：优选广告位；3：视频播放页广告-便利贴广告（不支持深度转化目标的优化）；5：联盟广告；6：上下滑大屏广告；7：信息流广告；；3、6、7可多选
     */
    @Excel(name = "资源位置：1：优选广告位；3：视频播放页广告-便利贴广告（不支持深度转化目标的优化）；5：联盟广告；6：上下滑大屏广告；7：信息流广告；；3、6、7可多选", width = 15)
    @ApiModelProperty(value = "资源位置：1：优选广告位；3：视频播放页广告-便利贴广告（不支持深度转化目标的优化）；5：联盟广告；6：上下滑大屏广告；7：信息流广告；；3、6、7可多选")
    private String sceneId;
    /**
     * 优先从系统应用商店下载
     */
    @Excel(name = "优先从系统应用商店下载", width = 15)
    @ApiModelProperty(value = "优先从系统应用商店下载")
    private Integer useAppMarket;
    /**
     * 应用列表
     */
    @Excel(name = "应用列表", width = 15)
    @ApiModelProperty(value = "应用列表")
    private String appStore;
    /**
     * 广告组名称
     */
    @Excel(name = "广告组名称", width = 15)
    @ApiModelProperty(value = "广告组名称")
    private String unitName;
    /**
     * 1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空）
     */
    @Excel(name = "1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空）", width = 15)
    @ApiModelProperty(value = "1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空）")
    private Integer speed;
    /**
     * 单日预算
     */
    @Excel(name = "单日预算", width = 15)
    @ApiModelProperty(value = "单日预算")
    private Long dayBudget;
    /**
     * 投放开始时间
     */
    @Excel(name = "投放开始时间", width = 15)
    @ApiModelProperty(value = "投放开始时间")
    private String beginTime;
    /**
     * 投放结束时间
     */
    @Excel(name = "投放结束时间", width = 15)
    @ApiModelProperty(value = "投放结束时间")
    private String endTime;
    /**
     * 投放时段
     */
    @Excel(name = "投放时段", width = 15)
    @ApiModelProperty(value = "投放时段")
    private String scheduleTime;
    /**
     * 1 - 轮播；2 - 优选
     */
    @Excel(name = "1 - 轮播；2 - 优选", width = 15)
    @ApiModelProperty(value = "1 - 轮播；2 - 优选")
    private Integer showMode;
    /**
     * 出价类型
     */
    @Excel(name = "出价类型", width = 15)
    @ApiModelProperty(value = "出价类型")
    private Integer bidType;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Integer bid;
    /**
     * OCPC出价
     */
    @Excel(name = "OCPC出价", width = 15)
    @ApiModelProperty(value = "OCPC出价")
    private Integer cpaBid;
    /**
     * OCPX行为类型   1： CPM， 2： CPC，
     */
    @Excel(name = "OCPX行为类型   1： CPM， 2： CPC，", width = 15)
    @ApiModelProperty(value = "OCPX行为类型   1： CPM， 2： CPC，")
    private Integer ocpxActionType;
    /**
     * 深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无
     */
    @Excel(name = "深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无", width = 15)
    @ApiModelProperty(value = "深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无")
    private Integer deepConversionType;
    /**
     * 深度转化目标出价
     */
    @Excel(name = "深度转化目标出价", width = 15)
    @ApiModelProperty(value = "深度转化目标出价")
    private Integer deepConversionBid;
    /**
     * 出价最小值
     */
    @Excel(name = "出价最小值", width = 15)
    @ApiModelProperty(value = "出价最小值")
    private Integer bidMin;
    /**
     * 出价最大值
     */
    @Excel(name = "出价最大值", width = 15)
    @ApiModelProperty(value = "出价最大值")
    private Integer bidMax;
    /**
     * 1：固定出价 2：随机出价 值为1时取bid或cpa_bid  2 区 bid_max  bid_min
     */
    @Excel(name = "1：固定出价 2：随机出价 值为1时取bid或cpa_bid  2 区 bid_max  bid_min", width = 15)
    @ApiModelProperty(value = "1：固定出价 2：随机出价 值为1时取bid或cpa_bid  2 区 bid_max  bid_min")
    private Integer templateBidType;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
