package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手-日流水信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-05
 */
@Data
@TableName("ctop_kuaishou_daily_flows")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_daily_flows对象", description = "快手-日流水信息")
public class KuaiShouDailyFlows {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private String date;
    /**
     * 总花费(元)
     */
    @Excel(name = "总花费(元)", width = 15)
    @ApiModelProperty(value = "总花费(元)")
    private java.math.BigDecimal dailyCharge;
    /**
     * 充值话费(元)
     */
    @Excel(name = "充值话费(元)", width = 15)
    @ApiModelProperty(value = "充值话费(元)")
    private java.math.BigDecimal realCharged;
    /**
     * 框返花费(元)
     */
    @Excel(name = "框返花费(元)", width = 15)
    @ApiModelProperty(value = "框返花费(元)")
    private java.math.BigDecimal contractRebateRealCharged;
    /**
     * 激励花费(元)
     */
    @Excel(name = "激励花费(元)", width = 15)
    @ApiModelProperty(value = "激励花费(元)")
    private java.math.BigDecimal directRebateRealCharged;
    /**
     * 转入(元)
     */
    @Excel(name = "转入(元)", width = 15)
    @ApiModelProperty(value = "转入(元)")
    private java.math.BigDecimal dailyTransferIn;
    /**
     * 转出(元)
     */
    @Excel(name = "转出(元)", width = 15)
    @ApiModelProperty(value = "转出(元)")
    private java.math.BigDecimal dailyTransferOut;
    /**
     * 日终结余(元)
     */
    @Excel(name = "日终结余(元)", width = 15)
    @ApiModelProperty(value = "日终结余(元)")
    private java.math.BigDecimal balance;
    /**
     * 充值转入(元)
     */
    @Excel(name = "充值转入(元)", width = 15)
    @ApiModelProperty(value = "充值转入(元)")
    private java.math.BigDecimal realRecharged;
    /**
     * 框返转入(元)
     */
    @Excel(name = "框返转入(元)", width = 15)
    @ApiModelProperty(value = "框返转入(元)")
    private java.math.BigDecimal contractRebateRealRecharged;
    /**
     * 激励转入(元)
     */
    @Excel(name = "激励转入(元)", width = 15)
    @ApiModelProperty(value = "激励转入(元)")
    private java.math.BigDecimal directRebateRealRecharged;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
