package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 分天记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-12
 */
@Data
@TableName("ctop_kuaishou_daily_report_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_daily_report_task对象", description = "分天记录表")
public class KuaiShouDailyReportTask {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 广告账户ID（相当于头条返回的access_token数据中的advertiser_id）
     */
    @Excel(name = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）", width = 15)
    @ApiModelProperty(value = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）")
    private Long accountId;
    /**
     * 任务id
     */
    @Excel(name = "任务id", width = 15)
    @ApiModelProperty(value = "任务id")
    private String taskId;
    /**
     * 任务名称
     */
    @Excel(name = "任务名称", width = 15)
    @ApiModelProperty(value = "任务名称")
    private String taskName;
    /**
     * 0：新建，1：处理中，2：处理成功，3：处理失败，4：数据已下载 5:文件生成 本地下载失败
     */
    @Excel(name = "0：新建，1：处理中，2：处理成功，3：处理失败，4：数据已下载 5:文件生成 本地下载失败", width = 15)
    @ApiModelProperty(value = "0：新建，1：处理中，2：处理成功，3：处理失败，4：数据已下载 5:文件生成 本地下载失败")
    private Integer taskStatus;
    /**
     * 1：账户维度查询，2:  广告计划维度查询，3：广告组维度查询，4：广告创意维度查询
     */
    @Excel(name = "1：账户维度查询，2:  广告计划维度查询，3：广告组维度查询，4：广告创意维度查询", width = 15)
    @ApiModelProperty(value = "1：账户维度查询，2:  广告计划维度查询，3：广告组维度查询，4：广告创意维度查询")
    private Integer viewType;
    /**
     * 任务查询数据起始时间
     */
    @Excel(name = "任务查询数据起始时间", width = 15)
    @ApiModelProperty(value = "任务查询数据起始时间")
    private String statDate;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
