package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 广告组-时间段范围
 * @Author: jeecg-boot
 * @Date: 2019-07-24
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_schedule")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_schedule对象", description = "广告组-时间段范围")
public class KuaiShouSchedule {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * accountId
     */
    @Excel(name = "账号id", width = 15)
    @ApiModelProperty(value = "账号id")
    private Long accountId;

    /**
     * 广告组id
     */
    @Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告组id")
    private Long unitId;
    /**
     * 周一时间段
     */
    @Excel(name = "周一时间段", width = 15)
    @ApiModelProperty(value = "周一时间段")
    private String mon;
    /**
     * 周二时间段
     */
    @Excel(name = "周二时间段", width = 15)
    @ApiModelProperty(value = "周二时间段")
    private String tues;
    /**
     * 周三时间段
     */
    @Excel(name = "周三时间段", width = 15)
    @ApiModelProperty(value = "周三时间段")
    private String wed;
    /**
     * 周四时间段
     */
    @Excel(name = "周四时间段", width = 15)
    @ApiModelProperty(value = "周四时间段")
    private String thur;
    /**
     * 周五时间段
     */
    @Excel(name = "周五时间段", width = 15)
    @ApiModelProperty(value = "周五时间段")
    private String fri;
    /**
     * 周六时间段
     */
    @Excel(name = "周六时间段", width = 15)
    @ApiModelProperty(value = "周六时间段")
    private String sat;
    /**
     * 周日时间段
     */
    @Excel(name = "周日时间段", width = 15)
    @ApiModelProperty(value = "周日时间段")
    private String sun;
    /**
     * createTime
     */
    @Excel(name = "createTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
