package cn.com.ctop.kuaishou.modules.batch.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 账户日预算
 * @author jeecg-boot
 * @date   2020-04-26
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_account_budget")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_account_budget对象", description="账户日预算")
public class KuaishouAccountBudget {
    
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	@Excel(name = "dayBudget", width = 15)
    @ApiModelProperty(value = "dayBudget")
	private String dayBudget;
	@Excel(name = "dayBudgetSchedule", width = 15)
    @ApiModelProperty(value = "dayBudgetSchedule")
	private String dayBudgetSchedule;
	@Excel(name = "createTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	@Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
