package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;
import java.util.List;

/**
 * 快手-广告计划预览信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-26
 */
@Data
@TableName("ctop_kuaishou_batch_campaign_preview")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_batch_campaign_preview对象", description = "快手-广告计划预览信息")
public class KuaishouBatchCampaignPreview {

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 计划名称
     */
    @Excel(name = "计划名称", width = 15)
    @ApiModelProperty(value = "计划名称")
    private String campaignName;
    /**
     * 命名格式
     */
    private String campaignNameFormat;
    /**
     * 2 - 提升应用安装;
     */
    @Excel(name = "2 - 提升应用安装;", width = 15)
    @ApiModelProperty(value = "2 - 提升应用安装;")
    private Integer campaignType;

    /**
     * 是否定时启动 1 是 2 否
     */
    private Integer isTime;
    /**
     * 投放状态 1：投放中；2：暂停
     */
    @Excel(name = "投放状态 1：投放中；2：暂停", width = 15)
    @ApiModelProperty(value = "投放状态 1：投放中；2：暂停")
    private Integer putStatus;
    /**
     * 每日预算
     */
    @Excel(name = "每日预算", width = 15)
    @ApiModelProperty(value = "每日预算")
    private Long dayBudget;
    /**
     * dayBudgetSchedule
     */
    @Excel(name = "dayBudgetSchedule", width = 15)
    @ApiModelProperty(value = "dayBudgetSchedule")
    private String dayBudgetSchedule;
    /**
     * 广告投放时间
     */
    @Excel(name = "投放启动时间", width = 15)
    @ApiModelProperty(value = "投放启动时间")
    private String timeStart;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 批次标识
     */
    @Excel(name = "批次标识", width = 15)
    @ApiModelProperty(value = "批次标识")
    private String batchId;
    /**
     * 是否创建成功 0 失败，1成功
     */
    private Integer isSuccess;

    /**
     * 操作说明
     */
    private String message;
    /**
     * 创建成功后的计划ID
     */
    private Long campaignId;

    @TableField(exist = false)
    private String statDate;

    @TableField(exist = false)
    private List<KuaishouBatchGroupPreview> kuaishouBatchGroupPreviews;

}
