package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 待复制广告计划数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-12-22
 */
@Data
@TableName("ctop_kuaishou_campaign_copy_data")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_campaign_copy_data对象", description = "待复制广告计划数据")
public class KuaishouCampaignCopyData {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 被复制的计划ID
     */
    @Excel(name = "被复制的计划ID", width = 15)
    @ApiModelProperty(value = "被复制的计划ID")
    private Long oldCampaignId;

    /**
     * 被复制的计划名称
     */
    private String oldCampaignName;

    /**
     * 创建者ID
     */
    private String createrId;
    /**
     * 新计划ID
     */
    @Excel(name = "新计划ID", width = 15)
    @ApiModelProperty(value = "新计划ID")
    private Long newCampaignId;
    /**
     * 投放方式  0：未知， 1：正常投
     */
    @Excel(name = "投放方式  0：未知， 1：正常投", width = 15)
    @ApiModelProperty(value = "投放方式  0：未知， 1：正常投")
    private Integer speed;
    /**
     * '状态：1待复制，2成功，3失败'
     */
    private String state;
    /**
     * 状态详情
     */
    private String stateDetail;
    /**
     * 单日预算
     */
    @Excel(name = "单日预算", width = 15)
    @ApiModelProperty(value = "单日预算")
    private Long dayBudget;
    /**
     * 定向模板id
     */
    @Excel(name = "定向模板id", width = 15)
    @ApiModelProperty(value = "定向模板id")
    private String templateId;
    /**
     * 投放开始时间
     */
    @Excel(name = "投放开始时间", width = 15)
    @ApiModelProperty(value = "投放开始时间")
    private String beginTime;
    /**
     * 投放结束时间
     */
    @Excel(name = "投放结束时间", width = 15)
    @ApiModelProperty(value = "投放结束时间")
    private String endTime;
    /**
     * 投放时段
     */
    @Excel(name = "投放时段", width = 15)
    @ApiModelProperty(value = "投放时段")
    private Object scheduleTime;
    /**
     * 出价类型(优化目标) 2点击数（CPC），10转化数（OCPM）
     */
    @Excel(name = "出价类型(优化目标) 2点击数（CPC），10转化数（OCPM）", width = 15)
    @ApiModelProperty(value = "出价类型(优化目标) 2点击数（CPC），10转化数（OCPM）")
    private Integer bidType;
    /**
     * 封面点击出价
     */
    @Excel(name = "封面点击出价", width = 15)
    @ApiModelProperty(value = "封面点击出价")
    private Long bid;
    /**
     * 转化目标,2：行为数，180：激活数，53：表单数，190: 付费，191：首日ROI 。。。
     */
    @Excel(name = "转化目标,2：行为数，180：激活数，53：表单数，190: 付费，191：首日ROI 。。。", width = 15)
    @ApiModelProperty(value = "转化目标,2：行为数，180：激活数，53：表单数，190: 付费，191：首日ROI 。。。")
    private Integer ocpxActionType;
    /**
     * 转化目标出价
     */
    @Excel(name = "转化目标出价", width = 15)
    @ApiModelProperty(value = "转化目标出价")
    private Long cpaBid;
    /**
     * 深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无
     */
    @Excel(name = "深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无", width = 15)
    @ApiModelProperty(value = "深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无")
    private Integer deepConversionType;
    /**
     * 深度转化目标出价
     */
    @Excel(name = "深度转化目标出价", width = 15)
    @ApiModelProperty(value = "深度转化目标出价")
    private Long deepConversionBid;
    /**
     * 广告位 1：优选广告位；
     */
    @Excel(name = "广告位 1：优选广告位；", width = 15)
    @ApiModelProperty(value = "广告位 1：优选广告位；")
    private String sceneId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
