package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 超限记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-28
 */
@Data
@TableName("ctop_kuaishou_over_run_log")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_over_run_log对象", description = "超限记录表")
public class KuaishouOverRunLog {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 1 创意
     */
    @Excel(name = "1 创意", width = 15)
    @ApiModelProperty(value = "1 创意")
    private Integer mailType;
    /**
     * 消耗预警 日期
     */
    @Excel(name = "消耗预警 日期", width = 15)
    @ApiModelProperty(value = "消耗预警 日期")
    private String statDate;
    /**
     * 消耗预警 小时
     */
    @Excel(name = "消耗预警 小时", width = 15)
    @ApiModelProperty(value = "消耗预警 小时")
    private Integer statHour;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
