package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 人群包列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-05-06
 */
@Data
@TableName("ctop_kuaishou_population")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_population对象", description = "人群包列表")
public class KuaishouPopulation {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 人群包id
     */
    @Excel(name = "人群包id", width = 15)
    @ApiModelProperty(value = "人群包id")
    private Long orientationId;
    /**
     * 人群包名称
     */
    @Excel(name = "人群包名称", width = 15)
    @ApiModelProperty(value = "人群包名称")
    private String orientationName;
    /**
     * 人群数据类型0：非上传人群包1：IMEI2：IDFA3：IMEI_MD54：IDFA_MD55：手机号-MD5
     */
    @Excel(name = "人群数据类型0：非上传人群包1：IMEI2：IDFA3：IMEI_MD54：IDFA_MD55：手机号-MD5", width = 15)
    @ApiModelProperty(value = "人群数据类型0：非上传人群包1：IMEI2：IDFA3：IMEI_MD54：IDFA_MD55：手机号-MD5")

    private Integer populationType;
    /**
     * 上传数量
     */
    @Excel(name = "上传数量", width = 15)
    @ApiModelProperty(value = "上传数量")
    private Long recordSize;
    /**
     * 匹配数量
     */
    @Excel(name = "匹配数量", width = 15)
    @ApiModelProperty(value = "匹配数量")
    private Long matchSize;
    /**
     * 覆盖人群
     */
    @Excel(name = "覆盖人群", width = 15)
    @ApiModelProperty(value = "覆盖人群")
    private Long coverNum;

    private Integer status;
    private Integer type;
    /**
     * 推送时间
     */
    @Excel(name = "推送时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "推送时间")
    private Date putTime;


    private Long thirdPlatformCode;
    /**
     * 付费人群包-第3方平台code
     * <p>
     * private java.lang.Integer thirdPlatformCode;
     * /**创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
