package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手-程序化创意
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-22
 */
@Data
@TableName("ctop_kuaishou_program_creative")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_program_creative对象", description = "快手-程序化创意")
public class KuaishouProgramCreative {

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID", width = 15)
    @ApiModelProperty(value = "广告组ID")
    private Long unitId;
    /**
     * 程序化创意包名称
     */
    @Excel(name = "程序化创意包名称", width = 15)
    @ApiModelProperty(value = "程序化创意包名称")
    private String packageName;
    /**
     * 横版视频 id list
     */
    @Excel(name = "横版视频 id list", width = 15)
    @ApiModelProperty(value = "横版视频 id list")
    private String horizontalPhotoIds;
    /**
     * 竖版视频 id list
     */
    @Excel(name = "竖版视频 id list", width = 15)
    @ApiModelProperty(value = "竖版视频 id list")
    private String verticalPhotoIds;
    /**
     * 封面imageToken
     */
    @Excel(name = "封面imageToken", width = 15)
    @ApiModelProperty(value = "封面imageToken")
    private String coverImageTokens;
    /**
     * 封面链接地址
     */
    @Excel(name = "封面链接地址", width = 15)
    @ApiModelProperty(value = "封面链接地址")
    private String coverImageUrls;
    /**
     * 建站id
     */
    @Excel(name = "建站id", width = 15)
    @ApiModelProperty(value = "建站id")
    private Long siteId;
    /**
     * 封面贴纸
     */
    @Excel(name = "封面贴纸", width = 15)
    @ApiModelProperty(value = "封面贴纸")
    private String stickerStyles;
    /**
     * 封面广告语
     */
    @Excel(name = "封面广告语", width = 15)
    @ApiModelProperty(value = "封面广告语")
    private String coverSlogans;
    /**
     * 行动号召按钮
     */
    @Excel(name = "行动号召按钮", width = 15)
    @ApiModelProperty(value = "行动号召按钮")
    private String actionBar;
    /**
     * 作品广告语
     */
    @Excel(name = "作品广告语", width = 15)
    @ApiModelProperty(value = "作品广告语")
    private String captions;
    /**
     * 第三方监测链接
     */
    @Excel(name = "第三方监测链接", width = 15)
    @ApiModelProperty(value = "第三方监测链接")
    private String clickUrl;
    /**
     * 第三方ActionBar点击监控链接
     */
    @Excel(name = "第三方ActionBar点击监控链接", width = 15)
    @ApiModelProperty(value = "第三方ActionBar点击监控链接")
    private String actionbarClickUrl;
    /**
     * 程序化创意操作状态，1：投放，2：暂停，3：删除
     */
    @Excel(name = "程序化创意操作状态，1：投放，2：暂停，3：删除", width = 15)
    @ApiModelProperty(value = "程序化创意操作状态，1：投放，2：暂停，3：删除")
    private Integer putStatus;
    /**
     * 程序化创意状态 -1：不限，1：计划已暂停，3：计划超预算，6：余额不足，11：组审核中，12：组审核未通过，14：已结束，15：组已暂停，17：组超预算，19：未达投放时间，40：创意已删除，41：审核中，42：审核未通过，46：已暂停，52：投放中，53：作品异常，55：部分素材审核通过
     */
    @Excel(name = "程序化创意状态 -1：不限，1：计划已暂停，3：计划超预算，6：余额不足，11：组审核中，12：组审核未通过，14：已结束，15：组已暂停，17：组超预算，19：未达投放时间，40：创意已删除，41：审核中，42：审核未通过，46：已暂停，52：投放中，53：作品异常，55：部分素材审核通过", width = 15)
    @ApiModelProperty(value = "程序化创意状态 -1：不限，1：计划已暂停，3：计划超预算，6：余额不足，11：组审核中，12：组审核未通过，14：已结束，15：组已暂停，17：组超预算，19：未达投放时间，40：创意已删除，41：审核中，42：审核未通过，46：已暂停，52：投放中，53：作品异常，55：部分素材审核通过")
    private Integer viewStatus;
    /**
     * 程序化创意状态描述
     */
    @Excel(name = "程序化创意状态描述", width = 15)
    @ApiModelProperty(value = "程序化创意状态描述")
    private String viewStatusReason;

    private Integer creativeCategory;
    private String creativeTag;

    /**
     * 创意创建时间
     */
    @Excel(name = "创意创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创意创建时间")
    private Date creativeCreateTime;
    /**
     * 创意最后修改时间
     */
    @Excel(name = "创意最后修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创意最后修改时间")
    private Date creativeUpdateTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
