package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手-定向模板
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-09
 */
@Data
@TableName("ctop_kuaishou_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_template对象", description = "快手-定向模板")
public class KuaishouTemplate {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 定向模板id
     */
    @Excel(name = "定向模板id", width = 15)
    @ApiModelProperty(value = "定向模板id")
    private Long templateId;
    /**
     * 模板名称
     */
    @Excel(name = "模板名称", width = 15)
    @ApiModelProperty(value = "模板名称")
    private String templateName;
    /**
     * 绑定组个数
     */
    @Excel(name = "绑定组个数", width = 15)
    @ApiModelProperty(value = "绑定组个数")
    private Integer unitCount;
    /**
     * 定向模板创建时间
     */
    @Excel(name = "定向模板创建时间", width = 15)
    @ApiModelProperty(value = "定向模板创建时间")
    private Date createTime;
    /**
     * 定向模板修改时间
     */
    @Excel(name = "定向模板修改时间", width = 15)
    @ApiModelProperty(value = "定向模板修改时间")
    private Date updateTime;
}
