package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手-定向模板-详情
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-09
 */
@Data
@TableName("ctop_kuaishou_template_target")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_template_target对象", description = "快手-定向模板-详情")
public class KuaishouTemplateTarget {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 定向模板id
     */
    @Excel(name = "定向模板id", width = 15)
    @ApiModelProperty(value = "定向模板id")
    private Long templateId;
    /**
     * 地域
     */
    @Excel(name = "地域", width = 15)
    @ApiModelProperty(value = "地域")
    private String region;
    /**
     * 商圈定向
     */
    @Excel(name = "商圈定向", width = 15)
    @ApiModelProperty(value = "商圈定向")
    private String districtIds;
    /**
     * 用户类型 0：实时1：常驻 2：不限
     */
    @Excel(name = "用户类型 0：实时1：常驻 2：不限 ", width = 15)
    @ApiModelProperty(value = "用户类型 0：实时1：常驻 2：不限 ")
    private Integer userType;
    /**
     * 可选年龄段 18：18-23岁 24：24-30岁 31：31-40岁 41：41-49岁 50：50-100岁
     */
    @Excel(name = "可选年龄段 18：18-23岁 24：24-30岁 31：31-40岁 41：41-49岁 50：50-100岁 ", width = 15)
    @ApiModelProperty(value = "可选年龄段 18：18-23岁 24：24-30岁 31：31-40岁 41：41-49岁 50：50-100岁 ")
    private String agesRange;
    /**
     * 年龄最小值
     */
    @Excel(name = "年龄最小值", width = 15)
    @ApiModelProperty(value = "年龄最小值")
    private Integer min;
    /**
     * 年龄最大值
     */
    @Excel(name = "年龄最大值", width = 15)
    @ApiModelProperty(value = "年龄最大值")
    private Integer max;
    /**
     * 性别 1：女性, 2：男性，0 表示不限
     */
    @Excel(name = "性别 1：女性, 2：男性，0 表示不限", width = 15)
    @ApiModelProperty(value = "性别 1：女性, 2：男性，0 表示不限")
    private Integer gender;
    /**
     * 定向的 os 版本 应用安装类计划以app_id中的platform_os为准 1：Android，2：iOS，0 表示不限
     */
    @Excel(name = "定向的 os 版本 应用安装类计划以app_id中的platform_os为准 1：Android，2：iOS，0 表示不限", width = 15)
    @ApiModelProperty(value = "定向的 os 版本 应用安装类计划以app_id中的platform_os为准 1：Android，2：iOS，0 表示不限")
    private Integer platformOs;
    /**
     * Android 版本 3：不限，4：4.x+，5：5.x+，6：6.x+，7：7.x+
     */
    @Excel(name = "Android 版本 3：不限，4：4.x+，5：5.x+，6：6.x+，7：7.x+", width = 15)
    @ApiModelProperty(value = "Android 版本 3：不限，4：4.x+，5：5.x+，6：6.x+，7：7.x+")
    private Integer androidOsv;
    /**
     * iOS 版本 6：不限， 7：7.x+， 8：8.x+， 9：9.x+， 10：10.x+
     */
    @Excel(name = "iOS 版本 6：不限， 7：7.x+， 8：8.x+， 9：9.x+， 10：10.x+", width = 15)
    @ApiModelProperty(value = "iOS 版本 6：不限， 7：7.x+， 8：8.x+， 9：9.x+， 10：10.x+")
    private Integer iosOsv;
    /**
     * 网络环境 1：WI-FI，2：移动网络，0：表示不限
     */
    @Excel(name = "网络环境 1：WI-FI，2：移动网络，0：表示不限", width = 15)
    @ApiModelProperty(value = "网络环境 1：WI-FI，2：移动网络，0：表示不限")
    private Integer network;
    /**
     * 过滤已转化人群纬度 0：不限 1：广告组 2：广告计划 3：本账户 4：公司主体 5：APP
     */
    @Excel(name = "过滤已转化人群纬度 0：不限 1：广告组 2：广告计划 3：本账户 4：公司主体 5：APP", width = 15)
    @ApiModelProperty(value = "过滤已转化人群纬度 0：不限 1：广告组 2：广告计划 3：本账户 4：公司主体 5：APP")
    private Integer filterConvertedLevel;
    /**
     * 设备品牌  1：OPPO，2：VIVO， 3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视，10：其他，11：苹果（只有 platform_os 为不限时支持此选项）；传值为 [] 表示不限；当 platform_os 表示 iOS 的时候，没有设备品牌定向
     */
    @Excel(name = "设备品牌  1：OPPO，2：VIVO， 3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视，10：其他，11：苹果（只有 platform_os 为不限时支持此选项）；传值为 [] 表示不限；当 platform_os 表示 iOS 的时候，没有设备品牌定向", width = 15)
    @ApiModelProperty(value = "设备品牌  1：OPPO，2：VIVO， 3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视，10：其他，11：苹果（只有 platform_os 为不限时支持此选项）；传值为 [] 表示不限；当 platform_os 表示 iOS 的时候，没有设备品牌定向")
    private String deviceBrand;
    /**
     * 设备价格 1：1,500元以下，2：1,501~2,000，3：2,001~2,500，4：2,501~3,000，5、3,001~3,500，6：3,501~4,000，7：4,001~4,500，8：4,501~5,000，9：5,001~5,500，10：5,500元以上，传值为 [] 表示不限
     */
    @Excel(name = "设备价格 1：1,500元以下，2：1,501~2,000，3：2,001~2,500，4：2,501~3,000，5、3,001~3,500，6：3,501~4,000，7：4,001~4,500，8：4,501~5,000，9：5,001~5,500，10：5,500元以上，传值为 [] 表示不限", width = 15)
    @ApiModelProperty(value = "设备价格 1：1,500元以下，2：1,501~2,000，3：2,001~2,500，4：2,501~3,000，5、3,001~3,500，6：3,501~4,000，7：4,001~4,500，8：4,501~5,000，9：5,001~5,500，10：5,500元以上，传值为 [] 表示不限")
    private String devicePrice;
    /**
     * 商业兴趣类型 0：默认值 1：智能投放 2：兴趣标签
     */
    @Excel(name = "商业兴趣类型 0：默认值 1：智能投放 2：兴趣标签", width = 15)
    @ApiModelProperty(value = "商业兴趣类型 0：默认值 1：智能投放 2：兴趣标签")
    private Integer businessInterestType;
    /**
     * 商业兴趣
     */
    @Excel(name = "商业兴趣", width = 15)
    @ApiModelProperty(value = "商业兴趣")
    private String businessInterest;
    /**
     * 网红类别
     */
    @Excel(name = "网红类别", width = 15)
    @ApiModelProperty(value = "网红类别")
    private String fansStar;
    /**
     * 兴趣视频
     */
    @Excel(name = "兴趣视频", width = 15)
    @ApiModelProperty(value = "兴趣视频")
    private String interestVideo;
    /**
     * APP行为-按分类
     */
    @Excel(name = "APP行为-按分类", width = 15)
    @ApiModelProperty(value = "APP行为-按分类")
    private String appInterest;
    /**
     * APP行为-按APP名称
     */
    @Excel(name = "APP行为-按APP名称", width = 15)
    @ApiModelProperty(value = "APP行为-按APP名称")
    private String appIds;
    /**
     * 定向人群包
     */
    @Excel(name = "定向人群包", width = 15)
    @ApiModelProperty(value = "定向人群包")
    private String population;
    /**
     * 付费人群包
     */
    @Excel(name = "付费人群包", width = 15)
    @ApiModelProperty(value = "付费人群包")
    private String paidAudience;
    /**
     * 排除人群包
     */
    @Excel(name = "排除人群包", width = 15)
    @ApiModelProperty(value = "排除人群包")
    private String excludePopulation;
    /**
     * 开启智能扩量 默认为0，为1时打开智能扩量，其他数值报错；关闭智能扩量时，以下三个字段必须为0
     */
    @Excel(name = "开启智能扩量 默认为0，为1时打开智能扩量，其他数值报错；关闭智能扩量时，以下三个字段必须为0", width = 15)
    @ApiModelProperty(value = "开启智能扩量 默认为0，为1时打开智能扩量，其他数值报错；关闭智能扩量时，以下三个字段必须为0")
    private Integer isOpen;
    /**
     * 不可突破年龄 默认为0（可突破/无需控制），定向age数据不为空时，可设为1（不可突破）
     */
    @Excel(name = "不可突破年龄 默认为0（可突破/无需控制），定向age数据不为空时，可设为1（不可突破）", width = 15)
    @ApiModelProperty(value = "不可突破年龄 默认为0（可突破/无需控制），定向age数据不为空时，可设为1（不可突破）")
    private Integer noAgeBreak;
    /**
     * 不可突破性别 默认为0（可突破/无需控制），定向gender数据不为空时，可设为1（不可突破
     */
    @Excel(name = "不可突破性别 默认为0（可突破/无需控制），定向gender数据不为空时，可设为1（不可突破", width = 15)
    @ApiModelProperty(value = "不可突破性别 默认为0（可突破/无需控制），定向gender数据不为空时，可设为1（不可突破")
    private Integer noGenderBreak;
    /**
     * 不可突破地域 默认为0（可突破/无需控制），定向region数据不为空时，可设为1（不可突破）
     */
    @Excel(name = "不可突破地域 默认为0（可突破/无需控制），定向region数据不为空时，可设为1（不可突破）", width = 15)
    @ApiModelProperty(value = "不可突破地域 默认为0（可突破/无需控制），定向region数据不为空时，可设为1（不可突破）")
    private Integer noAreaBreak;
    /**
     * 定向模板创建时间
     */
    @Excel(name = "定向模板创建时间", width = 15)
    @ApiModelProperty(value = "定向模板创建时间")
    private Date createTime;
    /**
     * 定向模板修改时间
     */
    @Excel(name = "定向模板修改时间", width = 15)
    @ApiModelProperty(value = "定向模板修改时间")
    private Date updateTime;
}
