package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手-策略和计划启动/关停关系表
 * @author jeecg-boot
 * @date   2020-12-18
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_strategy_campaign_rel")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_strategy_campaign_rel对象", description="快手-策略和计划启动/关停关系表")
public class kuaishoustrategycampaignRel {
    
	/**策略ID*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "策略ID")
	private Long id;
	/**策略id*/
	@Excel(name = "策略id", width = 15)
    @ApiModelProperty(value = "策略id")
	private Long strategyId;
	/**账户ID*/
	@Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
	private Long accountId;
	/**策略状态 0 关停，1激活*/
	@Excel(name = "策略状态 0 关停，1激活", width = 15)
    @ApiModelProperty(value = "策略状态 0 关停，1激活")
	private String strategyState;
	/**计划id*/
	@Excel(name = "计划id", width = 15)
    @ApiModelProperty(value = "计划id")
	private Long campaignId;
	/**创建时间*/
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
