package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroup;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description: 广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface KuaiShouGroupMapper extends BaseMapper<KuaiShouGroup> {
    void replaceBatch(@Param(value = "groups") List<KuaiShouGroup> groups);

    List<String> selectWarningGroup(@Param("accountId") Long accountId, @Param("maxBid") Long maxBid);

    List<String> selectWarningCpaBid(@Param("accountId") Long accountId, @Param("maxBid") BigDecimal maxDeepCapBid);

    List<KuaiShouGroup> queryByMap(Map<String, Object> map);

    List<KuaiShouGroup> queryUnitInfoByAccountId(Long accountId);

    void delAllGroupByCampaignId(@Param("accountId") Long accountId, @Param("campaignId") Long campaignId);

    List<KuaiShouGroup> queryUnitInfoByCampaignId(@Param("accountId") Long accountId, @Param("campaignId") Long campaignId);

    Integer queryToDayBuiltCount(@Param("accountId") Long accountId, @Param("date") String date);

    void deleteByAccountId(@Param("accountId") Long accountId);

    Integer getNewDataByAccountIdAndDate(Long accountId, String statDate);

    List<JSONObject> getUnitListByMapAndAccountId(@Param("unitIds") Map<Long, Long> unitMap, @Param("accountId") Long accountId);
}
