package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

public interface ICrossAccountBatchService {
    /**
     * \
     * 组装数据 JSON
     *
     * @param oauthToken
     * @param createUnitArr
     * @param campaignOne
     * @return
     */
    JSONArray assembleUnitJson(CtopOauthToken oauthToken, JSONArray createUnitArr, JSONObject campaignOne);

    /**
     * 组装数据 JSONArray
     *
     * @param oauthToken
     * @param createUnitArr
     * @param campaignList
     * @return
     */
    JSONArray assembleUnitArray(CtopOauthToken oauthToken, JSONArray createUnitArr, JSONArray campaignList);

    /**
     * 跨账户批量创建组
     *
     * @param createUnitArr
     * @return
     */

    JSONArray createUnit(JSONArray createUnitArr);

    /**
     * 组装批量创建创意数据
     *
     * @param creativeArray
     * @param accountJson
     * @return
     */
    JSONArray assembleCreativeJson(JSONArray creativeArray, JSONObject accountJson);


    /**
     * 跨账户批量创建计划
     *
     * @param creativeArray
     * @return
     */
    JSONArray createCreative(JSONArray creativeArray);
}
