package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

/**
 * @Description: kuaishou.modules.batch-优化评估策略表
 * @Author: jeecg-boot
 * @Date: 2020-12-10
 * @Version: V1.0
 */
public interface IKuaishouStrategyService extends IService<KuaishouStrategy> {
    /**
     * 页面关停操作
     *
     * @param
     * @return org.jeecg.common.api.vo.Result<java.lang.Object>
     * @throws
     * @author ZHAOXA
     */
    Result<?> shutDownPlan(JSONObject data);

    /**
     * 创建快手广告计划
     *
     * @param oauthToken token签名
     * @param groupJson  广告计划
     * @return void
     * @throws
     * @author ZHAOXA
     */
    Map<String, Object> createPlanLevelStrategy(CtopOauthToken oauthToken, JSONObject data);

    /**
     * 查询有效策略的账户
     *
     * @param
     * @return java.util.List<java.lang.Long>
     * @throws
     * @author ZHAOXA
     */
    List<Long> queryActiveAccount();

    List<Long> queryShouTaoAccounts();
}
