package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 清洗数据账户素材概览数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-03-10
 */
@Data
@TableName("ctop_etl_kuaishou_account_material_overview")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_etl_kuaishou_account_material_overview对象", description = "清洗数据账户素材概览数据")
public class EtlKuaiShouAccountMaterialOverview {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long accountId;
    /**
     * 新上素材数
     */
    @Excel(name = "新上素材数", width = 15)
    @ApiModelProperty(value = "新上素材数")
    private Integer newlyCount;
    /**
     * 新上素材素材使用数
     */
    @Excel(name = "新上素材素材使用数", width = 15)
    @ApiModelProperty(value = "新上素材素材使用数")
    private Integer newlyUseCount;
    /**
     * 总素材数
     */
    @Excel(name = "总素材数", width = 15)
    @ApiModelProperty(value = "总素材数")
    private Integer totalCount;
    /**
     * 有效素材数
     */
    @Excel(name = "有效素材数", width = 15)
    @ApiModelProperty(value = "有效素材数")
    private Integer effectiveCount;
    /**
     * 爆款素材数
     */
    @Excel(name = "爆款素材数", width = 15)
    @ApiModelProperty(value = "爆款素材数")
    private Integer hotMoneyCount;
    /**
     * 日期
     */
    @Excel(name = "日期", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "日期")
    private Date stateDate;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
