package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 快手 新上计划数据汇总
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-03-08
 */
@Data
@TableName("ctop_etl_kuaishou_newly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_etl_kuaishou_newly对象", description = "快手 新上计划数据汇总")
public class EtlKuaiShouNewly {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 项目id
     */
    @Excel(name = "项目id", width = 15)
    @ApiModelProperty(value = "项目id")
    private Long projectId;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long accountId;
    /**
     * 账户授权名称
     */
    @Excel(name = "账户授权名称", width = 15)
    @ApiModelProperty(value = "账户授权名称")
    private String oauthName;
    /**
     * 绑定人id
     */
    @Excel(name = "绑定人id", width = 15)
    @ApiModelProperty(value = "绑定人id")
    private String userId;
    /**
     * 绑定人名称
     */
    @Excel(name = "绑定人名称", width = 15)
    @ApiModelProperty(value = "绑定人名称")
    private String userName;
    /**
     * 新上数量
     */
    @Excel(name = "新上数量", width = 15)
    @ApiModelProperty(value = "新上数量")
    private Integer newCount;
    /**
     * campaign：计划  unit：组 creative：创意
     */
    @Excel(name = "campaign：计划  unit：组 creative：创意", width = 15)
    @ApiModelProperty(value = "campaign：计划  unit：组 creative：创意")
    private String newType;
    /**
     * 时间
     */
    @Excel(name = "时间", width = 15)
    @ApiModelProperty(value = "时间")
    private String statDate;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
