package cn.com.ctop.kuaishou.modules.report.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手账户素材报表清洗表
 * @author jeecg-boot
 * @date   2021-02-25
 * @version V1.0
 */
@Data
@TableName("ctop_etl_kuaishou_account_material_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_etl_kuaishou_account_material_report_daily对象", description="快手账户素材报表清洗表")
public class EtlKuaishouAccountMaterialReportDaily {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户ID*/
	private Long accountId;
	/**channelType*/
	private Integer channelType;
	/**signature*/
	private String signature;
	/**companyId*/
	private String companyId;
	/**companyName*/
	private String companyName;
	/**projectId*/
	private String projectId;
	/**projectName*/
	private String projectName;
	/**封面url*/
	private String coverUrl;
	/**视频url*/
	private String photoUrl;
	/**素材类型*/
	private String materialType;
	/**花费(元)*/
	private java.math.BigDecimal charge;
	/**曝光数*/
	private Integer photoShow;
	/**素材曝光数*/
	private Integer aclick;
	/**行为数*/
	private Integer bclick;
	/**应用下载数据-安卓下载开始数*/
	private Integer downloadStarted;
	/**应用下载数据-安卓下载完成数*/
	private Integer downloadCompleted;
	/**应用下载数据-激活数*/
	private Integer activation;
	/**提交按钮点击数*/
	private Integer submit;
	/**日期*/
	private Date statDate;
	/**封面点击数*/
	private Integer photoClick;
	/**应用下载数据-首日付费次数*/
	private Integer eventPayFirstDay;
	/**应用下载数据-首日付费金额*/
	private java.math.BigDecimal eventPayPurchaseAmountFirstDay;
	/**应用下载数据-付费次数*/
	private Integer eventPay;
	/**应用下载数据-付费金额*/
	private java.math.BigDecimal eventPayPurchaseAmount;
	/**应用下载数据-注册数*/
	private Integer eventRegister;
	/**应用下载数据-完件数*/
	private Integer eventJinJianApp;
	/**应用下载数据-授信数*/
	private Integer eventCreditGrantApp;
	/**应用下载数据-付款成功数*/
	private Integer eventOrderPaid;
	/**应用下载数据-付款成功金额*/
	private java.math.BigDecimal eventOrderPaidPurchaseAmount;
	/**落地页数据-落地页完件数*/
	private Integer eventJinJianLandingPage;
	/**落地页数据-落地页授信数*/
	private Integer eventCreditGrantLandingPage;
	/**应用下载数据-次留数（仅支持分日查询）*/
	private Integer eventNextDayStay;
	/**落地页数据-表单提交数*/
	private Integer formCount;
	/**3s播放数*/
	@TableField(value = "play_3s_count")
	private Long play3sCount;
	/**创建时间*/
	private Date createTime;
	/**修改时间*/
	private Date updateTime;
}
