package cn.com.ctop.kuaishou.modules.report.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手视频分日报表信息
 * @author jeecg-boot
 * @date   2021-02-20
 * @version V1.0
 */
@Data
@TableName("ctop_etl_kuaishou_report_video_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_etl_kuaishou_report_video_daily对象", description="快手视频分日报表信息")
public class  EtlKuaishouReportVideoDaily {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**数据日期*/
	@Excel(name = "数据日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "数据日期")
	private Date statDate;
	/**videoCode*/
	@Excel(name = "videoCode", width = 15)
    @ApiModelProperty(value = "videoCode")
	private String videoCode;
	/**花费(元)*/
	@Excel(name = "花费(元)", width = 15)
    @ApiModelProperty(value = "花费(元)")
	private java.math.BigDecimal charge;
	/**曝光数*/
	@Excel(name = "曝光数", width = 15)
    @ApiModelProperty(value = "曝光数")
	private Long photoShow;
	/**素材曝光数*/
	@Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
	private Long aclick;
	/**行为数*/
	@Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
	private Long bclick;
	/**分享数*/
	@Excel(name = "分享数", width = 15)
    @ApiModelProperty(value = "分享数")
	private Integer photoShare;
	/**评论数*/
	@Excel(name = "评论数", width = 15)
    @ApiModelProperty(value = "评论数")
	private Long photoComment;
	/**点赞数*/
	@Excel(name = "点赞数", width = 15)
    @ApiModelProperty(value = "点赞数")
	private Long photoLike;
	/**新增关注数*/
	@Excel(name = "新增关注数", width = 15)
    @ApiModelProperty(value = "新增关注数")
	private Long follow;
	/**取消关注数*/
	@Excel(name = "取消关注数", width = 15)
    @ApiModelProperty(value = "取消关注数")
	private Integer cancelFollow;
	/**举报数*/
	@Excel(name = "举报数", width = 15)
    @ApiModelProperty(value = "举报数")
	private Integer report;
	/**拉黑数*/
	@Excel(name = "拉黑数", width = 15)
    @ApiModelProperty(value = "拉黑数")
	private Integer block;
	/**减少此类作品数*/
	@Excel(name = "减少此类作品数", width = 15)
    @ApiModelProperty(value = "减少此类作品数")
	private Integer negative;
	/**应用下载数据-安卓下载开始数*/
	@Excel(name = "应用下载数据-安卓下载开始数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
	private Integer downloadStarted;
	/**应用下载数据-安卓下载完成数*/
	@Excel(name = "应用下载数据-安卓下载完成数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
	private Integer downloadCompleted;
	/**应用下载数据-激活数*/
	@Excel(name = "应用下载数据-激活数", width = 15)
    @ApiModelProperty(value = "应用下载数据-激活数")
	private Integer activation;
	/**提交按钮点击数*/
	@Excel(name = "提交按钮点击数", width = 15)
    @ApiModelProperty(value = "提交按钮点击数")
	private Integer submit;
	/**封面点击数*/
	@Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
	private Integer photoClick;
	/**封面点击率*/
	@Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
	private Double photoClickRatio;
	/**行为率*/
	@Excel(name = "行为率", width = 15)
    @ApiModelProperty(value = "行为率")
	private Double actionRatio;
	/**平均千次曝光花费（元）*/
	@Excel(name = "平均千次曝光花费（元）", width = 15)
    @ApiModelProperty(value = "平均千次曝光花费（元）")
	private java.math.BigDecimal impression1kCost;
	/**平均点击单价（元）*/
	@Excel(name = "平均点击单价（元）", width = 15)
    @ApiModelProperty(value = "平均点击单价（元）")
	private java.math.BigDecimal photoClickCost;
	/**平均行为单价（元）*/
	@Excel(name = "平均行为单价（元）", width = 15)
    @ApiModelProperty(value = "平均行为单价（元）")
	private java.math.BigDecimal actionCost;
	/**应用下载数据-首日付费次数*/
	@Excel(name = "应用下载数据-首日付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费次数")
	private Integer eventPayFirstDay;
	/**应用下载数据-首日付费金额*/
	@Excel(name = "应用下载数据-首日付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费金额")
	private java.math.BigDecimal eventPayPurchaseAmountFirstDay;
	/**应用下载数据-首日ROI*/
	@Excel(name = "应用下载数据-首日ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日ROI")
	private Double eventPayFirstDayRoi;
	/**应用下载数据-付费次数*/
	@Excel(name = "应用下载数据-付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费次数")
	private Integer eventPay;
	/**应用下载数据-付费金额*/
	@Excel(name = "应用下载数据-付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费金额")
	private java.math.BigDecimal eventPayPurchaseAmount;
	/**应用下载数据-ROI*/
	@Excel(name = "应用下载数据-ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-ROI")
	private Double eventPayRoi;
	/**应用下载数据-注册数*/
	@Excel(name = "应用下载数据-注册数", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册数")
	private Integer eventRegister;
	/**应用下载数据-注册成本*/
	@Excel(name = "应用下载数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册成本")
	private java.math.BigDecimal eventRegisterCost;
	/**应用下载数据-注册率*/
	@Excel(name = "应用下载数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册率")
	private Double eventRegisterRatio;
	/**应用下载数据-完件数*/
	@Excel(name = "应用下载数据-完件数", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件数")
	private Integer eventJinJianApp;
	/**应用下载数据-完件成本*/
	@Excel(name = "应用下载数据-完件成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件成本")
	private java.math.BigDecimal eventJinJianAppCost;
	/**应用下载数据-授信数*/
	@Excel(name = "应用下载数据-授信数", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信数")
	private Integer eventCreditGrantApp;
	/**应用下载数据-授信成本*/
	@Excel(name = "应用下载数据-授信成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信成本")
	private java.math.BigDecimal eventCreditGrantAppCost;
	/**应用下载数据-授信率*/
	@Excel(name = "应用下载数据-授信率", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信率")
	private Double eventCreditGrantAppRatio;
	/**应用下载数据-付款成功数*/
	@Excel(name = "应用下载数据-付款成功数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功数")
	private Integer eventOrderPaid;
	/**应用下载数据-付款成功金额*/
	@Excel(name = "应用下载数据-付款成功金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功金额")
	private java.math.BigDecimal eventOrderPaidPurchaseAmount;
	/**落地页数据-落地页完件数*/
	@Excel(name = "落地页数据-落地页完件数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件数")
	private Integer eventJinJianLandingPage;
	/**落地页数据-落地页完件成本*/
	@Excel(name = "落地页数据-落地页完件成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件成本")
	private java.math.BigDecimal eventJinJianLandingPageCost;
	/**落地页数据-落地页授信数*/
	@Excel(name = "落地页数据-落地页授信数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信数")
	private Integer eventCreditGrantLandingPage;
	/**落地页数据-落地页授信成本*/
	@Excel(name = "落地页数据-落地页授信成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信成本")
	private java.math.BigDecimal eventCreditGrantLandingPageCost;
	/**落地页数据-落地页授信率*/
	@Excel(name = "落地页数据-落地页授信率", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信率")
	private Double eventCreditGrantLandingRatio;
	/**应用下载数据-次留成本（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留成本（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留成本（仅支持分日查询）")
	private java.math.BigDecimal eventNextDayStayCost;
	/**应用下载数据-次留率（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留率（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留率（仅支持分日查询）")
	private Integer eventNextDayStayRatio;
	/**落地页数据-表单提交点击率*/
	@Excel(name = "落地页数据-表单提交点击率", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交点击率")
	private Double formActionRatio;
	/**应用下载数据-单次付款成本*/
	@Excel(name = "应用下载数据-单次付款成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-单次付款成本")
	private java.math.BigDecimal eventOrderPaidCost;
	/**应用下载数据-次留数（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
	private Integer eventNextDayStay;
	/**落地页数据-表单提交单价*/
	@Excel(name = "落地页数据-表单提交单价", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交单价")
	private java.math.BigDecimal formCost;
	/**落地页数据-表单提交数*/
	@Excel(name = "落地页数据-表单提交数", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交数")
	private Integer formCount;
	/**3s播放率*/
	@Excel(name = "3s播放率", width = 15)
    @ApiModelProperty(value = "3s播放率")
	private Double play3sRatio;
	/**3s播放数*/
	@Excel(name = "3s播放数", width = 15)
    @ApiModelProperty(value = "3s播放数")
	private Integer play3sCount;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;
}
