package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 代理商报表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-08-18
 */
@Data
@TableName("ctop_kuaishou_daily_agent")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_daily_agent对象", description = "代理商报表")
public class KuaiShouDailyAgent {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 代理商id
     */
    @Excel(name = "代理商id", width = 15)
    @ApiModelProperty(value = "代理商id")
    private Long agentId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 日期
     */
    @Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
    private String dateTime;
    /**
     * user_id
     */
    @Excel(name = "user_id", width = 15)
    @ApiModelProperty(value = "user_id")
    private Long userId;
    /**
     * 广告主名称
     */
    @Excel(name = "广告主名称", width = 15)
    @ApiModelProperty(value = "广告主名称")
    private String accountName;
    /**
     * 总消耗（元）
     */
    @Excel(name = "总消耗（元）", width = 15)
    @ApiModelProperty(value = "总消耗（元）")
    private java.math.BigDecimal totalChargedInYuan;
    /**
     * 总余额（元）
     */
    @Excel(name = "总余额（元）", width = 15)
    @ApiModelProperty(value = "总余额（元）")
    private java.math.BigDecimal totalBalanceInYuan;
    /**
     * 现金消耗（元）
     */
    @Excel(name = "现金消耗（元）", width = 15)
    @ApiModelProperty(value = "现金消耗（元）")
    private java.math.BigDecimal realChargedInYuan;
    /**
     * 返点消耗（元）
     */
    @Excel(name = "返点消耗（元）", width = 15)
    @ApiModelProperty(value = "返点消耗（元）")
    private java.math.BigDecimal totalRebateRealChargedInYuan;
    /**
     * 框返消耗（元）
     */
    @Excel(name = "框返消耗（元）", width = 15)
    @ApiModelProperty(value = "框返消耗（元）")
    private java.math.BigDecimal contractRebateRealChargedInYuan;
    /**
     * 激励消耗（元）
     */
    @Excel(name = "激励消耗（元）", width = 15)
    @ApiModelProperty(value = "激励消耗（元）")
    private java.math.BigDecimal directRebateRealChargedInYuan;
    /**
     * 信用消耗（元）
     */
    @Excel(name = "信用消耗（元）", width = 15)
    @ApiModelProperty(value = "信用消耗（元）")
    private java.math.BigDecimal creditRealChargedInYuan;
    /**
     * 消耗环比
     */
    @Excel(name = "消耗环比", width = 15)
    @ApiModelProperty(value = "消耗环比")
    private String chargeDayOnDayPercent;
    /**
     * 封面曝光数
     */
    @Excel(name = "封面曝光数", width = 15)
    @ApiModelProperty(value = "封面曝光数")
    private Long adPhotoImpression;
    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
    private Long adPhotoClick;
    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
    private Long adItemImpression;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private Long adItemClick;
    /**
     * 封面点击率
     */
    @Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
    private String photoClickRatio;
    /**
     * 行为点击率
     */
    @Excel(name = "行为点击率", width = 15)
    @ApiModelProperty(value = "行为点击率")
    private String itemClickRatio;
    /**
     * 有消费计划数
     */
    @Excel(name = "有消费计划数", width = 15)
    @ApiModelProperty(value = "有消费计划数")
    private Long chargedCampaignCount;
    /**
     * 产品名
     */
    @Excel(name = "产品名", width = 15)
    @ApiModelProperty(value = "产品名")
    private String productName;
    /**
     * 企业名称
     */
    @Excel(name = "企业名称", width = 15)
    @ApiModelProperty(value = "企业名称")
    private String corporationName;
    /**
     * 首次消耗日期
     */
    @Excel(name = "首次消耗日期", width = 15)
    @ApiModelProperty(value = "首次消耗日期")
    private String firstCostDay;
    /**
     * 一级行业
     */
    @Excel(name = "一级行业", width = 15)
    @ApiModelProperty(value = "一级行业")
    private String industry;
    /**
     * 二级行业
     */
    @Excel(name = "二级行业", width = 15)
    @ApiModelProperty(value = "二级行业")
    private String secondIndustry;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
