package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;

/**
 * 人群分析报表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-12-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_audience_report_daily_province对象", description = "人群分析报表")
public class KuaishouAudienceReportDaily {

    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;

    private Long unitId;

    private Long planId;
    /**
     * placementType
     */
    @Excel(name = "placementType", width = 15)
    @ApiModelProperty(value = "placementType")
    private String placementType;
    /**
     * 日期
     */
    @Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
    private String statDate;
    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
    private Long aclick;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private Long bclick;
    /**
     * 封面点成本
     */
    @Excel(name = "封面点成本", width = 15)
    @ApiModelProperty(value = "封面点成本")
    private Double photoClickCost;
    /**
     * 新增关注数
     */
    @Excel(name = "新增关注数", width = 15)
    @ApiModelProperty(value = "新增关注数")
    private Long follow;
    /**
     * 取消关注数
     */
    @Excel(name = "取消关注数", width = 15)
    @ApiModelProperty(value = "取消关注数")
    private Long cancelFollow;
    /**
     * 举报数
     */
    @Excel(name = "举报数", width = 15)
    @ApiModelProperty(value = "举报数")
    private Long report;
    /**
     * 拉黑数
     */
    @Excel(name = "拉黑数", width = 15)
    @ApiModelProperty(value = "拉黑数")
    private Long block;
    /**
     * 减少此类作品数
     */
    @Excel(name = "减少此类作品数", width = 15)
    @ApiModelProperty(value = "减少此类作品数")
    private Long negative;
    /**
     * 应用下载数据-安卓下载开始数
     */
    @Excel(name = "应用下载数据-安卓下载开始数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
    private Long downloadStarted;
    /**
     * 应用下载数据-安卓下载完成数
     */
    @Excel(name = "应用下载数据-安卓下载完成数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
    private Long downloadCompleted;
    /**
     * 应用下载数据-激活数
     */
    @Excel(name = "应用下载数据-激活数", width = 15)
    @ApiModelProperty(value = "应用下载数据-激活数")
    private Long activation;
    /**
     * 提交按钮点击数
     */
    @Excel(name = "提交按钮点击数", width = 15)
    @ApiModelProperty(value = "提交按钮点击数")
    private Long submit;
    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
    private Long photoClick;
    /**
     * 封面点击率
     */
    @Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
    private Double photoClickRatio;
    /**
     * 花费
     */
    @Excel(name = "花费", width = 15)
    @ApiModelProperty(value = "花费")
    private Double charge;
    /**
     * 行为率
     */
    @Excel(name = "行为率", width = 15)
    @ApiModelProperty(value = "行为率")
    private Double actionRatio;
    /**
     * 平均千次曝光花费（元）
     */
    @Excel(name = "平均千次曝光花费（元）", width = 15)
    @ApiModelProperty(value = "平均千次曝光花费（元）")
    private BigDecimal impression_1kCost;
    /**
     * 平均行为单价（元）
     */
    @Excel(name = "平均行为单价（元）", width = 15)
    @ApiModelProperty(value = "平均行为单价（元）")
    private BigDecimal actionCost;
    /**
     * 应用下载数据-首日付费次数
     */
    @Excel(name = "应用下载数据-首日付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费次数")
    private Long eventPayFirstDay;
    /**
     * 应用下载数据-首日付费金额
     */
    @Excel(name = "应用下载数据-首日付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费金额")
    private BigDecimal eventPayPurchaseAmountFirstDay;
    /**
     * 应用下载数据-首日ROI
     */
    @Excel(name = "应用下载数据-首日ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日ROI")
    private Double eventPayFirstDayRoi;
    /**
     * 应用下载数据-付费次数
     */
    @Excel(name = "应用下载数据-付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费次数")
    private Long eventPay;
    /**
     * 应用下载数据-付费金额
     */
    @Excel(name = "应用下载数据-付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费金额")
    private BigDecimal eventPayPurchaseAmount;
    /**
     * 应用下载数据-ROI
     */
    @Excel(name = "应用下载数据-ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-ROI")
    private Double eventPayRoi;
    /**
     * 应用下载数据-注册数
     */
    @Excel(name = "应用下载数据-注册数", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册数")
    private Long eventRegister;
    /**
     * 应用下载数据-注册成本
     */
    @Excel(name = "应用下载数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册成本")
    private BigDecimal eventRegisterCost;
    /**
     * 应用下载数据-注册率
     */
    @Excel(name = "应用下载数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册率")
    private Double eventRegisterRatio;
    /**
     * 应用下载数据-完件数
     */
    @Excel(name = "应用下载数据-完件数", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件数")
    private Long eventJinJianApp;
    /**
     * 应用下载数据-完件成本
     */
    @Excel(name = "应用下载数据-完件成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件成本")
    private BigDecimal eventJinJianAppCost;
    /**
     * 应用下载数据-授信数
     */
    @Excel(name = "应用下载数据-授信数", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信数")
    private Long eventCreditGrantApp;
    /**
     * 应用下载数据-授信成本
     */
    @Excel(name = "应用下载数据-授信成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信成本")
    private BigDecimal eventCreditGrantAppCost;
    /**
     * 应用下载数据-付款成功数
     */
    @Excel(name = "应用下载数据-付款成功数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功数")
    private Long eventOrderPaid;
    /**
     * 应用下载数据-付款成功金额
     */
    @Excel(name = "应用下载数据-付款成功金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功金额")
    private BigDecimal eventOrderPaidPurchaseAmount;
    /**
     * 落地页数据-落地页完件数
     */
    @Excel(name = "落地页数据-落地页完件数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件数")
    private Long eventJinJianLandingPage;
    /**
     * 落地页数据-落地页完件成本
     */
    @Excel(name = "落地页数据-落地页完件成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件成本")
    private BigDecimal eventJinJianLandingPageCost;
    /**
     * 落地页数据-落地页授信数
     */
    @Excel(name = "落地页数据-落地页授信数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信数")
    private Long eventCreditGrantLandingPage;
    /**
     * 落地页数据-落地页授信成本
     */
    @Excel(name = "落地页数据-落地页授信成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信成本")
    private BigDecimal eventCreditGrantLandingPageCost;
    /**
     * 落地页数据-落地页授信率
     */
    @Excel(name = "落地页数据-落地页授信率", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信率")
    private Double eventCreditGrantLandingRatio;
    /**
     * 应用下载数据-次留成本（仅支持分日查询）
     */
    @Excel(name = "应用下载数据-次留成本（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留成本（仅支持分日查询）")
    private BigDecimal eventNextDayStayCost;
    /**
     * 应用下载数据-次留率（仅支持分日查询）
     */
    @Excel(name = "应用下载数据-次留率（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留率（仅支持分日查询）")
    private BigDecimal eventNextDayStayRatio;
    /**
     * 落地页数据-表单提交点击率
     */
    @Excel(name = "落地页数据-表单提交点击率", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交点击率")
    private Double formActionRatio;
    /**
     * 应用下载数据-单次付款成本
     */
    @Excel(name = "应用下载数据-单次付款成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-单次付款成本")
    private BigDecimal eventOrderPaidCost;
    /**
     * 应用下载数据-次留数（仅支持分日查询）
     */
    @Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
    private Long eventNextDayStay;
    /**
     * 落地页数据-表单提交单价
     */
    @Excel(name = "落地页数据-表单提交单价", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交单价")
    private BigDecimal formCost;
    /**
     * 落地页数据-表单提交数
     */
    @Excel(name = "落地页数据-表单提交数", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交数")
    private Long formCount;
    /**
     * 3s播放率
     */
    @Excel(name = "3s播放率", width = 15)
    @ApiModelProperty(value = "3s播放率")
    private Double play_3sRatio;
    /**
     * 数据小时
     */
    @Excel(name = "数据小时", width = 15)
    @ApiModelProperty(value = "数据小时")
    private Long statHour;
    /**
     * click1kCost
     */
    @Excel(name = "click1kCost", width = 15)
    @ApiModelProperty(value = "click1kCost")
    private String click_1kCost;
    /**
     * 落地页数据-有效线索数
     */
    @Excel(name = "落地页数据-有效线索数", width = 15)
    @ApiModelProperty(value = "落地页数据-有效线索数")
    private Long eventValidClues;
    /**
     * 落地页数据-有效线索成本
     */
    @Excel(name = "落地页数据-有效线索成本", width = 15)
    @ApiModelProperty(value = "落地页数据-有效线索成本")
    private BigDecimal eventValidCluesCost;
    /**
     * 商品成交数
     */
    @Excel(name = "商品成交数", width = 15)
    @ApiModelProperty(value = "商品成交数")
    private Long adProductCnt;
    /**
     * 商品访问数
     */
    @Excel(name = "商品访问数", width = 15)
    @ApiModelProperty(value = "商品访问数")
    private Long eventGoodsView;
    /**
     * 涨粉量
     */
    @Excel(name = "涨粉量", width = 15)
    @ApiModelProperty(value = "涨粉量")
    private Long merchantRecoFans;
    /**
     * 涨粉量
     */
    @Excel(name = "涨粉量", width = 15)
    @ApiModelProperty(value = "涨粉量")
    private Long eventOrderAmountRoi;
    /**
     * 新增付费人数
     */
    @Excel(name = "新增付费人数", width = 15)
    @ApiModelProperty(value = "新增付费人数")
    private Long eventNewUserPay;
    /**
     * 新增付费人数成本：当日消耗 / 当日新增
     */
    @Excel(name = "新增付费人数成本：当日消耗 / 当日新增", width = 15)
    @ApiModelProperty(value = "新增付费人数成本：当日消耗 / 当日新增")
    private BigDecimal eventNewUserPayCost;
    /**
     * 新增付费人数率：当日新增付费人数 / 当日行为数
     */
    @Excel(name = "新增付费人数率：当日新增付费人数 / 当日行为数", width = 15)
    @ApiModelProperty(value = "新增付费人数率：当日新增付费人数 / 当日行为数")
    private BigDecimal eventNewUserPayRatio;
    /**
     * 按钮点击数
     */
    @Excel(name = "按钮点击数", width = 15)
    @ApiModelProperty(value = "按钮点击数")
    private Long eventButtonClick;
    /**
     * 按钮点击成本
     */
    @Excel(name = "按钮点击成本", width = 15)
    @ApiModelProperty(value = "按钮点击成本")
    private BigDecimal eventButtonClickCost;
    /**
     * 按钮点击成率
     */
    @Excel(name = "按钮点击成率", width = 15)
    @ApiModelProperty(value = "按钮点击成率")
    private BigDecimal eventButtonClickRatio;
    /**
     * 5s播放率
     */
    @Excel(name = "5s播放率", width = 15)
    @ApiModelProperty(value = "5s播放率")
    private BigDecimal play_5sRatio;
    /**
     * 完播率
     */
    @Excel(name = "完播率", width = 15)
    @ApiModelProperty(value = "完播率")
    private BigDecimal playEndRatio;
    /**
     * 订单支付率
     */
    @Excel(name = "订单支付率", width = 15)
    @ApiModelProperty(value = "订单支付率")
    private BigDecimal eventOrderPaidRoi;
    /**
     * 新增完件人数
     */
    @Excel(name = "新增完件人数", width = 15)
    @ApiModelProperty(value = "新增完件人数")
    private Long eventNewUserJinjianApp;
    /**
     * 新增完件人数成本
     */
    @Excel(name = "新增完件人数成本", width = 15)
    @ApiModelProperty(value = "新增完件人数成本")
    private BigDecimal eventNewUserJinjianAppCost;
    /**
     * 新增完件人数率
     */
    @Excel(name = "新增完件人数率", width = 15)
    @ApiModelProperty(value = "新增完件人数率")
    private BigDecimal eventNewUserJinjianAppRoi;
    /**
     * 新增授信人数
     */
    @Excel(name = "新增授信人数", width = 15)
    @ApiModelProperty(value = "新增授信人数")
    private Long eventNewUserCreditGrantApp;
    /**
     * 新增授信人数成本
     */
    @Excel(name = "新增授信人数成本", width = 15)
    @ApiModelProperty(value = "新增授信人数成本")
    private BigDecimal eventNewUserCreditGrantAppCost;
    /**
     * 新增授信人数率
     */
    @Excel(name = "新增授信人数率", width = 15)
    @ApiModelProperty(value = "新增授信人数率")
    private BigDecimal eventNewUserCreditGrantAppRoi;
    /**
     * 落地页新增完件人数
     */
    @Excel(name = "落地页新增完件人数", width = 15)
    @ApiModelProperty(value = "落地页新增完件人数")
    private Long eventNewUserJinjianPage;
    /**
     * 落地页新增完件人数成本
     */
    @Excel(name = "落地页新增完件人数成本", width = 15)
    @ApiModelProperty(value = "落地页新增完件人数成本")
    private BigDecimal eventNewUserJinjianPageCost;
    /**
     * 落地页新增完件人数率
     */
    @Excel(name = "落地页新增完件人数率", width = 15)
    @ApiModelProperty(value = "落地页新增完件人数率")
    private BigDecimal eventNewUserJinjianPageRoi;
    /**
     * 落地页新增授信人数
     */
    @Excel(name = "落地页新增授信人数", width = 15)
    @ApiModelProperty(value = "落地页新增授信人数")
    private Long eventNewUserCreditGrantPage;
    /**
     * 落地页新增授信人数成本
     */
    @Excel(name = "落地页新增授信人数成本", width = 15)
    @ApiModelProperty(value = "落地页新增授信人数成本")
    private BigDecimal eventNewUserCreditGrantPageCost;
    /**
     * 落地页新增授信人数率
     */
    @Excel(name = "落地页新增授信人数率", width = 15)
    @ApiModelProperty(value = "落地页新增授信人数率")
    private BigDecimal eventNewUserCreditGrantPageRoi;
    /**
     * eventAppointForm
     */
    @Excel(name = "eventAppointForm", width = 15)
    @ApiModelProperty(value = "eventAppointForm")
    private Long eventAppointForm;
    /**
     * eventAppointFormCost
     */
    @Excel(name = "eventAppointFormCost", width = 15)
    @ApiModelProperty(value = "eventAppointFormCost")
    private BigDecimal eventAppointFormCost;
    /**
     * eventAppointFormRatio
     */
    @Excel(name = "eventAppointFormRatio", width = 15)
    @ApiModelProperty(value = "eventAppointFormRatio")
    private BigDecimal eventAppointFormRatio;
    /**
     * eventAppointJumpClick
     */
    @Excel(name = "eventAppointJumpClick", width = 15)
    @ApiModelProperty(value = "eventAppointJumpClick")
    private Long eventAppointJumpClick;
    /**
     * eventAppointJumpClickCost
     */
    @Excel(name = "eventAppointJumpClickCost", width = 15)
    @ApiModelProperty(value = "eventAppointJumpClickCost")
    private BigDecimal eventAppointJumpClickCost;
    /**
     * eventAppointJumpClickRatio
     */
    @Excel(name = "eventAppointJumpClickRatio", width = 15)
    @ApiModelProperty(value = "eventAppointJumpClickRatio")
    private BigDecimal eventAppointJumpClickRatio;
    /**
     * unionEventPayPurchaseAmount7d
     */
    @Excel(name = "unionEventPayPurchaseAmount_7d", width = 15)
    @ApiModelProperty(value = "unionEventPayPurchaseAmount_7d")
    private String unionEventPayPurchaseAmount_7d;
    /**
     * 省份
     */
    @Excel(name = "省份", width = 15)
    @ApiModelProperty(value = "省份")
    private String province;
    /**
     * eventAppInvoked
     */
    @Excel(name = "eventAppInvoked", width = 15)
    @ApiModelProperty(value = "eventAppInvoked")
    private String eventAppInvoked;
    /**
     * unionEventPayPurchaseAmount7dRoi
     */
    @Excel(name = "unionEventPayPurchaseAmount_7dRoi", width = 15)
    @ApiModelProperty(value = "unionEventPayPurchaseAmount_7dRoi")
    private String unionEventPayPurchaseAmount_7dRoi;
    /**
     * eventAddShoppingCartCost
     */
    @Excel(name = "eventAddShoppingCartCost", width = 15)
    @ApiModelProperty(value = "eventAddShoppingCartCost")
    private String eventAddShoppingCartCost;
    /**
     * 性别
     */
    @Excel(name = "性别", width = 15)
    @ApiModelProperty(value = "性别")
    private String gender;
    /**
     * 城市
     */
    @Excel(name = "城市", width = 15)
    @ApiModelProperty(value = "城市")
    private String city;
    /**
     * eventAdWatchTimesRatio
     */
    @Excel(name = "eventAdWatchTimesRatio", width = 15)
    @ApiModelProperty(value = "eventAdWatchTimesRatio")
    private String eventAdWatchTimesRatio;
    /**
     * 分享数
     */
    @Excel(name = "分享数", width = 15)
    @ApiModelProperty(value = "分享数")
    private String shares;
    /**
     * 商业兴趣
     */
    @Excel(name = "商业兴趣", width = 15)
    @ApiModelProperty(value = "商业兴趣")
    private String businessInterestTags;
    /**
     * eventWatchAppAd
     */
    @Excel(name = "eventWatchAppAd", width = 15)
    @ApiModelProperty(value = "eventWatchAppAd")
    private String eventWatchAppAd;
    /**
     * eventMultiConversionCost
     */
    @Excel(name = "eventMultiConversionCost", width = 15)
    @ApiModelProperty(value = "eventMultiConversionCost")
    private String eventMultiConversionCost;
    /**
     * 涨粉成本
     */
    @Excel(name = "涨粉成本", width = 15)
    @ApiModelProperty(value = "涨粉成本")
    private BigDecimal merchantRecoFansCost;
    /**
     * 广告投放场景
     */
    @Excel(name = "广告投放场景", width = 15)
    @ApiModelProperty(value = "广告投放场景")
    private String adScene;
    /**
     * eventAdWatchTimesCost
     */
    @Excel(name = "eventAdWatchTimesCost", width = 15)
    @ApiModelProperty(value = "eventAdWatchTimesCost")
    private String eventAdWatchTimesCost;
    /**
     * eventAddShoppingCart
     */
    @Excel(name = "eventAddShoppingCart", width = 15)
    @ApiModelProperty(value = "eventAddShoppingCart")
    private String eventAddShoppingCart;
    /**
     * 年龄
     */
    @Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private String ageSegment;
    /**
     * 点赞数
     */
    @Excel(name = "点赞数", width = 15)
    @ApiModelProperty(value = "点赞数")
    private Long photoLike;
    /**
     * 微信复制数
     */
    @Excel(name = "微信复制数", width = 15)
    @ApiModelProperty(value = "微信复制数")
    private Long eventAddWechat;
    /**
     * 微信复制成本
     */
    @Excel(name = "微信复制成本", width = 15)
    @ApiModelProperty(value = "微信复制成本")
    private BigDecimal eventAddWechatCost;
    /**
     * 微信复制率
     */
    @Excel(name = "微信复制率", width = 15)
    @ApiModelProperty(value = "微信复制率")
    private BigDecimal eventAddWechatRatio;
    /**
     * eventAppInvokedCost
     */
    @Excel(name = "eventAppInvokedCost", width = 15)
    @ApiModelProperty(value = "eventAppInvokedCost")
    private BigDecimal eventAppInvokedCost;
    /**
     * eventMultiConversion
     */
    @Excel(name = "eventMultiConversion", width = 15)
    @ApiModelProperty(value = "eventMultiConversion")
    private String eventMultiConversion;
    /**
     * eventDspGiftForm
     */
    @Excel(name = "eventDspGiftForm", width = 15)
    @ApiModelProperty(value = "eventDspGiftForm")
    private String eventDspGiftForm;
    /**
     * eventAppInvokedRatio
     */
    @Excel(name = "eventAppInvokedRatio", width = 15)
    @ApiModelProperty(value = "eventAppInvokedRatio")
    private String eventAppInvokedRatio;
    /**
     * 封面曝光数
     */
    @Excel(name = "封面曝光数", width = 15)
    @ApiModelProperty(value = "封面曝光数")
    private Long photoShow;
    /**
     * eventMultiConversionRatio
     */
    @Excel(name = "eventMultiConversionRatio", width = 15)
    @ApiModelProperty(value = "eventMultiConversionRatio")
    private String eventMultiConversionRatio;
    /**
     * 系统
     */
    @Excel(name = "系统", width = 15)
    @ApiModelProperty(value = "系统")
    private String client;
    /**
     * 商品访问成本
     */
    @Excel(name = "商品访问成本", width = 15)
    @ApiModelProperty(value = "商品访问成本")
    private BigDecimal eventGoodsViewCost;
    /**
     * 应用下载数据-授信率
     */
    @Excel(name = "应用下载数据-授信率", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信率")
    private BigDecimal eventCreditGrantAppRatio;
    /**
     * eventAdWatchTimes
     */
    @Excel(name = "eventAdWatchTimes", width = 15)
    @ApiModelProperty(value = "eventAdWatchTimes")
    private String eventAdWatchTimes;

    @TableField(exist = false)
    private String startTime;

    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private String orderType;

    @TableField(exist = false)
    private String upOrDown;
    /**
     * 评论数
     */
    @Excel(name = "评论数", width = 15)
    @ApiModelProperty(value = "评论数")
    private Long comments;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
}
