package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手时报统计
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-10-30
 */
@Data
@TableName("ctop_kuaishou_cost_group")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_cost_group对象", description = "快手组级时报统计")
public class KuaishouCostGroup {

    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID", width = 15)
    @ApiModelProperty(value = "广告组ID")
    private Long unitId;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "统计日期")
    private Date statDate;
    /**
     * 行为成本
     */
    @Excel(name = "行为成本", width = 15)
    @ApiModelProperty(value = "行为成本")
    private java.math.BigDecimal actionCost;
    /**
     * 激活成本
     */
    @Excel(name = "激活成本", width = 15)
    @ApiModelProperty(value = "激活成本")
    private java.math.BigDecimal activationCost;
    /**
     * 注册成本
     */
    @Excel(name = "注册成本", width = 15)
    @ApiModelProperty(value = "注册成本")
    private java.math.BigDecimal registerCost;
    /**
     * 付费成本
     */
    @Excel(name = "付费成本", width = 15)
    @ApiModelProperty(value = "付费成本")
    private java.math.BigDecimal payCost;
    /**
     * 表单提交成本
     */
    @Excel(name = "表单提交成本", width = 15)
    @ApiModelProperty(value = "表单提交成本")
    private java.math.BigDecimal formCost;
    /**
     * 完件成本
     */
    @Excel(name = "完件成本", width = 15)
    @ApiModelProperty(value = "完件成本")
    private java.math.BigDecimal finishedCost;
    private java.math.BigDecimal totalCost;
    /**
     * 授信成本
     */
    @Excel(name = "授信成本", width = 15)
    @ApiModelProperty(value = "授信成本")
    private java.math.BigDecimal approvalCost;
    /**
     * 首日ROI
     */
    @Excel(name = "首日ROI", width = 15)
    @ApiModelProperty(value = "首日ROI")
    private Double firstDayRoi;
    /**
     * ROI
     */
    @Excel(name = "ROI", width = 15)
    @ApiModelProperty(value = "ROI")
    private Double roi;
    /**
     * createTime
     */
    @Excel(name = "createTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    private String type;
}
