package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_daily_account")
public class KuaishouReportDailyAccount implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private String id;

    private Long accountId;

    @JsonProperty("charge")
    private BigDecimal charge;

    @JsonProperty("ad_scene")
    private String adScene;

    @JsonProperty("photo_show")
    private Long photoShow;

    @JsonProperty("aclick")
    private Long aclick;

    @JsonProperty("bclick")
    private Long bclick;

    @JsonProperty("photo_share")
    private Long photoShare;

    @JsonProperty("photo_comment")
    private Long photoComment;

    @JsonProperty("photo_like")
    private Long photoLike;

    @JsonProperty("follow")
    private Long follow;

    @JsonProperty("cancel_follow")
    private Long cancelFollow;

    @JsonProperty("report")
    private Long report;

    @JsonProperty("block")
    private Long block;

    @JsonProperty("negative")
    private Long negative;

    @JsonProperty("download_started")
    private Long downloadStarted;

    @JsonProperty("download_completed")
    private Long downloadCompleted;

    @JsonProperty("activation")
    private Long activation;

    @JsonProperty("submit")
    private Long submit;

    @JsonProperty("stat_date")
    private String statDate;

    @JsonProperty("photo_click")
    private Long photoClick;

    @JsonProperty("photo_click_ratio")
    private Double photoClickRatio;

    @JsonProperty("action_ratio")
    private Double actionRatio;

    @JsonProperty("impression_1k_cost")
    private BigDecimal impression1kCost;

    @JsonProperty("photo_click_cost")
    private BigDecimal photoClickCost;

    @JsonProperty("action_cost")
    private BigDecimal actionCost;

    @JsonProperty("event_pay_first_day")
    private Long eventPayFirstDay;

    @JsonProperty("event_pay_purchase_amount_first_day")
    private BigDecimal eventPayPurchaseAmountFirstDay;

    @JsonProperty("event_pay_first_day_roi")
    private Double eventPayFirstDayRoi;

    @JsonProperty("event_pay")
    private Long eventPay;

    @JsonProperty("event_pay_purchase_amount")
    private BigDecimal eventPayPurchaseAmount;

    @JsonProperty("event_pay_roi")
    private Double eventPayRoi;

    @JsonProperty("event_register")
    private Long eventRegister;

    @JsonProperty("event_register_cost")
    private BigDecimal eventRegisterCost;

    @JsonProperty("event_register_ratio")
    private Double eventRegisterRatio;

    @JsonProperty("event_jin_jian_app")
    private Long eventJinJianApp;

    @JsonProperty("event_jin_jian_app_cost")
    private BigDecimal eventJinJianAppCost;

    @JsonProperty("event_credit_grant_app")
    private Long eventCreditGrantApp;

    @JsonProperty("event_credit_grant_app_cost")
    private BigDecimal eventCreditGrantAppCost;

    @JsonProperty("event_credit_grant_app_ratio")
    private Double eventCreditGrantAppRatio;

    @JsonProperty("event_order_paid")
    private Long eventOrderPaid;

    @JsonProperty("event_order_paid_purchase_amount")
    private BigDecimal eventOrderPaidPurchaseAmount;

    @JsonProperty("event_jin_jian_landing_page")
    private Long eventJinJianLandingPage;

    @JsonProperty("event_jin_jian_landing_page_cost")
    private BigDecimal eventJinJianLandingPageCost;

    @JsonProperty("event_credit_grant_landing_page")
    private Long eventCreditGrantLandingPage;

    @JsonProperty("event_credit_grant_landing_page_cost")
    private BigDecimal eventCreditGrantLandingPageCost;

    @JsonProperty("event_credit_grant_landing_ratio")
    private Double eventCreditGrantLandingRatio;

    @JsonProperty("event_next_day_stay_cost")
    private BigDecimal eventNextDayStayCost;

    @JsonProperty("event_next_day_stay_ratio")
    private BigDecimal eventNextDayStayRatio;

    @JsonProperty("form_action_ratio")
    private Double formActionRatio;

    @JsonProperty("event_order_paid_cost")
    private BigDecimal eventOrderPaidCost;

    @JsonProperty("event_next_day_stay")
    private Long eventNextDayStay;

    @JsonProperty("form_cost")
    private BigDecimal formCost;

    @JsonProperty("form_count")
    private Long formCount;

    @JsonProperty("play_3s_ratio")
    private Double play3sRatio;

    private Date createTime;

    private Date updateTime;
}

