package cn.com.ctop.kuaishou.modules.report.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class KuaishouReportDailyAccountDTO implements Serializable {
    private String statDate;
    private String accountId;
    private String authName;
    private Long projectId;
    private String projectName;
    private Long campaignId;
    private String campaignName;
    private Long creativeId;
    private String creativeName;
    private Long unitId;
    private String unitName;
    private BigDecimal charge;  //消耗
    private Long photoShow;  //封面曝光数
    private Long photoClick;  //封面点击数
    private Long aclick;  //素材曝光数
    private Long bclick;  //行为数
    private Long activation;  //激活数
    private Long submit;  //提交按钮点击数
    private Long eventRegister;  //注册数
    private Long eventNextDayStay;  //次日留存数
    private BigDecimal activationCost;  //激活成本
    private String photoClickRatio;  //封面点击率
    private String actionRate;  //行为率
    //@JsonSerialize(using = ToStringSerializer.class)
    private BigDecimal impression1kCost;  //均千次封面曝光花费
    private BigDecimal photoClickCost;  //平均封面点击单价
    private BigDecimal actionCost;  //平均行为单价
    private Long photoShare;  //分享数
    private Long photoComment;  //评论数
    private Long photoLike;  //点赞数
    private Long follow;  //新增关注数
    private Long report;  //举报数
    private Long cancelFollow;  //取消关注数
    private Long block;  //拉黑数
    private Long nagative;  //减少此类作品数
    private Long downloadStarted;  //应用下载数据-安卓下载开始数
    private Long downloadCompleted;  //应用下载数据-安卓下载完成数
    private BigDecimal eventNextDayStayCost;  //次日留存成本
    private Long photoId;
    private String url;
    private String coverUrl;
    private Integer materialType;
}
