package cn.com.ctop.kuaishou.modules.report.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手图片报表
 */
@Data
@TableName("ctop_kuaishou_report_daily_image")

public class KuaishouReportDailyImage {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**封面ID*/
	private Long coverId;
	/**封面token*/
	@Excel(name = "封面token", width = 15)
    @ApiModelProperty(value = "封面token")
	private String imageToken;
	/**封面url*/
	@Excel(name = "封面url", width = 15)
    @ApiModelProperty(value = "封面url")
	private String coverUrl;
	/**场景*/
	@Excel(name = "场景", width = 15)
    @ApiModelProperty(value = "场景")
	private String adScene;
	/**花费(元)*/
	@Excel(name = "花费(元)", width = 15)
    @ApiModelProperty(value = "花费(元)")
	private BigDecimal charge;
	/**曝光数*/
	@Excel(name = "曝光数", width = 15)
    @ApiModelProperty(value = "曝光数")
	private Long photoShow;
	/**素材曝光数*/
	@Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
	private Long aclick;
	/**行为数*/
	@Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
	private Long bclick;
	/**分享数*/
	@Excel(name = "分享数", width = 15)
    @ApiModelProperty(value = "分享数")
	private Long photoShare;
	/**评论数*/
	@Excel(name = "评论数", width = 15)
    @ApiModelProperty(value = "评论数")
	private Long photoComment;
	/**点赞数*/
	@Excel(name = "点赞数", width = 15)
    @ApiModelProperty(value = "点赞数")
	private Long photoLike;
	/**新增关注数*/
	@Excel(name = "新增关注数", width = 15)
    @ApiModelProperty(value = "新增关注数")
	private Long follow;
	/**取消关注数*/
	@Excel(name = "取消关注数", width = 15)
    @ApiModelProperty(value = "取消关注数")
	private Long cancelFollow;
	/**举报数*/
	@Excel(name = "举报数", width = 15)
    @ApiModelProperty(value = "举报数")
	private Long report;
	/**拉黑数*/
	@Excel(name = "拉黑数", width = 15)
    @ApiModelProperty(value = "拉黑数")
	private Long block;
	/**减少此类作品数*/
	@Excel(name = "减少此类作品数", width = 15)
    @ApiModelProperty(value = "减少此类作品数")
	private Long negative;
	/**应用下载数据-安卓下载开始数*/
	@Excel(name = "应用下载数据-安卓下载开始数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
	private Long downloadStarted;
	/**应用下载数据-安卓下载完成数*/
	@Excel(name = "应用下载数据-安卓下载完成数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
	private Long downloadCompleted;
	/**应用下载数据-激活数*/
	@Excel(name = "应用下载数据-激活数", width = 15)
    @ApiModelProperty(value = "应用下载数据-激活数")
	private Long activation;
	/**提交按钮点击数*/
	@Excel(name = "提交按钮点击数", width = 15)
    @ApiModelProperty(value = "提交按钮点击数")
	private Long submit;
	/**日期*/
	@Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
	private String statDate;
	/**statHour*/
	@Excel(name = "statHour", width = 15)
    @ApiModelProperty(value = "statHour")
	private String statHour;
	/**封面点击数*/
	@Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
	private Long photoClick;
	/**封面点击率*/
	@Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
	private Double photoClickRatio;
	/**行为率*/
	@Excel(name = "行为率", width = 15)
    @ApiModelProperty(value = "行为率")
	private Double actionRatio;
	/**应用下载数据-首日付费次数*/
	@Excel(name = "应用下载数据-首日付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费次数")
	private Long eventPayFirstDay;
	/**应用下载数据-首日付费金额*/
	@Excel(name = "应用下载数据-首日付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费金额")
	private BigDecimal eventPayPurchaseAmountFirstDay;
	/**应用下载数据-首日ROI*/
	@Excel(name = "应用下载数据-首日ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日ROI")
	private Double eventPayFirstDayRoi;
	/**应用下载数据-付费次数*/
	@Excel(name = "应用下载数据-付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费次数")
	private Long eventPay;
	/**应用下载数据-付费金额*/
	@Excel(name = "应用下载数据-付费金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费金额")
	private BigDecimal eventPayPurchaseAmount;
	/**应用下载数据-ROI*/
	@Excel(name = "应用下载数据-ROI", width = 15)
    @ApiModelProperty(value = "应用下载数据-ROI")
	private Double eventPayRoi;
	/**应用下载数据-注册数*/
	@Excel(name = "应用下载数据-注册数", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册数")
	private Long eventRegister;
	/**应用下载数据-注册成本*/
	@Excel(name = "应用下载数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册成本")
	private BigDecimal eventRegisterCost;
	/**应用下载数据-注册率*/
	@Excel(name = "应用下载数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册率")
	private Double eventRegisterRatio;
	/**应用下载数据-完件数*/
	@Excel(name = "应用下载数据-完件数", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件数")
	private Long eventJinJianApp;
	/**应用下载数据-完件成本*/
	@Excel(name = "应用下载数据-完件成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件成本")
	private BigDecimal eventJinJianAppCost;
	/**应用下载数据-授信数*/
	@Excel(name = "应用下载数据-授信数", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信数")
	private Long eventCreditGrantApp;
	/**应用下载数据-授信成本*/
	@Excel(name = "应用下载数据-授信成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信成本")
	private BigDecimal eventCreditGrantAppCost;
	/**应用下载数据-授信率*/
	@Excel(name = "应用下载数据-授信率", width = 15)
    @ApiModelProperty(value = "应用下载数据-授信率")
	private Double eventCreditGrantAppRatio;
	/**应用下载数据-付款成功数*/
	@Excel(name = "应用下载数据-付款成功数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功数")
	private Long eventOrderPaid;
	/**应用下载数据-付款成功金额*/
	@Excel(name = "应用下载数据-付款成功金额", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功金额")
	private BigDecimal eventOrderPaidPurchaseAmount;
	/**应用下载数据-单次付款成本*/
	@Excel(name = "应用下载数据-单次付款成本", width = 15)
    @ApiModelProperty(value = "应用下载数据-单次付款成本")
	private BigDecimal eventOrderPaidCost;
	/**落地页数据-表单提交数*/
	@Excel(name = "落地页数据-表单提交数", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交数")
	private Long formCount;
	/**落地页数据-表单提交单价*/
	@Excel(name = "落地页数据-表单提交单价", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交单价")
	private BigDecimal formCost;
	/**落地页数据-表单提交点击率*/
	@Excel(name = "落地页数据-表单提交点击率", width = 15)
    @ApiModelProperty(value = "落地页数据-表单提交点击率")
	private Double formActionRatio;
	/**落地页数据-落地页完件数*/
	@Excel(name = "落地页数据-落地页完件数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件数")
	private Long eventJinJianLandingPage;
	/**落地页数据-落地页完件成本*/
	@Excel(name = "落地页数据-落地页完件成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页完件成本")
	private BigDecimal eventJinJianLandingPageCost;
	/**落地页数据-落地页授信数*/
	@Excel(name = "落地页数据-落地页授信数", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信数")
	private Long eventCreditGrantLandingPage;
	/**落地页数据-落地页授信成本*/
	@Excel(name = "落地页数据-落地页授信成本", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信成本")
	private BigDecimal eventCreditGrantLandingPageCost;
	/**落地页数据-落地页授信率*/
	@Excel(name = "落地页数据-落地页授信率", width = 15)
    @ApiModelProperty(value = "落地页数据-落地页授信率")
	private Double eventCreditGrantLandingRatio;
	/**应用下载数据-次留成本（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留成本（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留成本（仅支持分日查询）")
	private BigDecimal eventNextDayStayCost;
	/**应用下载数据-次留率（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留率（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留率（仅支持分日查询）")
	private Long eventNextDayStayRatio;
	/**应用下载数据-次留数（仅支持分日查询）*/
	@Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
	private Long eventNextDayStay;
	/**3s播放率*/
	@Excel(name = "3s播放率", width = 15)
    @ApiModelProperty(value = "3s播放率")
	private Double play3sRatio;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	/**code*/
	@Excel(name = "code", width = 15)
    @ApiModelProperty(value = "code")
	private String code;
	/**userId*/
	@Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
	private String userId;
	/**realname*/
	@Excel(name = "realname", width = 15)
    @ApiModelProperty(value = "realname")
	private String realname;
}
