package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_hourly_account")
public class KuaishouReportHourlyAccount implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.UUID)
    private String id;
    private Long accountId;
    @JsonProperty("stat_date")
    private String statDate;

    @JsonProperty("stat_hour")
    private Integer statHour;

    @JsonProperty
    private BigDecimal charge;

    @JsonProperty
    private Long photoShow;
    @JsonProperty("photo_click")
    private Long photoClick;
    @JsonProperty
    private Long aclick;
    @JsonProperty
    private Long bclick;

    @JsonProperty("download_started")
    private Long downloadStarted;
    @JsonProperty("download_completed")
    private Long downloadCompleted;
    @JsonProperty
    private Long activation;
    @JsonProperty
    private Long submit;

    @JsonProperty
    private BigDecimal photoClickRatio;
    @JsonProperty
    private BigDecimal actionRatio;
    @JsonProperty("impression_1k_cost")
    @TableField("impression_1k_cost")
    private BigDecimal impression1kCost;
    @JsonProperty
    private BigDecimal photoClickCost;
    @JsonProperty
    private BigDecimal actionCost;
    @JsonProperty
    private Long eventPayFirstDay;
    @JsonProperty
    private BigDecimal eventPayFirstDayRoi;
    @JsonProperty
    private BigDecimal eventPay;
    @JsonProperty
    private BigDecimal eventPayPurchaseAmount;
    @JsonProperty
    private BigDecimal eventPayRoi;
    @JsonProperty
    private Long eventRegister;
    @JsonProperty
    private BigDecimal eventRegisterCost;
    @JsonProperty
    private Long eventJinJianApp;
    @JsonProperty
    private BigDecimal eventJinJianAppCost;
    @JsonProperty
    private BigDecimal eventPayPurchaseAmountFirstDay;
    @JsonProperty
    private Long eventCreditGrantApp;
    @JsonProperty
    private BigDecimal eventCreditGrantAppCost;
    @JsonProperty
    private BigDecimal eventCreditGrantAppRatio;
    @JsonProperty
    private BigDecimal eventOrderPaid;
    @JsonProperty
    private BigDecimal eventOrderPaidPurchaseAmount;
    @JsonProperty
    private BigDecimal eventOrderPaidCost;
    @JsonProperty
    private Long formCount;
    @JsonProperty
    private BigDecimal formCost;
    @JsonProperty
    private BigDecimal formActionRatio;
    @JsonProperty
    private Long eventJinJianLandingPage;
    @JsonProperty
    private BigDecimal eventJinJianLandingPageCost;
    @JsonProperty
    private Long eventCreditGrantLandingPage;
    @JsonProperty
    private BigDecimal eventCreditGrantLandingPageCost;
    @JsonProperty
    private BigDecimal eventNextDayStay;
    @JsonProperty
    private Double play3sRatio;

    @JsonProperty
    private Date createTime;
    @JsonProperty
    private Date updateTime;
}
