package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 快手视频信息清洗表(有效，爆款)
 * @author jeecg-boot
 * @date   2020-12-17
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_video_etl_info")
public class KuaishouVideoEtlInfo {

	@TableId(type = IdType.AUTO)
	@Excel(name = "ID", width = 15)
	private Long id;
	/**视频唯一标识*/
	@Excel(name = "视频唯一标识", width = 15)
	private String videoCode;
	/**初次产生消耗时间*/
	@Excel(name = "开始投放时间", width = 15)
	private String stateDate;
	/**url*/
	@Excel(name = "视频链接", width = 15)
	private String url;
	/**coverUrl*/
	@Excel(name = "封面链接", width = 15)
	private String coverUrl;
	/**渠道类型*/
	private String channelType;
	/**companyName*/
	@Excel(name = "公司名称", width = 15)
	private String companyName;
	/**planId*/
	@Excel(name = "策划id", width = 15)
	private String planId;
	/**planName*/
	@Excel(name = "策划名称", width = 15)
	private String planName;
	/**clipId*/
	@Excel(name = "剪辑id", width = 15)
	private String clipId;
	/**clipName*/
	@Excel(name = "剪辑名称", width = 15)
	private String clipName;
	/**shotId*/
	@Excel(name = "拍摄id", width = 15)
	private String shotId;
	/**shotName*/
	@Excel(name = "拍摄名称", width = 15)
	private String shotName;
	/**singleWeekCost*/
	@Excel(name = "上线一周消耗", width = 15)
	private BigDecimal singleWeekCost;
	/**twoWeekCost*/
	@Excel(name = "上线两周消耗", width = 15)
	private BigDecimal twoWeekCost;
	/**fourWeekCost*/
	@Excel(name = "上线四周消耗", width = 15)
	private BigDecimal fourWeekCost;
	/**总消耗*/
	@Excel(name = "总消耗", width = 15)
	private BigDecimal totalCost;
	/**photoShow*/
	@Excel(name = "封面曝光量", width = 15)
	private Long photoShow;
	/**photoClick*/
	@Excel(name = "封面点击数", width = 15)
	private Long photoClick;
	/**aclick*/
	@Excel(name = "素材曝光数", width = 15)
	private Long aclick;
	/**bclick*/
	@Excel(name = "行为数", width = 15)
	private Long bclick;
	@Excel(name = "达成有效日期", width = 15)
	private String effectDate;
	@Excel(name = "达成爆款日期", width = 15)
	private String faddishDate;
	@Excel(name = "达成有效天数", width = 15)
	private Integer effectDayNum;
	@Excel(name = "达成爆款天数", width = 15)
	private Integer faddishDayNum;
	@TableField(exist = false)
	private String type;
	@TableField(exist = false)
	private String startDate;
	@TableField(exist = false)
	private String endDate;

	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;

	public KuaishouVideoEtlInfo() {
	}

	public KuaishouVideoEtlInfo(KuaiShouReportDailyMaterial nowData) {
		this.url = nowData.getPhotoUrl();
		this.videoCode  = nowData.getSignature();
		this.stateDate = nowData.getStatDate();
		this.channelType = nowData.getChannelType()+"";
		this.coverUrl = nowData.getCoverUrl();
		this.totalCost = nowData.getCharge();
		this.photoClick = nowData.getPhotoClick();
		this.photoShow =  nowData.getPhotoShow();
		this.aclick = nowData.getAclick();
		this.bclick = nowData.getBclick();

	}
}
