package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 僵尸计划记录
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-10-14
 */
@Data
@TableName("ctop_kuaishou_zombie_creative")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_zombie_creative对象", description = "僵尸计划记录")
public class KuaishouZombieCreative {

    /**
     * 编号
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "编号")
    private Integer id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 创意ID
     */
    @Excel(name = "创意ID", width = 15)
    @ApiModelProperty(value = "创意ID")
    private Long creativeId;
    /**
     * 创意名称
     */
    @Excel(name = "创意名称", width = 15)
    @ApiModelProperty(value = "创意名称")
    private String creativeName;
    /**
     * 记录时间
     */
    private String recordTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 状态 0-是僵尸计划，1-无效，不是
     */
    @Excel(name = "状态 0-待确认，1-是僵尸计划，2-不是僵尸计划", width = 15)
    @ApiModelProperty(value = "状态 0-待确认，1-是僵尸计划，2-不是僵尸计划")
    private String status;
}
