package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAccountMaterialReportDaily;
import cn.com.ctop.kuaishou.modules.report.mapper.EtlKuaishouAccountMaterialReportDailyMapper;
import cn.com.ctop.kuaishou.modules.report.service.IEtlKuaishouAccountMaterialReportDailyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 快手账户素材报表清洗表
 * @author jeecg-boot
 * @date   2021-02-25
 * @version V1.0
 */
@Service
@Slf4j
public class EtlKuaishouAccountMaterialReportDailyServiceImpl extends ServiceImpl<EtlKuaishouAccountMaterialReportDailyMapper, EtlKuaishouAccountMaterialReportDaily> implements IEtlKuaishouAccountMaterialReportDailyService {
    @Resource
    private EtlKuaishouAccountMaterialReportDailyMapper etlKuaishouAccountMaterialReportDailyMapper;
    @Autowired
    private ICtopOauthTokenService tokenService;
    static ExecutorService executorService = Executors.newFixedThreadPool(10);
    @Override
    public void etlKuaishouAccountMaterialReportDailyData(String date){
        List<CtopOauthToken> tokens = tokenService.selectKuaiShouToken();
        CountDownLatch countDownLatch = new CountDownLatch(tokens.size());
        tokens.forEach(token -> executorService.submit(()->{
            try {
                List<EtlKuaishouAccountMaterialReportDaily> getList = etlKuaishouAccountMaterialReportDailyMapper.etlKuaishouAccountMaterialReportDailyList(date,token.getAccountId());
                etlKuaishouAccountMaterialReportDailyMapper.replaceBatch(getList);
            }catch (Exception e){
                e.printStackTrace();
            }finally {
                countDownLatch.countDown();
            }
        }));
        try {
            countDownLatch.await();
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        log.info("{}数据获取完成",date);
    }
}
