package cn.com.ctop.oa.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 企业微信用户
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-15
 */
@Data
@TableName("ctop_wechat_checkin_data")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_wechat_checkin_data对象", description = "企业微信用户")
public class WechatCheckinData {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 部门id
     */
    @Excel(name = "部门id", width = 15)
    @ApiModelProperty(value = "部门id")
    private String departId;
    /**
     * 用户
     */
    @Excel(name = "用户", width = 15)
    @ApiModelProperty(value = "用户")
    private String userId;
    /**
     * 打开规则名称
     */
    @Excel(name = "打开规则名称", width = 15)
    @ApiModelProperty(value = "打开规则名称")
    private String groupName;
    /**
     * 打卡类型
     */
    @Excel(name = "打卡类型", width = 15)
    @ApiModelProperty(value = "打卡类型")
    private String checkinType;
    /**
     * 异常类型
     */
    @Excel(name = "异常类型", width = 15)
    @ApiModelProperty(value = "异常类型")
    private String exceptionType;
    /**
     * 打卡时间
     */
    @ApiModelProperty(value = "打卡时间")
    private Date checkinTime;
    /**
     * 打开地点
     */
    @Excel(name = "打开地点", width = 15)
    @ApiModelProperty(value = "打开地点")
    private String locationTitle;
    /**
     * 打开地点详情
     */
    @Excel(name = "打开地点详情", width = 15)
    @ApiModelProperty(value = "打开地点详情")
    private String locationDetail;
    /**
     * 打卡wifi名称
     */
    @Excel(name = "打卡wifi名称", width = 15)
    @ApiModelProperty(value = "打卡wifi名称")
    private String wifiname;
    /**
     * 打卡备注
     */
    @Excel(name = "打卡备注", width = 15)
    @ApiModelProperty(value = "打卡备注")
    private String notes;
    /**
     * 打卡的MAC地址/bssid
     */
    @Excel(name = "打卡的MAC地址/bssid", width = 15)
    @ApiModelProperty(value = "打卡的MAC地址/bssid")
    private String wifimac;
    /**
     * 打卡的附件media_id
     */
    @Excel(name = "打卡的附件media_id", width = 15)
    @ApiModelProperty(value = "打卡的附件media_id")
    private String mediaids;
    /**
     * 位置打卡地点纬度
     */
    @Excel(name = "位置打卡地点纬度", width = 15)
    @ApiModelProperty(value = "位置打卡地点纬度")
    private String lat;
    /**
     * 位置打卡地点经度
     */
    @Excel(name = "位置打卡地点经度", width = 15)
    @ApiModelProperty(value = "位置打卡地点经度")
    private String lng;
    /**
     * 打卡设备id
     */
    @Excel(name = "打卡设备id", width = 15)
    @ApiModelProperty(value = "打卡设备id")
    private String deviceid;


    private Integer overtimeOrNot; // 是否加班
    private Double overtime; // 加班时长
    // 数据类型
    private Integer dataType;


    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
