package cn.com.ctop.oa.modules.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 审批信息
 * @author jeecg-boot
 * @date   2020-09-23
 * @version V1.0
 */
@Data
@TableName("ctop_wechat_no_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_wechat_no_list对象", description="审批信息")
public class WechatNoList {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**单号*/
	@Excel(name = "单号", width = 15)
    @ApiModelProperty(value = "单号")
	private String spNo;
	/**单号*/
	@Excel(name = "1-审批中；2-已通过；3-已驳回；4-已撤销；6-通过后撤销；7-已删除；10-已支付", width = 15)
    @ApiModelProperty(value = "1-审批中；2-已通过；3-已驳回；4-已撤销；6-通过后撤销；7-已删除；10-已支付")
	private String status;
	/**成员id*/
	@Excel(name = "成员id", width = 15)
    @ApiModelProperty(value = "成员id")
	private String userId;
	/**type时长*/
	@Excel(name = "type时长", width = 15)
    @ApiModelProperty(value = "type时长")
	private String newDuration;
	/**1-请假；2-补卡；3-出差；4-外出；5-加班*/
	@Excel(name = "1-请假；2-补卡；3-出差；4-外出；5-加班", width = 15)
    @ApiModelProperty(value = "1-请假；2-补卡；3-出差；4-外出；5-加班")
	private String type;
	/**开始时间*/
    @ApiModelProperty(value = "开始时间")
	private Date newBegin;
	/**结束时间*/
    @ApiModelProperty(value = "结束时间")
	private Date newEnd;
	// 数据类型
	private Integer dataType;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
