package cn.com.ctop.oa.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 企业微信用户
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-15
 */
@Data
@TableName("ctop_wechat_user_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_wechat_user_list对象", description = "企业微信用户")
public class WechatUserList {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 成员名称
     */
    @Excel(name = "成员名称", width = 15)
    @ApiModelProperty(value = "成员名称")
    private String userName;
    /**
     * 成员id
     */
    @Excel(name = "成员id", width = 15)
    @ApiModelProperty(value = "成员id")
    private String userId;
    /**
     * 部门id
     */
    @Excel(name = "部门id", width = 15)
    @ApiModelProperty(value = "部门id")
    private String departId;
    // 数据类型
    private Integer dataType;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
