package cn.com.ctop.shiwan.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 试玩平台，文件信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-10-21
 */
@Data
@TableName("ctop_shiwan_file_upload")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_shiwan_file_upload对象", description = "试玩平台，文件信息")
public class ShiwanFileUpload {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 文件类型
     */
    @Excel(name = "文件类型", width = 15)
    @ApiModelProperty(value = "文件类型")
    private String fileType;
    /**
     * 文件级别
     */
    @Excel(name = "文件级别", width = 15)
    @ApiModelProperty(value = "文件级别")
    private Integer fileLevel;
    /**
     * 文件名称
     */
    @Excel(name = "文件名称", width = 15)
    @ApiModelProperty(value = "文件名称")
    private String fileName;
    /**
     * 存储路径
     */
    @Excel(name = "存储路径", width = 15)
    @ApiModelProperty(value = "存储路径")
    private String fileUrl;
    /**
     * 文件状态,0-无效，1有效
     */
    @Excel(name = "文件状态,0-无效，1有效", width = 15)
    @ApiModelProperty(value = "文件状态,0-无效，1有效")
    private String fileStatus;
    /**
     * 文件大小
     */
    @Excel(name = "文件大小", width = 15)
    @ApiModelProperty(value = "文件大小")
    private String fileSize;
    /**
     * 上传时间
     */
    @Excel(name = "上传时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "上传时间")
    private Date uploadTime;

    private Date createTime;

    private Date updateTime;
    /**
     * 操作人
     */
    @Excel(name = "操作人", width = 15)
    @ApiModelProperty(value = "操作人")
    private String userId;
    /**
     * remake
     */
    @Excel(name = "remake", width = 15)
    @ApiModelProperty(value = "remake")
    private String remake;
    /**
     * 文件后缀
     */
    private String fileSuffix;

    private String cfileName;
    /**
     * MD5签名
     */
    private String signature;

    private Long accountId;

    private Long parentId;
}
