package cn.com.ctop.toutiao.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 省市县信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-09-17
 */
@Data
@TableName("ctop_bytedance_area_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_area_info对象", description = "省市县信息")
public class BytedanceAreaInfo {
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * name
     */
    @Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private String name;
    /**
     * code
     */
    @Excel(name = "code", width = 15)
    @ApiModelProperty(value = "code")
    private String code;
    /**
     * parentCode
     */
    @Excel(name = "parentCode", width = 15)
    @ApiModelProperty(value = "parentCode")
    private String parentCode;
    /**
     * level
     */
    @Excel(name = "level", width = 15)
    @ApiModelProperty(value = "level")
    private Integer level;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    @TableField(exist = false)
    private Boolean hasChild;
}
