package cn.com.ctop.toutiao.modules.link.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条视频报表ETL
 */
@Data
@TableName("etl_report_bytedance_video")
public class ETLReportBytedanceVideo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**materialId*/
	@Excel(name = "materialId", width = 15)
    @ApiModelProperty(value = "materialId")
	private Long materialId;

	private String materialName;
	/**视频唯一标识*/
	private String md5;

	private String url;

	private String toutiaoUrl;

	private String coverUrl;

	/**账户id*/
	@Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
	private Long accountId;

	private String accountName;
	/**项目id*/
	@Excel(name = "项目id", width = 15)
    @ApiModelProperty(value = "项目id")
	private Long projectId;
	/**项目名称*/
	@Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
	private String projectName;
	/**项目id*/
	@Excel(name = "项目id", width = 15)
    @ApiModelProperty(value = "项目id")
	private Long productId;
	/**产品名称*/
	@Excel(name = "产品名称", width = 15)
    @ApiModelProperty(value = "产品名称")
	private String productName;
	/**广告主id*/
	@Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
	private String advertiserId;
	/**广告主名称*/
	@Excel(name = "广告主名称", width = 15)
    @ApiModelProperty(value = "广告主名称")
	private String advertiserName;
	/**剪辑id*/
	@Excel(name = "剪辑id", width = 15)
    @ApiModelProperty(value = "剪辑id")
	private String clipId;
	/**剪辑名称*/
	@Excel(name = "剪辑名称", width = 15)
    @ApiModelProperty(value = "剪辑名称")
	private String clipName;
	/**拍摄id*/
	@Excel(name = "拍摄id", width = 15)
    @ApiModelProperty(value = "拍摄id")
	private String shotId;
	/**拍摄名称*/
	@Excel(name = "拍摄名称", width = 15)
    @ApiModelProperty(value = "拍摄名称")
	private String shotName;
	/**编导id*/
	@Excel(name = "编导id", width = 15)
    @ApiModelProperty(value = "编导id")
	private String planId;
	/**编导名称*/
	@Excel(name = "编导名称", width = 15)
    @ApiModelProperty(value = "编导名称")
	private String planName;
	/**materialCreateTime*/
	private String materialCreateTime;
	/**数据起始时间*/
	@Excel(name = "数据起始时间", width = 15)
    @ApiModelProperty(value = "数据起始时间")
	private String statDatetime;
	/**点击量*/
	@Excel(name = "点击量", width = 15)
    @ApiModelProperty(value = "点击量")
	private Long click;
	/**总花费*/
	@Excel(name = "总花费", width = 15)
    @ApiModelProperty(value = "总花费")
	private BigDecimal cost;
	/**应用下载-激活*/
	@Excel(name = "应用下载-激活", width = 15)
    @ApiModelProperty(value = "应用下载-激活")
	private Long active;
	/**应用下载-安卓下载完成*/
	@Excel(name = "应用下载-安卓下载完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载完成")
	private Long downloadFinish;
	/**应用下载-安卓下载开始*/
	@Excel(name = "应用下载-安卓下载开始", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载开始")
	private Long downloadStart;
	/**应用下载-安卓安装完成*/
	@Excel(name = "应用下载-安卓安装完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓安装完成")
	private Long installFinish;
	/**应用下载-注册*/
	@Excel(name = "应用下载-注册", width = 15)
    @ApiModelProperty(value = "应用下载-注册")
	private Long register;
	/**应用下载-付费数*/
	@Excel(name = "应用下载-付费数", width = 15)
    @ApiModelProperty(value = "应用下载-付费数")
	private Long payCount;
	/**应用下载-到达uv*/
	@Excel(name = "应用下载-到达uv", width = 15)
    @ApiModelProperty(value = "应用下载-到达uv")
	private Long inAppUv;
	/**应用下载-详情页到站uv*/
	@Excel(name = "应用下载-详情页到站uv", width = 15)
    @ApiModelProperty(value = "应用下载-详情页到站uv")
	private Long inAppDetailUv;
	/**应用下载-加入购物车*/
	@Excel(name = "应用下载-加入购物车", width = 15)
    @ApiModelProperty(value = "应用下载-加入购物车")
	private Long inAppCart;
	/**应用下载-提交订单*/
	@Excel(name = "应用下载-提交订单", width = 15)
    @ApiModelProperty(value = "应用下载-提交订单")
	private Long inAppOrder;
	/**应用下载-付费*/
	@Excel(name = "应用下载-付费", width = 15)
    @ApiModelProperty(value = "应用下载-付费")
	private Long inAppPay;
	/**落地页-电话拨打数*/
	@Excel(name = "落地页-电话拨打数", width = 15)
    @ApiModelProperty(value = "落地页-电话拨打数")
	private Long phone;
	/**表单提交数*/
	@Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
	private Long form;
	/**落地页-地图搜索*/
	@Excel(name = "落地页-地图搜索", width = 15)
    @ApiModelProperty(value = "落地页-地图搜索")
	private Long mapSearch;
	/**落地页-按钮button*/
	@Excel(name = "落地页-按钮button", width = 15)
    @ApiModelProperty(value = "落地页-按钮button")
	private Long button;
	/**落地页-关键页面浏览*/
	@Excel(name = "落地页-关键页面浏览", width = 15)
    @ApiModelProperty(value = "落地页-关键页面浏览")
	private Long viewMaterial;
	/**落地页-QQ咨询数*/
	@Excel(name = "落地页-QQ咨询数", width = 15)
    @ApiModelProperty(value = "落地页-QQ咨询数")
	private Long qq;
	/**落地页-抽奖数*/
	@Excel(name = "落地页-抽奖数", width = 15)
    @ApiModelProperty(value = "落地页-抽奖数")
	private Long lottery;
	/**落地页-投票*/
	@Excel(name = "落地页-投票", width = 15)
    @ApiModelProperty(value = "落地页-投票")
	private Long vote;
	/**落地页-页面跳转*/
	@Excel(name = "落地页-页面跳转", width = 15)
    @ApiModelProperty(value = "落地页-页面跳转")
	private Long redirect;
	/**落地页-商品购买*/
	@Excel(name = "落地页-商品购买", width = 15)
    @ApiModelProperty(value = "落地页-商品购买")
	private Long shopping;
	/**落地页-在线咨询*/
	@Excel(name = "落地页-在线咨询", width = 15)
    @ApiModelProperty(value = "落地页-在线咨询")
	private Long consult;
	/**落地页-微信*/
	@Excel(name = "落地页-微信", width = 15)
    @ApiModelProperty(value = "落地页-微信")
	private Long wechat;
	/**落地页-智能电话确认拨打*/
	@Excel(name = "落地页-智能电话确认拨打", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
	private Long phoneConfirm;
	/**落地页-智能电话确认接通*/
	@Excel(name = "落地页-智能电话确认接通", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认接通")
	private Long phoneConnect;
	/**落地页-智能电话有效咨询*/
	@Excel(name = "落地页-智能电话有效咨询", width = 15)
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
	private Long consultEffective;
	/**视频-总播放*/
	@Excel(name = "视频-总播放", width = 15)
    @ApiModelProperty(value = "视频-总播放")
	private Long totalPlay;
	/**视频-有效播放*/
	@Excel(name = "视频-有效播放", width = 15)
    @ApiModelProperty(value = "视频-有效播放")
	private Long validPlay;
	/**视频-wifi播放*/
	@Excel(name = "视频-wifi播放", width = 15)
    @ApiModelProperty(value = "视频-wifi播放")
	private Long wifiPlay;
	/**视频-播放25%进度率*/
	@Excel(name = "视频-播放25%进度率", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度率")
	private BigDecimal play25FeedBreakRate;
	/**视频-播放25%进度总数*/
	@Excel(name = "视频-播放25%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度总数")
	private Long play25FeedBreak;
	/**视频-播放50%进度总数*/
	@Excel(name = "视频-播放50%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放50%进度总数")
	private Long play50FeedBreak;
	/**视频-播放75%进度总数*/
	@Excel(name = "视频-播放75%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放75%进度总数")
	private Long play75FeedBreak;
	/**视频-播放100%进度总数*/
	@Excel(name = "视频-播放100%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放100%进度总数")
	private Long play100FeedBreak;
	/**附加创意-电话按钮*/
	@Excel(name = "附加创意-电话按钮", width = 15)
    @ApiModelProperty(value = "附加创意-电话按钮")
	private Long advancedCreativePhoneClick;
	/**附加创意-在线咨询*/
	@Excel(name = "附加创意-在线咨询", width = 15)
    @ApiModelProperty(value = "附加创意-在线咨询")
	private Long advancedCreativeCounselClick;
	/**附加创意-表单提交*/
	@Excel(name = "附加创意-表单提交", width = 15)
    @ApiModelProperty(value = "附加创意-表单提交")
	private Long advancedCreativeFormClick;
	/**互动数据-分享数*/
	@Excel(name = "互动数据-分享数", width = 15)
    @ApiModelProperty(value = "互动数据-分享数")
	private Long shareMaterial;
	/**互动数据-评论数*/
	@Excel(name = "互动数据-评论数", width = 15)
    @ApiModelProperty(value = "互动数据-评论数")
	private Long commentMaterial;
	/**互动数据-新增关注数*/
	@Excel(name = "互动数据-新增关注数", width = 15)
    @ApiModelProperty(value = "互动数据-新增关注数")
	private Long follow;
	/**互动数据-主页访问量*/
	@Excel(name = "互动数据-主页访问量", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量")
	private Long homeVisited;
	/**互动数据-挑战赛查看数*/
	@Excel(name = "互动数据-挑战赛查看数", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
	private Long iesChallengeClick;
	/**互动数据-音乐查看数*/
	@Excel(name = "互动数据-音乐查看数", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数")
	private Long iesMusicClick;
	/**次留数*/
	@Excel(name = "次留数", width = 15)
    @ApiModelProperty(value = "次留数")
	private Long nextDayOpen;
	/**次留率*/
	@Excel(name = "次留率", width = 15)
    @ApiModelProperty(value = "次留率")
	private BigDecimal nextDayOpenRate;
	/**次留成本*/
	@Excel(name = "次留成本", width = 15)
    @ApiModelProperty(value = "次留成本")
	private BigDecimal nextDayOpenCost;
	/**activePayAmount*/
	@Excel(name = "activePayAmount", width = 15)
    @ApiModelProperty(value = "activePayAmount")
	private Long activePayAmount;
	/**视频数据-有效播放成本*/
	@Excel(name = "视频数据-有效播放成本", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放成本")
	private BigDecimal validPlayCost;
	/**附加创意-附加创意卡券领取*/
	@Excel(name = "附加创意-附加创意卡券领取", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意卡券领取")
	private Long advancedCreativeCouponAddition;
	/**convertMaterial*/
	@Excel(name = "convertMaterial", width = 15)
    @ApiModelProperty(value = "convertMaterial")
	private Long convertMaterial;
	/**应用下载广告数据-付费成本*/
	@Excel(name = "应用下载广告数据-付费成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费成本")
	private BigDecimal activePayCost;
	/**落地页转化数据-下载开始*/
	@Excel(name = "落地页转化数据-下载开始", width = 15)
    @ApiModelProperty(value = "落地页转化数据-下载开始")
	private Long download;
	/**cpc*/
	@Excel(name = "cpc", width = 15)
    @ApiModelProperty(value = "cpc")
	private BigDecimal cpc;
	/**互动数据-POI点击数*/
	@Excel(name = "互动数据-POI点击数", width = 15)
    @ApiModelProperty(value = "互动数据-POI点击数")
	private Long locationClick;
	/**	视频数据-播完率*/
	@Excel(name = "	视频数据-播完率", width = 15)
    @ApiModelProperty(value = "	视频数据-播完率")
	private BigDecimal playOverRate;
	/**展现数据-点击率*/
	@Excel(name = "展现数据-点击率", width = 15)
    @ApiModelProperty(value = "展现数据-点击率")
	private BigDecimal ctr;
	/**cpm*/
	@Excel(name = "cpm", width = 15)
    @ApiModelProperty(value = "cpm")
	private BigDecimal cpm;
	/**视频数据-WiFi播放占比*/
	@Excel(name = "视频数据-WiFi播放占比", width = 15)
    @ApiModelProperty(value = "视频数据-WiFi播放占比")
	private BigDecimal wifiPlayRate;
	/**互动数据-点赞数*/
	@Excel(name = "互动数据-点赞数", width = 15)
    @ApiModelProperty(value = "互动数据-点赞数")
	private Long likeMaterial;
	/**应用下载广告数据-激活成本*/
	@Excel(name = "应用下载广告数据-激活成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活成本")
	private BigDecimal activeCost;
	/**应用下载广告数据-关键行为成本*/
	@Excel(name = "应用下载广告数据-关键行为成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为成本")
	private BigDecimal gameAddictionCost;
	/**应用下载广告数据-关键行为数*/
	@Excel(name = "应用下载广告数据-关键行为数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为数")
	private Long gameAddiction;
	/**应用下载广告数据-激活率*/
	@Excel(name = "应用下载广告数据-激活率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活率")
	private BigDecimal activeRate;
	/**	应用下载广告数据-关键行为率*/
	@Excel(name = "	应用下载广告数据-关键行为率", width = 15)
    @ApiModelProperty(value = "	应用下载广告数据-关键行为率")
	private BigDecimal gameAddictionRate;
	/**应用下载广告数据-注册率*/
	@Excel(name = "应用下载广告数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册率")
	private BigDecimal activeRegisterRate;
	/**应用下载广告数据-安卓下载完成成本*/
	@Excel(name = "应用下载广告数据-安卓下载完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成成本")
	private BigDecimal downloadFinishCost;
	/**应用下载广告数据-注册成本*/
	@Excel(name = "应用下载广告数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册成本")
	private BigDecimal activeRegisterCost;
	/**materailShow*/
	@Excel(name = "materailShow", width = 15)
    @ApiModelProperty(value = "materailShow")
	private Long materialShow;
	/**转化数据-转化率*/
	@Excel(name = "转化数据-转化率", width = 15)
    @ApiModelProperty(value = "转化数据-转化率")
	private BigDecimal convertRate;
	/**应用下载广告数据-安卓下载完成率*/
	@Excel(name = "应用下载广告数据-安卓下载完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成率")
	private BigDecimal downloadFinishRate;
	/**应用下载广告数据-安卓安装完成率*/
	@Excel(name = "应用下载广告数据-安卓安装完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成率")
	private BigDecimal installFinishRate;
	/**	落地页转化数据-建站卡券领取*/
	@Excel(name = "	落地页转化数据-建站卡券领取", width = 15)
    @ApiModelProperty(value = "	落地页转化数据-建站卡券领取")
	private Long coupon;
	/**落地页转化数据-卡券页领取*/
	@Excel(name = "落地页转化数据-卡券页领取", width = 15)
    @ApiModelProperty(value = "落地页转化数据-卡券页领取")
	private Long couponSinglePage;
	/**playOver*/
	@Excel(name = "playOver", width = 15)
    @ApiModelProperty(value = "playOver")
	private Long playOver;
	/**应用下载广告数据-安卓下载开始成本*/
	@Excel(name = "应用下载广告数据-安卓下载开始成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始成本")
	private BigDecimal downloadStartCost;
	/**落地页转化数据-短信咨询*/
	@Excel(name = "落地页转化数据-短信咨询", width = 15)
    @ApiModelProperty(value = "落地页转化数据-短信咨询")
	private Long message;
	/**视频数据-有效播放率*/
	@Excel(name = "视频数据-有效播放率", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放率")
	private BigDecimal validPlayRate;
	/**视频数据-平均单次播放时长*/
	@Excel(name = "视频数据-平均单次播放时长", width = 15)
    @ApiModelProperty(value = "视频数据-平均单次播放时长")
	private BigDecimal averagePlayTimePerPlay;
	/**转化数据-转化成本*/
	@Excel(name = "转化数据-转化成本", width = 15)
    @ApiModelProperty(value = "转化数据-转化成本")
	private BigDecimal convertCost;
	/**应用下载广告数据-安卓安装完成成本*/
	@Excel(name = "应用下载广告数据-安卓安装完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成成本")
	private BigDecimal installFinishCost;
	/**应用下载广告数据-安卓下载开始率*/
	@Excel(name = "应用下载广告数据-安卓下载开始率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始率")
	private BigDecimal downloadStartRate;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
