package cn.com.ctop.toutiao.modules.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 头条定向包
 * @author jeecg-boot
 * @date   2020-07-22
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_audience_package")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_audience_package对象", description="头条定向包")
public class ByteDanceAudiencePackage {
    
	/**汇创主键id*/
	@TableId(type = IdType.AUTO)
	private Long id;

	/**账户Id*/
	private String userId;


	/**定向包名称*/
	private String name;

	/**定向包描述*/
	private String description;

	/**定向包类型*/
	private String landingType;

	/**投放范围*/
	private String deliveryRange;

	/**精选流量包*/
	private String trafficPackage;

	/**定向人群包列表，内容为人群包id*/
	private Object retargetingTags;

	/**排除人群包列表，内容为人群包id*/
	private Object retargetingTagsExclude;

	/**受众性别,允许值: GENDER_FEMALE,GENDER_MALE , NONE*/
	private String gender;

	/**	受众年龄区间,允许值: AGE_BETWEEN_18_23,AGE_BETWEEN_24_30,AGE_BETWEEN_31_40, AGE_BETWEEN_41_49,AGE_ABOVE_50*/
	private Object age;

	/**受众最低android版本*/
	private String androidOsv;

	/**受众最低ios版本*/
	private String iosOsv;

	/**受众运营商*/
	private Object carrier;

	/**受众网络类型*/
	private Object ac;

	/**受众手机品牌*/
	private Object deviceBrand;

	/**受众文章分类*/
	private Object articleCategory;

	/**用户首次激活时间*/
	private Object activateType;

	/**受众平台*/
	private Object platform;

	/**是否启动智能放量*/
	private Integer autoExtendEnabled;

	/**智能放量定向*/
	private Object autoExtendTargets;

	/**手机价格定向,传入价格区间，最高传入11000（表示1w以上）传值示例 "launch_price": [2000, 11000]*/
	private Object launchPrice;

	/**行为兴趣选择*/
	private String interestActionMode;

	/**行为场景*/
	private Object actionScene;

	/**行为天数,允许值：7, 15, 30, 60, 90, 180, 365*/
	private Integer actionDays;

	/**行为类目*/
	private Object actionCategories;

	/**行为关键词*/
	private Object actionWords;

	/**兴趣分类,如果传空数组 [] 表示不限，如果只传[0]表示系统推荐*/
	private Object interestCategories;

	/**兴趣关键词*/
	private Object interestWords;

	/**地域定向城市或者区县列表(当传递省份ID时,旗下市县ID可省略不传)*/
	private Object city;

	/**商圈ID数组	*/
	private Object businessIds;

	/**地域类型，前者为省市，后者为区县。当city有数据时，必填。*/
	private String district;

	/**受众位置类型,当city和district有值时，该字段必填*/
	private String locationType;

	/**需要传json对象！地图位置，district为BUSINESS_DISTRICT才有效*/
	private Object geolocation;

	private String filterConvertedUsers;

	/**（抖音推广特有）账号粉丝相似人群（添加抖音账号，会将广告投放给对应账号的相似人群粉丝）	*/
	private Object awemeFansNumbers;

	/**（抖音推广特有）过滤高活跃用户*/
	private Integer filterAwemeAbnormalActive;

	/**（抖音推广特有）过滤自己的粉丝，允许值：0表示不过滤，1表示过滤	*/
	private Integer filterAwemeFansCount;

	/**抖音号id，与aweme_fan_behaviors同时设置才会生效（抖音达人定向）	*/
	private Object awemeFanAccounts;

	private Object awemeFanCategories;

	private Object awemeFanBehaviors;

	/**过滤已安装，当推广目标为安卓应用下载时可填，0表示不过滤，1表示过滤，默认为不过滤*/
	private Integer hideIfExists;
}
