package cn.com.ctop.toutiao.modules.material.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条视频报表信息
 * @author jeecg-boot
 * @date   2021-02-20
 * @version V1.0
 */
@Data
@TableName("ctop_etl_bytedance_video_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_etl_bytedance_video_info对象", description="头条视频报表信息")
public class EtlBytedanceVideoInfo {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**视频唯一标识*/
	@Excel(name = "视频唯一标识", width = 15)
    @ApiModelProperty(value = "视频唯一标识")
	private String videoCode;
	/**初次产生消耗时间*/
	@Excel(name = "初次产生消耗时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "初次产生消耗时间")
	private Date stateDate;
	/**url*/
	@Excel(name = "url", width = 15)
    @ApiModelProperty(value = "url")
	private String url;
	/**coverUrl*/
	@Excel(name = "coverUrl", width = 15)
    @ApiModelProperty(value = "coverUrl")
	private String coverUrl;
	/**渠道类型*/
	@Excel(name = "渠道类型", width = 15)
    @ApiModelProperty(value = "渠道类型")
	private String channelType;
	/**渠道名称*/
	@Excel(name = "渠道名称", width = 15)
    @ApiModelProperty(value = "渠道名称")
	private String channelName;
	/**companyName*/
	@Excel(name = "companyName", width = 15)
    @ApiModelProperty(value = "companyName")
	private String companyName;
	/**planId*/
	@Excel(name = "planId", width = 15)
    @ApiModelProperty(value = "planId")
	private String planId;
	/**planName*/
	@Excel(name = "planName", width = 15)
    @ApiModelProperty(value = "planName")
	private String planName;
	/**clipId*/
	@Excel(name = "clipId", width = 15)
    @ApiModelProperty(value = "clipId")
	private String clipId;
	/**clipName*/
	@Excel(name = "clipName", width = 15)
    @ApiModelProperty(value = "clipName")
	private String clipName;
	/**shotId*/
	@Excel(name = "shotId", width = 15)
    @ApiModelProperty(value = "shotId")
	private String shotId;
	/**shotName*/
	@Excel(name = "shotName", width = 15)
    @ApiModelProperty(value = "shotName")
	private String shotName;
	/**designTeamLeaderId*/
	@Excel(name = "designTeamLeaderId", width = 15)
    @ApiModelProperty(value = "designTeamLeaderId")
	private String designTeamLeaderId;
	/**designTeamLeaderName*/
	@Excel(name = "designTeamLeaderName", width = 15)
    @ApiModelProperty(value = "designTeamLeaderName")
	private String designTeamLeaderName;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
