package cn.com.ctop.toutiao.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 头条异步报表任务表
 * @author jeecg-boot
 * @date   2020-04-16
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_daily_report_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_daily_report_task对象", description="头条异步报表任务表")
public class BytedanceDailyReportTask {

	/**主键ID*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
	private Integer id;
	/**广告账户ID（相当于头条返回的access_token数据中的advertiser_id）*/
	@Excel(name = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）", width = 15)
    @ApiModelProperty(value = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）")
	private Long accountId;
	/**任务id*/
	@Excel(name = "任务id", width = 15)
    @ApiModelProperty(value = "任务id")
	private Long taskId;
	/**任务名称*/
	@Excel(name = "任务名称", width = 15)
    @ApiModelProperty(value = "任务名称")
	private String taskName;
	/**任务类型REPORT-普通报表；REPORT_DPA-DPA报表；REPORT_BIDWORD-关键词/搜索词报表*/
	@Excel(name = "任务类型REPORT-普通报表；REPORT_DPA-DPA报表；REPORT_BIDWORD-关键词/搜索词报表", width = 15)
    @ApiModelProperty(value = "任务类型REPORT-普通报表；REPORT_DPA-DPA报表；REPORT_BIDWORD-关键词/搜索词报表")
	private String taskType;
	/**任务创建时间*/
	@Excel(name = "任务创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "任务创建时间")
	private Date taskCreateTime;
	/**任务参数*/
	@Excel(name = "任务参数", width = 15)
    @ApiModelProperty(value = "任务参数")
	private Object taskParams;
	/**返回参数*/
	@Excel(name = "返回参数", width = 15)
    @ApiModelProperty(value = "返回参数")
	private Object json;
	/**创建时间*/
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**修改时间*/
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

    private String taskStatus;

    private Integer isDownload;

    private Integer type;

    private Integer status;
}
