package cn.com.ctop.toutiao.modules.report.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 报表数据核验信息
 * @author jeecg-boot
 * @date   2021-02-02
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_mat_report_task_check_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_mat_report_task_check_info对象", description="报表数据核验信息")
public class BytedanceMatReportTaskCheckInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	/**stateDate*/
	@Excel(name = "stateDate", width = 15)
    @ApiModelProperty(value = "stateDate")
	private String stateDate;
	/**accountCost*/
	@Excel(name = "accountCost", width = 15)
    @ApiModelProperty(value = "accountCost")
	private BigDecimal accountCost;
	/**videoCost*/
	@Excel(name = "videoCost", width = 15)
    @ApiModelProperty(value = "videoCost")
	private BigDecimal videoCost;
	/**imageCost*/
	@Excel(name = "imageCost", width = 15)
    @ApiModelProperty(value = "imageCost")
	private BigDecimal imageCost;
	/**status*/
	@Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
	private Integer status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
	/**czCost*/
	@Excel(name = "czCost", width = 15)
    @ApiModelProperty(value = "czCost")
	private BigDecimal czCost;
}
