package cn.com.ctop.toutiao.modules.report.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手视频项目消耗数据清洗
 * @author jeecg-boot
 * @date   2021-01-08
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_project_video_etl_info")
public class BytedanceProjectVideoEtlInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**视频唯一标识*/
	private String videoCode;
	/**项目id*/
	private Long projectId;
	/**初次产生消耗时间*/
	private String stateDate;
	/**url*/
	private String url;
	/**coverUrl*/
	private String coverUrl;
	/**companyName*/
	private String companyName;
	/**planId*/
	private String planId;
	/**planName*/
	private String planName;
	/**clipId*/
	private String clipId;
	/**clipName*/
	private String clipName;
	/**shotId*/
	private String shotId;
	/**shotName*/
	private String shotName;
	/**singleWeekCost*/
	private java.math.BigDecimal singleWeekCost;
	/**twoWeekCost*/
	private BigDecimal twoWeekCost;
	/**fourWeekCost*/
	private BigDecimal fourWeekCost;
	/**总消耗*/
	private BigDecimal totalCost;
	/**clickNum*/
	private Integer clickNum;
	/**showNum*/
	private Integer showNum;
	/**activeNum*/
	private Integer activeNum;
	/**convertNum*/
	private Integer convertNum;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
