package cn.com.ctop.toutiao.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 头条视频数据清洗信息
 * @author jeecg-boot
 * @date   2020-12-21
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_video_etl_info")
public class BytedanceVideoEtlInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	@Excel(name = "ID", width = 15)
	private Long id;
	/**视频唯一标识*/
	@Excel(name = "视频唯一标识", width = 15)
	private String videoCode;
	/**初次产生消耗时间*/
	@Excel(name = "视频上线时间", width = 15)
	private String stateDate;
	/**url*/
	@Excel(name = "视频链接", width = 15)
	private String url;
	/**coverUrl*/
	@Excel(name = "封面链接", width = 15)
	private String coverUrl;
	/**companyName*/
	@Excel(name = "所属公司", width = 15)
	private String companyName;
	/**planId*/
	@Excel(name = "编导ID", width = 15)
	private String planId;
	/**planName*/
	@Excel(name = "编导名称", width = 15)
	private String planName;
	/**clipId*/
	@Excel(name = "剪辑ID", width = 15)
	private String clipId;
	/**clipName*/
	@Excel(name = "剪辑名称", width = 15)
	private String clipName;
	/**shotId*/
	@Excel(name = "拍摄ID", width = 15)
	private String shotId;
	/**shotName*/
	@Excel(name = "拍摄名称", width = 15)
	private String shotName;
	/**singleWeekCost*/
	@Excel(name = "上线一周消耗", width = 15)
	private BigDecimal singleWeekCost;
	/**twoWeekCost*/
	@Excel(name = "上线两周消耗", width = 15)
	private BigDecimal twoWeekCost;
	/**fourWeekCost*/
	@Excel(name = "上线四周消耗", width = 15)
	private BigDecimal fourWeekCost;
	/**总消耗*/
	@Excel(name = "总消耗", width = 15)
	private BigDecimal totalCost;
	/**clickNum*/
	@Excel(name = "封面点击数", width = 15)
	private Long clickNum;
	/**showNum*/
	@Excel(name = "素材曝光数", width = 15)
	private Long showNum;
	/**activeNum*/
	@Excel(name = "有效数", width = 15)
	private Long activeNum;
	/**convertNum*/
	@Excel(name = "转化数", width = 15)
	private Long convertNum;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
	/**effectDate*/
	@Excel(name = "达成有效日期", width = 15)
	private String effectDate;
	/**faddishDate*/
	@Excel(name = "达成爆款日期", width = 15)
	private String faddishDate;
	/**effectDayNum*/
	@Excel(name = "达成有效天数", width = 15)
	private Integer effectDayNum;
	/**faddishDayNum*/
	@Excel(name = "达成爆款天数", width = 15)
	private Integer faddishDayNum;
	/**
	 * 有效 valid
	 * 爆款 hot
	 * 上线 online
	 */
	@TableField(exist = false)
	private String type;
	@TableField(exist = false)
	private String startDate;
	@TableField(exist = false)
	private String endDate;
}
