package cn.com.ctop.toutiao.modules.report.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条视频分日报表信息
 * @author jeecg-boot
 * @date   2021-02-20
 * @version V1.0
 */
@Data
@TableName("ctop_etl_bytedance_report_video_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_etl_bytedance_report_video_daily对象", description="头条视频分日报表信息")
public class EtlBytedanceReportVideoDaily {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**素材标识*/
	@Excel(name = "素材标识", width = 15)
    @ApiModelProperty(value = "素材标识")
	private String videoCode;
	/**数据日期*/
	@Excel(name = "数据日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "数据日期")
	private Date statDate;
	/**素材类型*/
	@Excel(name = "素材类型", width = 15)
    @ApiModelProperty(value = "素材类型")
	private String imageMode;
	/**点击量*/
	@Excel(name = "点击量", width = 15)
    @ApiModelProperty(value = "点击量")
	private Integer click;
	/**总花费*/
	@Excel(name = "总花费", width = 15)
    @ApiModelProperty(value = "总花费")
	private java.math.BigDecimal cost;
	/**应用下载广告数据-激活数*/
	@Excel(name = "应用下载广告数据-激活数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活数")
	private Integer active;
	/**应用下载-安卓下载完成*/
	@Excel(name = "应用下载-安卓下载完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载完成")
	private Integer downloadFinish;
	/**应用下载-安卓下载开始*/
	@Excel(name = "应用下载-安卓下载开始", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载开始")
	private Integer downloadStart;
	/**应用下载-安卓安装完成*/
	@Excel(name = "应用下载-安卓安装完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓安装完成")
	private Integer installFinish;
	/**应用下载-注册*/
	@Excel(name = "应用下载-注册", width = 15)
    @ApiModelProperty(value = "应用下载-注册")
	private Integer register;
	/**应用下载-付费数*/
	@Excel(name = "应用下载-付费数", width = 15)
    @ApiModelProperty(value = "应用下载-付费数")
	private Integer payCount;
	/**应用下载广告数据-APP内访问*/
	@Excel(name = "应用下载广告数据-APP内访问", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内访问")
	private Integer inAppUv;
	/**应用下载广告数据-APP内访问详情页*/
	@Excel(name = "应用下载广告数据-APP内访问详情页", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内访问详情页")
	private Integer inAppDetailUv;
	/**	应用下载广告数据-APP内加入购物车*/
	@Excel(name = "	应用下载广告数据-APP内加入购物车", width = 15)
    @ApiModelProperty(value = "	应用下载广告数据-APP内加入购物车")
	private Integer inAppCart;
	/**	应用下载广告数据-APP内下单*/
	@Excel(name = "	应用下载广告数据-APP内下单", width = 15)
    @ApiModelProperty(value = "	应用下载广告数据-APP内下单")
	private Integer inAppOrder;
	/**应用下载广告数据-APP内付费*/
	@Excel(name = "应用下载广告数据-APP内付费", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内付费")
	private Integer inAppPay;
	/**落地页转化数据-点击电话按钮*/
	@Excel(name = "落地页转化数据-点击电话按钮", width = 15)
    @ApiModelProperty(value = "落地页转化数据-点击电话按钮")
	private Integer phone;
	/**落地页转化数据-表单提交*/
	@Excel(name = "落地页转化数据-表单提交", width = 15)
    @ApiModelProperty(value = "落地页转化数据-表单提交")
	private Integer form;
	/**落地页-地图搜索*/
	@Excel(name = "落地页-地图搜索", width = 15)
    @ApiModelProperty(value = "落地页-地图搜索")
	private Integer mapSearch;
	/**落地页-按钮button*/
	@Excel(name = "落地页-按钮button", width = 15)
    @ApiModelProperty(value = "落地页-按钮button")
	private Integer button;
	/**落地页-关键页面浏览*/
	@Excel(name = "落地页-关键页面浏览", width = 15)
    @ApiModelProperty(value = "落地页-关键页面浏览")
	private Integer viewMaterial;
	/**落地页-QQ咨询数*/
	@Excel(name = "落地页-QQ咨询数", width = 15)
    @ApiModelProperty(value = "落地页-QQ咨询数")
	private Integer qq;
	/**落地页-抽奖数*/
	@Excel(name = "落地页-抽奖数", width = 15)
    @ApiModelProperty(value = "落地页-抽奖数")
	private Integer lottery;
	/**落地页-投票*/
	@Excel(name = "落地页-投票", width = 15)
    @ApiModelProperty(value = "落地页-投票")
	private Integer vote;
	/**落地页-页面跳转*/
	@Excel(name = "落地页-页面跳转", width = 15)
    @ApiModelProperty(value = "落地页-页面跳转")
	private Integer redirect;
	/**落地页-商品购买*/
	@Excel(name = "落地页-商品购买", width = 15)
    @ApiModelProperty(value = "落地页-商品购买")
	private Integer shopping;
	/**落地页-在线咨询*/
	@Excel(name = "落地页-在线咨询", width = 15)
    @ApiModelProperty(value = "落地页-在线咨询")
	private Integer consult;
	/**落地页-微信*/
	@Excel(name = "落地页-微信", width = 15)
    @ApiModelProperty(value = "落地页-微信")
	private Integer wechat;
	/**落地页-智能电话确认拨打*/
	@Excel(name = "落地页-智能电话确认拨打", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
	private Integer phoneConfirm;
	/**落地页-智能电话确认接通*/
	@Excel(name = "落地页-智能电话确认接通", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认接通")
	private Integer phoneConnect;
	/**落地页-智能电话有效咨询*/
	@Excel(name = "落地页-智能电话有效咨询", width = 15)
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
	private Integer consultEffective;
	/**视频-总播放*/
	@Excel(name = "视频-总播放", width = 15)
    @ApiModelProperty(value = "视频-总播放")
	private Integer totalPlay;
	/**视频-有效播放*/
	@Excel(name = "视频-有效播放", width = 15)
    @ApiModelProperty(value = "视频-有效播放")
	private Integer validPlay;
	/**视频-wifi播放*/
	@Excel(name = "视频-wifi播放", width = 15)
    @ApiModelProperty(value = "视频-wifi播放")
	private Integer wifiPlay;
	/**视频-播放时长，单位ms*/
	@Excel(name = "视频-播放时长，单位ms", width = 15)
    @ApiModelProperty(value = "视频-播放时长，单位ms")
	private Integer playDurationSum;
	/**视频-播放25%进度总数*/
	@Excel(name = "视频-播放25%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度总数")
	private Integer play25FeedBreak;
	/**视频-播放50%进度总数*/
	@Excel(name = "视频-播放50%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放50%进度总数")
	private Integer play50FeedBreak;
	/**视频-播放75%进度总数*/
	@Excel(name = "视频-播放75%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放75%进度总数")
	private Integer play75FeedBreak;
	/**视频数据-99%进度播放数*/
	@Excel(name = "视频数据-99%进度播放数", width = 15)
    @ApiModelProperty(value = "视频数据-99%进度播放数")
	private Integer play100FeedBreak;
	/**附加创意-电话按钮*/
	@Excel(name = "附加创意-电话按钮", width = 15)
    @ApiModelProperty(value = "附加创意-电话按钮")
	private Integer advancedCreativePhoneClick;
	/**附加创意-在线咨询*/
	@Excel(name = "附加创意-在线咨询", width = 15)
    @ApiModelProperty(value = "附加创意-在线咨询")
	private Integer advancedCreativeCounselClick;
	/**附加创意-表单提交*/
	@Excel(name = "附加创意-表单提交", width = 15)
    @ApiModelProperty(value = "附加创意-表单提交")
	private Integer advancedCreativeFormClick;
	/**互动数据-分享数*/
	@Excel(name = "互动数据-分享数", width = 15)
    @ApiModelProperty(value = "互动数据-分享数")
	private Integer shareMaterial;
	/**互动数据-评论数*/
	@Excel(name = "互动数据-评论数", width = 15)
    @ApiModelProperty(value = "互动数据-评论数")
	private Integer commentMaterial;
	/**互动数据-新增关注数*/
	@Excel(name = "互动数据-新增关注数", width = 15)
    @ApiModelProperty(value = "互动数据-新增关注数")
	private Integer follow;
	/**互动数据-主页访问量*/
	@Excel(name = "互动数据-主页访问量", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量")
	private Integer homeVisited;
	/**互动数据-挑战赛查看数*/
	@Excel(name = "互动数据-挑战赛查看数", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
	private Integer iesChallengeClick;
	/**互动数据-音乐查看数*/
	@Excel(name = "互动数据-音乐查看数", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数")
	private Integer iesMusicClick;
	/**次留数*/
	@Excel(name = "次留数", width = 15)
    @ApiModelProperty(value = "次留数")
	private Integer nextDayOpen;
	/**次留率*/
	@Excel(name = "次留率", width = 15)
    @ApiModelProperty(value = "次留率")
	private java.math.BigDecimal nextDayOpenRate;
	/**次留成本*/
	@Excel(name = "次留成本", width = 15)
    @ApiModelProperty(value = "次留成本")
	private java.math.BigDecimal nextDayOpenCost;
	/**付费价值*/
	@Excel(name = "付费价值", width = 15)
    @ApiModelProperty(value = "付费价值")
	private Integer activePayAmount;
	/**视频数据-有效播放成本*/
	@Excel(name = "视频数据-有效播放成本", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放成本")
	private java.math.BigDecimal validPlayCost;
	/**附加创意-附加创意卡券领取*/
	@Excel(name = "附加创意-附加创意卡券领取", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意卡券领取")
	private Integer advancedCreativeCouponAddition;
	/**convertMaterial*/
	@Excel(name = "convertMaterial", width = 15)
    @ApiModelProperty(value = "convertMaterial")
	private Integer convertMaterial;
	/**应用下载广告数据-付费成本*/
	@Excel(name = "应用下载广告数据-付费成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费成本")
	private java.math.BigDecimal activePayCost;
	/**落地页转化数据-下载开始*/
	@Excel(name = "落地页转化数据-下载开始", width = 15)
    @ApiModelProperty(value = "落地页转化数据-下载开始")
	private Integer download;
	/**cpa*/
	@Excel(name = "cpa", width = 15)
    @ApiModelProperty(value = "cpa")
	private java.math.BigDecimal cpa;
	/**cpc*/
	@Excel(name = "cpc", width = 15)
    @ApiModelProperty(value = "cpc")
	private java.math.BigDecimal cpc;
	/**互动数据-POI点击数*/
	@Excel(name = "互动数据-POI点击数", width = 15)
    @ApiModelProperty(value = "互动数据-POI点击数")
	private Integer locationClick;
	/**视频数据-播完率*/
	@Excel(name = "视频数据-播完率", width = 15)
    @ApiModelProperty(value = "视频数据-播完率")
	private java.math.BigDecimal playOverRate;
	/**展现数据-点击率*/
	@Excel(name = "展现数据-点击率", width = 15)
    @ApiModelProperty(value = "展现数据-点击率")
	private java.math.BigDecimal ctr;
	/**cpm*/
	@Excel(name = "cpm", width = 15)
    @ApiModelProperty(value = "cpm")
	private java.math.BigDecimal cpm;
	/**视频数据-WiFi播放占比*/
	@Excel(name = "视频数据-WiFi播放占比", width = 15)
    @ApiModelProperty(value = "视频数据-WiFi播放占比")
	private java.math.BigDecimal wifiPlayRate;
	/**互动数据-点赞数*/
	@Excel(name = "互动数据-点赞数", width = 15)
    @ApiModelProperty(value = "互动数据-点赞数")
	private Integer likeMaterial;
	/**应用下载广告数据-付费率*/
	@Excel(name = "应用下载广告数据-付费率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费率")
	private java.math.BigDecimal activePayRate;
	/**应用下载广告数据-激活成本*/
	@Excel(name = "应用下载广告数据-激活成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活成本")
	private java.math.BigDecimal activeCost;
	/**应用下载广告数据-关键行为成本*/
	@Excel(name = "应用下载广告数据-关键行为成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为成本")
	private java.math.BigDecimal gameAddictionCost;
	/**应用下载广告数据-关键行为数*/
	@Excel(name = "应用下载广告数据-关键行为数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为数")
	private Integer gameAddiction;
	/**应用下载广告数据-激活率*/
	@Excel(name = "应用下载广告数据-激活率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活率")
	private java.math.BigDecimal activeRate;
	/**播放超过10秒的总数*/
	@Excel(name = "播放超过10秒的总数", width = 15)
    @ApiModelProperty(value = "播放超过10秒的总数")
	private Integer playDuration10s;
	/**有效电话数*/
	@Excel(name = "有效电话数", width = 15)
    @ApiModelProperty(value = "有效电话数")
	private Integer phoneEffective;
	/**应用下载广告数据-关键行为率*/
	@Excel(name = "应用下载广告数据-关键行为率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为率")
	private java.math.BigDecimal gameAddictionRate;
	/**应用下载广告数据-注册率*/
	@Excel(name = "应用下载广告数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册率")
	private java.math.BigDecimal activeRegisterRate;
	/**视频平均播放时长*/
	@Excel(name = "视频平均播放时长", width = 15)
    @ApiModelProperty(value = "视频平均播放时长")
	private java.math.BigDecimal averageVideoPlay;
	/**应用下载广告数据-安卓下载完成成本*/
	@Excel(name = "应用下载广告数据-安卓下载完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成成本")
	private java.math.BigDecimal downloadFinishCost;
	/**播放超过3秒的总数*/
	@Excel(name = "播放超过3秒的总数", width = 15)
    @ApiModelProperty(value = "播放超过3秒的总数")
	private Integer playDuration3s;
	/**应用下载广告数据-注册成本*/
	@Excel(name = "应用下载广告数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册成本")
	private java.math.BigDecimal activeRegisterCost;
	/**showMaterial*/
	@Excel(name = "showMaterial", width = 15)
    @ApiModelProperty(value = "showMaterial")
	private Integer showMaterial;
	/**转化数据-转化率*/
	@Excel(name = "转化数据-转化率", width = 15)
    @ApiModelProperty(value = "转化数据-转化率")
	private java.math.BigDecimal convertRate;
	/**应用下载广告数据-安卓下载完成率*/
	@Excel(name = "应用下载广告数据-安卓下载完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成率")
	private java.math.BigDecimal downloadFinishRate;
	/**应用下载广告数据-安卓安装完成率*/
	@Excel(name = "应用下载广告数据-安卓安装完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成率")
	private java.math.BigDecimal installFinishRate;
	/**落地页转化数据-建站卡券领取*/
	@Excel(name = "落地页转化数据-建站卡券领取", width = 15)
    @ApiModelProperty(value = "落地页转化数据-建站卡券领取")
	private Integer coupon;
	/**落地页转化数据-卡券页领取*/
	@Excel(name = "落地页转化数据-卡券页领取", width = 15)
    @ApiModelProperty(value = "落地页转化数据-卡券页领取")
	private Integer couponSinglePage;
	/**播放完成总数（已下线）*/
	@Excel(name = "播放完成总数（已下线）", width = 15)
    @ApiModelProperty(value = "播放完成总数（已下线）")
	private Integer playOver;
	/**应用下载广告数据-安卓下载开始成本*/
	@Excel(name = "应用下载广告数据-安卓下载开始成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始成本")
	private java.math.BigDecimal downloadStartCost;
	/**落地页转化数据-短信咨询*/
	@Excel(name = "落地页转化数据-短信咨询", width = 15)
    @ApiModelProperty(value = "落地页转化数据-短信咨询")
	private Integer message;
	/**playDuration*/
	@Excel(name = "playDuration", width = 15)
    @ApiModelProperty(value = "playDuration")
	private Integer playDuration;
	/**视频数据-有效播放率*/
	@Excel(name = "视频数据-有效播放率", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放率")
	private java.math.BigDecimal validPlayRate;
	/**视频数据-平均单次播放时长*/
	@Excel(name = "视频数据-平均单次播放时长", width = 15)
    @ApiModelProperty(value = "视频数据-平均单次播放时长")
	private java.math.BigDecimal averagePlayTimePerPlay;
	/**转化数据-转化成本*/
	@Excel(name = "转化数据-转化成本", width = 15)
    @ApiModelProperty(value = "转化数据-转化成本")
	private java.math.BigDecimal convertCost;
	/**转化展示率*/
	@Excel(name = "转化展示率", width = 15)
    @ApiModelProperty(value = "转化展示率")
	private java.math.BigDecimal convertShowRate;
	/**应用下载广告数据-安卓安装完成成本*/
	@Excel(name = "应用下载广告数据-安卓安装完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成成本")
	private java.math.BigDecimal installFinishCost;
	/**应用下载广告数据-安卓下载开始率*/
	@Excel(name = "应用下载广告数据-安卓下载开始率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始率")
	private java.math.BigDecimal downloadStartRate;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
